<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  version='1.0' xmlns:xsd='http://www.w3.org/2001/XMLSchema'
  xmlns:ct="http://www.govtalk.gov.uk/CT/Taxonomy/Computation" xmlns:xbrli="http://www.xbrl.org/2001/instance">
  <xsl:output indent='yes' method='html' />
  <xsl:template match='/'>
    <html>
      <head>
        <title>Corporation Tax Computation</title>
        <link rel="stylesheet" href="resources/CTT.css" />
      </head>
      <body>


<!-- Variable Init -->
        <xsl:variable name='fromCorporationTaxTemplate'>
          <xsl:call-template name='CorporationTaxTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromCTAndInterestPaymentsMadeTemplate'>
          <xsl:call-template name='CTAndInterestPaymentsMadeTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCTPayableByInstalmentsTemplate'>
          <xsl:call-template name='CTPayableByInstalmentsTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityProfitsTemplate'>
          <xsl:call-template name='CalculationOfCTLiabilityProfitsTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityMarginalSmallCompanies'>
          <xsl:call-template name='CalculationOfCTLiabilityMarginalSmallCompaniesTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityMarginalStartingRateRelief'>
          <xsl:call-template name='CalculationOfCTLiabilityMarginalStartingRateReliefTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate'>
          <xsl:call-template name='CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate'>
          <xsl:call-template name='CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityACTShadowACTTemplate'>
          <xsl:call-template name='CalculationOfCTLiabilityACTShadowACTTemplate' />
        </xsl:variable>
        <xsl:variable name='fromCalculationOfCTLiabilityACTTemplate'>
          <xsl:call-template name='CalculationOfCTLiabilityACTTemplate' />
        </xsl:variable>
        <xsl:variable name='fromTradingProfitsTemplate'>
          <xsl:call-template name='TradingProfitsTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromOverseasIncomeTemplate'>
          <xsl:call-template name='OverseasIncomeTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromUKBuildingsTemplate'>
          <xsl:call-template name='IncomeFromUKLandBuildingsTemplate'>
          </xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromNonTradingLoanRelationshipsTemplate'>
          <xsl:call-template name='NonTradingLoanRelationshipsTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromNonTradingLoanRelationshipsEtcNetDebitsInCYTemplate'>
          <xsl:call-template name='NonTradingLoanRelationshipsEtcNetDebitsInCYTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromDeductionsTemplate'>
          <xsl:call-template name='DeductionsTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromDeductionsChargesTemplate'>
          <xsl:call-template name='DeductionsChargesTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromNonTradingCapitalAllowancesTemplate'>
          <xsl:call-template name='NonTradingCapitalAllowancesTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromLandRemediationTemplate'>
          <xsl:call-template name='LandRemediationTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromDeductionsAllSchedulesCasesTemplate'>
          <xsl:call-template name='DeductionsAllSchedulesCasesTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromDeductionsManagementExpensesTemplate'>
          <xsl:call-template name='DeductionsManagementExpensesTemplate'></xsl:call-template>
        </xsl:variable>
      <xsl:variable name='fromIARTemplate'>
        <xsl:call-template name='IARTemplate'>
          <xsl:with-param name='setOfIAR' select='//ct:*[starts-with(name(.),"DeductionsIAR")]' />
        </xsl:call-template>
        
      </xsl:variable>
        <xsl:variable name='fromDeductionsCVSTemplate'>
          <xsl:call-template name='DeductionsCVSTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromCG'>
          <xsl:call-template name='ChargeableGainsTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromFixedAsset'>
          <xsl:call-template name='FixedAssetTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromDetailedProfitAndLossAccountTemplate'>
          <xsl:call-template name='DetailedProfitAndLossAccountTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:variable name='fromContextDisplayTemplate'>
          <xsl:call-template name='contextDisplay'></xsl:call-template>
        </xsl:variable>
<!-- TOC -->
<h3>Contents</h3>
<ul>
<xsl:if test='$fromCorporationTaxTemplate != ""'><li><a href="#CT">Corporation Tax</a></li></xsl:if>
<xsl:if test='($fromCTAndInterestPaymentsMadeTemplate != "") or ($fromCTPayableByInstalmentsTemplate !="")'><li><a href="#CTP">Corporation Tax Payments</a></li></xsl:if>
<xsl:if test='$fromCalculationOfCTLiabilityProfitsTemplate'><li><a href="#PC">Profits Chargeable</a></li></xsl:if>
<xsl:if test='$fromCalculationOfCTLiabilityMarginalSmallCompanies'><li><a href="#SCR">Small Companies Relief</a></li></xsl:if>
<xsl:if test='$fromCalculationOfCTLiabilityMarginalStartingRateRelief'><li><a href="#SRR">Starting Rate Relief</a></li></xsl:if>
<xsl:if test='($fromCalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate != "") or (//ct:CalculationOfCTLiabilityCVSInvestmentReliefInvestmentReliefClaimed) or (//ct:CalculationOfCTLiabilityCVSInvestmentRelief)'><li><a href="#CIR">CVS Investment Relief</a></li></xsl:if>
<xsl:if test='($fromCalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate != "") or (//ct:CalculationOfCTLiabilityDoubleTaxationReliefAmount) or (//ct:CalculationOfCTLiabilityDoubleTaxationRelief)'><li><a href="#DTR">Double Taxation Relief</a></li></xsl:if>
<xsl:if test='$fromCalculationOfCTLiabilityACTShadowACTTemplate'><li><a href="#SACT">Shadow ACT</a></li></xsl:if>
<xsl:if test='$fromCalculationOfCTLiabilityACTTemplate'><li><a href="#ACT">ACT</a></li></xsl:if>
<xsl:if test='$fromTradingProfitsTemplate'><li><a href="#TP">Trading Profits</a></li></xsl:if>
<xsl:if test='$fromOverseasIncomeTemplate'><li><a href="#OSI">Overseas Income</a></li></xsl:if>
<xsl:if test='$fromUKBuildingsTemplate'><li><a href="#UKLB">UK Land &amp; Buildings</a></li></xsl:if>
<xsl:if test='$fromNonTradingLoanRelationshipsTemplate'><li><a href="#NTLR">Non-Trading Loan Relationships</a></li></xsl:if>
<xsl:if test='$fromNonTradingLoanRelationshipsEtcNetDebitsInCYTemplate'><li><a href="#NTLRD">Non-Trade Loan Relationship Debits</a></li></xsl:if>
<xsl:if test='$fromDeductionsTemplate'><li><a href="#D">Deductions</a></li></xsl:if>
<xsl:if test='$fromDeductionsChargesTemplate'><li><a href="#DC">Deductions &amp; Charges</a></li></xsl:if>
<xsl:if test='$fromNonTradingCapitalAllowancesTemplate'><li><a href="#NTCA">Non-Trading Capital Allowances</a></li></xsl:if>
<xsl:if test='$fromLandRemediationTemplate'><li><a href="#LR">Land Remediation</a></li></xsl:if>
<xsl:if test='$fromDeductionsAllSchedulesCasesTemplate'><li><a href="#AS">All Schedules</a></li></xsl:if>
<xsl:if test='$fromDeductionsManagementExpensesTemplate'><li><a href="#AS">Management Expenses</a></li></xsl:if>
<xsl:if test='$fromIARTemplate'><li><a href="#DIAR">Deductions - Intangible Asset Relief</a></li></xsl:if>
<xsl:if test='$fromDeductionsCVSTemplate'><li><a href="#DCVS">Deductions - Corporate Venturing Scheme</a></li></xsl:if>
<xsl:if test='$fromCG'><li><a href="#CDCG">Chargeable Gains</a></li></xsl:if>
<xsl:if test='$fromFixedAsset'><li><a href="#BSAFAS">Balance Sheet Analysis - Fixed Asset Summary</a></li></xsl:if>
<xsl:if test='$fromDetailedProfitAndLossAccountTemplate'><li><a href="#PLA">Profit &amp; Loss Account</a></li></xsl:if>
<xsl:if test='$fromContextDisplayTemplate'><li><a href="#CI">Context Information</a></li></xsl:if>


</ul>


<!-- Start real -->

        <xsl:if test='$fromCorporationTaxTemplate != ""'>
          <a name="CT"><h3 style="page-break-before: always">Corporation Tax</h3></a>
          <table>
            <xsl:copy-of select='$fromCorporationTaxTemplate'></xsl:copy-of>
          </table>
        </xsl:if>
<!-- 
        CT Payments Section
          First create the variables, if either exist, then put in the heading and insert the variables
-->
        <xsl:if test='($fromCTAndInterestPaymentsMadeTemplate != "") or ($fromCTPayableByInstalmentsTemplate !="")'>
          <a name="CTP"><h3 style="page-break-before: always">Corporation Tax Payments</h3></a>
          <xsl:if test='$fromCTAndInterestPaymentsMadeTemplate != ""'>
            <h4 style="page-break-before: always">Interest Payments Made</h4>
            <table>
              <xsl:copy-of select='$fromCTAndInterestPaymentsMadeTemplate' />
            </table>
          </xsl:if>
          <xsl:if test='$fromCTPayableByInstalmentsTemplate != ""'>
            <h4 style="page-break-before: always">Payable by instalments</h4>
            <table>
              <xsl:copy-of select='$fromCTPayableByInstalmentsTemplate' />
            </table>
          </xsl:if>
        </xsl:if>
        <xsl:if test='$fromCalculationOfCTLiabilityProfitsTemplate != ""'>
          <a name="PC"><h3 style="page-break-before: always">Profits Chargeable</h3></a>
          <table>
            <xsl:copy-of select='$fromCalculationOfCTLiabilityProfitsTemplate' />
          </table>
        </xsl:if>
        <xsl:variable name='fromCalculationOfCTLiabilityTemplate'>
          <xsl:call-template name='CalculationOfCTLiabilityTemplate' />
        </xsl:variable>
        <xsl:if test='$fromCalculationOfCTLiabilityTemplate != ""'>
          <table>
            <tr>
              <td></td>
              <th>Financial Year 1</th>
              <th>Financial Year 2</th>
            </tr>
            <xsl:copy-of select='$fromCalculationOfCTLiabilityTemplate' />
          </table>
        </xsl:if>
        <xsl:if test='$fromCalculationOfCTLiabilityMarginalSmallCompanies != ""'>
          <a name="SCR"><h3 style="page-break-before: always">Small Companies Relief</h3></a>
          <table>
            <tr>
              <th></th>
              <th>Financial Year 1</th>
              <th>Financial Year 2</th>
            </tr>
            <xsl:copy-of select='$fromCalculationOfCTLiabilityMarginalSmallCompanies' />
          </table>
        </xsl:if>
        <xsl:variable name='fromCalculationOfCTLiabilityMarginalStartingRateRelief'>
          <xsl:call-template name='CalculationOfCTLiabilityMarginalStartingRateReliefTemplate' />
        </xsl:variable>
        <xsl:if test='$fromCalculationOfCTLiabilityMarginalStartingRateRelief != ""'>
          <a name="SRR"  style="page-break-before: always"><h3>Starting Rate Relief</h3></a>
          <table>
            <tr>
              <th></th>
              <th>Financial Year 1</th>
              <th>Financial Year 2</th>
            </tr>
            <xsl:copy-of select='$fromCalculationOfCTLiabilityMarginalStartingRateRelief' />
          </table>
        </xsl:if>
        <xsl:if test='($fromCalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate != "") or (//ct:CalculationOfCTLiabilityCVSInvestmentReliefInvestmentReliefClaimed) or (//ct:CalculationOfCTLiabilityCVSInvestmentRelief)'>
          <a name="CIR" style="page-break-before: always"><h3>CVS Investment Relief</h3></a>
          <xsl:value-of select='//ct:CalculationOfCTLiabilityCVSInvestmentRelief' />
          <table>
            <xsl:if test='$fromCalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate != ""'>
              <tr>
                <th>Company name</th>
                <th>Nominal value</th>
                <th>Date of issue</th>
                <th>Amount subscribed</th>
                <th>Relief claimed</th>
                <th>CVU reference</th>
              </tr>
              <xsl:copy-of select='$fromCalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate' />
            </xsl:if>
            <xsl:if test='//ct:CalculationOfCTLiabilityCVSInvestmentReliefInvestmentReliefClaimed'>
              <tr>
                <td></td>
                <td></td>
                <td colspan='2'>Total relief claimed</td>
                <td>
                  <xsl:call-template name='valueOfItem'>
                    <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityCVSInvestmentReliefInvestmentReliefClaimed' />
                  </xsl:call-template>
                </td>
                <td></td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
        <xsl:if test='($fromCalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate != "") or (//ct:CalculationOfCTLiabilityDoubleTaxationReliefAmount) or (//ct:CalculationOfCTLiabilityDoubleTaxationRelief)'>
          <a name="DTR"><h3 style="page-break-before: always">Double Taxation Relief</h3></a>
          <xsl:value-of select='//ct:CalculationOfCTLiabilityDoubleTaxationRelief' />
          <table>
            <xsl:if test='($fromCalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate != "")'>
              <tr>
                <th>Description of source</th>
                <th>Country</th>
                <th>Trade/Source</th>
                <th>Year</th>
                <th>Income</th>
                <th>Foreign tax</th>
                <th>UK tax</th>
                <th>Rate</th>
                <th>Amount</th>
              </tr>
              <xsl:copy-of select='$fromCalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate' />
            </xsl:if>
            <xsl:if test='//ct:CalculationOfCTLiabilityDoubleTaxationReliefAmount'>
              <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td colspan='2'>Total Amount</td>
                <td>
                  <xsl:call-template name='valueOfItem'>
                    <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityDoubleTaxationReliefAmount' />
                  </xsl:call-template>
                </td>
              </tr>
            </xsl:if>
          </table>
        </xsl:if>
        <xsl:if test='$fromCalculationOfCTLiabilityACTShadowACTTemplate != ""'>
          <a name="SACT"><h3 style="page-break-before: always">Shadow ACT</h3></a>
          <table>
            <xsl:copy-of select='$fromCalculationOfCTLiabilityACTShadowACTTemplate' />
          </table>
        </xsl:if>
        <xsl:if test='$fromCalculationOfCTLiabilityACTTemplate != ""'>
          <a name="ACT"><h3 style="page-break-before: always">ACT</h3></a>
          <table>
            <xsl:copy-of select='$fromCalculationOfCTLiabilityACTTemplate' />
          </table>
        </xsl:if>
        <xsl:if test='$fromTradingProfitsTemplate != ""'>
          <a name="TP"><h3 style="page-break-before: always">Trading Profits</h3></a>
          <xsl:copy-of select='$fromTradingProfitsTemplate' />
        </xsl:if>

        <xsl:if test='$fromOverseasIncomeTemplate != ""'>
          <a name="OSI"><h3 style="page-break-before: always">Overseas Income</h3></a>
          <xsl:copy-of select='$fromOverseasIncomeTemplate' />
        </xsl:if>

        <xsl:variable name='fromUKBuildingsTemplate'>
          <xsl:call-template name='IncomeFromUKLandBuildingsTemplate'>
          </xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromUKBuildingsTemplate != ""'>
          <a name="UKLB"><h3 style="page-break-before: always">UK Land &amp; Buildings Income</h3></a>
          <table>
            <xsl:copy-of select='$fromUKBuildingsTemplate' />
          </table>
        </xsl:if>

        <xsl:variable name='fromCapitalAllowancesTemplate'>
          <xsl:call-template name='TradingProfitsIndividualTradeDescriptionOfTradeCapitalAllowancesTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCapitalAllowancesTemplate != ""'>
          <xsl:copy-of select='$fromCapitalAllowancesTemplate' />
        </xsl:if>

        <xsl:variable name='fromCaseVIIncomeTemplate'>
          <xsl:call-template name='CaseVIIncomeTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCaseVIIncomeTemplate != ""'>
          <h3 style="page-break-before: always">Income under SchD caseVI</h3>
          <table>
  <xsl:if test='//ct:CaseVIIncomeIAR'>
    <tr>
      <td>Label:</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CaseVIIncomeIAR' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

            <xsl:copy-of select='$fromCaseVIIncomeTemplate' />
          </table>
        </xsl:if>

        <xsl:variable name='fromCaseVIIncomeIARIndividualAssetPoolTemplate'>
          <xsl:call-template name='CaseVIIncomeIARIndividualAssetPoolTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCaseVIIncomeIARIndividualAssetPoolTemplate != ""'>
          <h3 style="page-break-before: always">Non-trading gains on intangible fixed assets</h3>
          <xsl:copy-of select='$fromCaseVIIncomeIARIndividualAssetPoolTemplate' />
        </xsl:if>


        <xsl:variable name='fromCaseVIIncomeIARSummaryTemplate'>
          <xsl:call-template name='CaseVIIncomeIARSummaryTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCaseVIIncomeIARSummaryTemplate != ""'>
          <h3 style="page-break-before: always">Summary of intangible fixed assets</h3>
          <xsl:copy-of select='$fromCaseVIIncomeIARSummaryTemplate' />
        </xsl:if>

        <xsl:variable name='fromCaseVIIncomeTonnageTaxTemplate'>
          <xsl:call-template name='CaseVIIncomeTonnageTaxTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCaseVIIncomeTonnageTaxTemplate != ""'>
          <xsl:copy-of select='$fromCaseVIIncomeTonnageTaxTemplate' />
        </xsl:if>

        <xsl:variable name='fromCaseVIIncomeOtherIncomeTemplate'>
          <xsl:call-template name='CaseVIIncomeOtherIncomeTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCaseVIIncomeOtherIncomeTemplate != ""'>
          <xsl:copy-of select='$fromCaseVIIncomeOtherIncomeTemplate' />
        </xsl:if>

        <xsl:if test='$fromNonTradingLoanRelationshipsTemplate != ""'>
          <a name="NTLR"></a>
          <xsl:copy-of select='$fromNonTradingLoanRelationshipsTemplate' />
        </xsl:if>

        <xsl:if test='$fromNonTradingLoanRelationshipsEtcNetDebitsInCYTemplate != ""'>
          <a name="NTLRD"></a>
          <xsl:copy-of select='$fromNonTradingLoanRelationshipsEtcNetDebitsInCYTemplate' />
        </xsl:if>

        <xsl:if test='$fromDeductionsTemplate != ""'>
          <a name="D"></a>
          <xsl:copy-of select='$fromDeductionsTemplate' />
        </xsl:if>

        <xsl:if test='$fromDeductionsChargesTemplate != ""'>
          <a name="DC"></a>
          <xsl:copy-of select='$fromDeductionsChargesTemplate' />
        </xsl:if>

        <xsl:if test='$fromNonTradingCapitalAllowancesTemplate != ""'>
          <a name="NTCA"></a>
          <xsl:copy-of select='$fromNonTradingCapitalAllowancesTemplate' />
        </xsl:if>


        <xsl:if test='$fromLandRemediationTemplate != ""'>
        <a name="LR">
        <h3 style="page-break-before: always">Land Remediation</h3></a>
        <table>
          <xsl:copy-of select='$fromLandRemediationTemplate' />
        </table>
        </xsl:if>


        <xsl:if test='$fromDeductionsAllSchedulesCasesTemplate != ""'>
          <a name="AS"></a>
          <xsl:copy-of select='$fromDeductionsAllSchedulesCasesTemplate' />
        </xsl:if>
        <xsl:if test='$fromDeductionsManagementExpensesTemplate != ""'>
          <a name="ME"></a>
          <xsl:copy-of select='$fromDeductionsManagementExpensesTemplate' />
        </xsl:if>

      <xsl:if test='$fromIARTemplate != ""'>
      <tr></tr>
      <tr>
        <td><a name="DIAR"><h3 style="page-break-before: always">Deductions - Intangible Asset Relief</h3></a></td></tr>
      <tr><td>
        <xsl:copy-of select='$fromIARTemplate'/>
        </td></tr>
      </xsl:if>
        
  
        <xsl:if test='$fromDeductionsCVSTemplate != ""'>
          <a name="DCVS"></a>
          <xsl:copy-of select='$fromDeductionsCVSTemplate' />
        </xsl:if>

        <xsl:variable name='fromCT600AndAnalysisTemplate'>
          <xsl:call-template name='CT600AndAnalysisTemplate'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromCT600AndAnalysisTemplate != ""'>
          <xsl:copy-of select='$fromCT600AndAnalysisTemplate' />
        </xsl:if>

        <xsl:if test='$fromCG != ""'>
          <a name="CDCG"><h3 style="page-break-before: always">Capital disposals - Chargeable gains</h3></a>
          <table>
          <xsl:copy-of select='$fromCG' />
          </table>
        </xsl:if>

        <xsl:if test='$fromFixedAsset != ""'>
          <a name="BSAFAS"><h3 style="page-break-before: always"> Balance Sheet Analysis - Fixed Asset Summary</h3></a>
          <table>
          <xsl:copy-of select='$fromFixedAsset' />
          </table>
        </xsl:if>

        <xsl:if test='$fromDetailedProfitAndLossAccountTemplate != ""'>
          <a name="PLA"></a>
          <xsl:copy-of select='$fromDetailedProfitAndLossAccountTemplate' />
        </xsl:if>

        <xsl:if test='$fromContextDisplayTemplate != ""'>
          <a name="CI"></a>
          <xsl:copy-of select='$fromContextDisplayTemplate' />
        </xsl:if>

        <xsl:variable name="extensions">
          <xsl:call-template name="doExtensions"/>
        </xsl:variable>
        <xsl:if test="$extensions">

        <h3 style="page-break-before: always">Extension elements</h3>
        <table>
        <xsl:copy-of select="$extensions"/>
        </table>

        </xsl:if>

      </body>
    </html>
  </xsl:template>
<xsl:template name="ABATemplate">
<xsl:param name="setOfABA" />

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = ""]'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfABA[substring-after(name(.),"ABA") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "BalancingCharge"]'>
    <tr>
      <td>Balancing Charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfABA[substring-after(name(.),"ABA") = "BalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "WDVBF"]'>
    <tr>
      <td>WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfABA[substring-after(name(.),"ABA") = "WDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "WDVCF"]'>
    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfABA[substring-after(name(.),"ABA") = "WDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "TaxWDVBF"]'>
    <tr>
      <td>Tax WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfABA[substring-after(name(.),"ABA") = "TaxWDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "TaxWDVCF"]'>
    <tr>
      <td>Tax WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfABA[substring-after(name(.),"ABA") = "TaxWDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "Asset"]'>
    <tr><td><h5>Assets</h5></td></tr>
        <xsl:call-template name='AssetTemplate'>
          <xsl:with-param name='assetTuple' select='$setOfABA[substring-after(name(.),"ABA") = "Asset"]' />
        </xsl:call-template>
</xsl:if>


<xsl:if test='$setOfABA[starts-with(substring-after(name(.),"ABA"),"Additions")]'>
  <xsl:call-template name="BuildingsAllowancesAdditions">
    <xsl:with-param name="buildingsAllowanceAdditionsSet" select='$setOfABA[starts-with(substring-after(name(.),"ABA"),"Additions")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "Deductions"]'>
<tr><td><h5>Deductions</h5></td></tr>
<tr><td>
Label:
</td><td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$setOfABA[substring-after(name(.),"ABA") = "Deductions"]' />
  </xsl:call-template>
</td></tr>
  <xsl:call-template name="BuildingsAllowancesDeductions">
    <xsl:with-param name="buildingsAllowanceDeductionsSet" select='$setOfABA[starts-with(substring-after(name(.),"ABA"),"Deductions")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "Allowances"]'>
  <xsl:call-template name="BuildingsAllowancesAllowances">
    <xsl:with-param name="buildingsAllowanceAllowancesSet" select='$setOfABA[starts-with(substring-after(name(.),"ABA"),"Allowances")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfABA[substring-after(name(.),"ABA") = "NotionalAllowances"]'>
  <xsl:call-template name="BuildingsAllowancesNotional">
    <xsl:with-param name="buildingsAllowanceNotionalSet" select='$setOfABA[starts-with(substring-after(name(.),"ABA"),"NotionalAllowances")]' />
  </xsl:call-template>
</xsl:if>

</xsl:template>
<xsl:template name="AssetTemplate">
<xsl:param name="assetTuple" />
<tr>
<td colspan="2">
<table>
  <tr>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "Description"]'>
      Description
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "Site"]'>
      Site
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "Building"]'>
      Building
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "YearOfExpenditure"]'>
      Year of expenditure
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "OriginalCost"]'>
      Original cost
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DateOfTransfer"]'>
      Date of transfer
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NonQualifyingUseOnDisposal"]'>
      Non-qualifying use on disposal
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "WDVBF"]'>
      WDV b/f
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "TaxWDVCF"]'>
      WDV tax c/f
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "BalancingCharge"]'>
      WDV balancing charge
    </xsl:if>
    </th>



</tr>


<xsl:for-each select='$assetTuple[substring-after(name(.),"Asset") = ""]'>
  <tr>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "Description"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "Description"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "Site"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "Site"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "Building"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "Building"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "YearOfExpenditure"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "YearOfExpenditure"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "OriginalCost"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "OriginalCost"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DateOfTransfer"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DateOfTransfer"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NonQualifyingUseOnDisposal"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "NonQualifyingUseOnDisposal"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "WDVBF"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "WDVBF"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "TaxWDVCF"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "TaxWDVCF"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "BalancingCharge"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "BalancingCharge"]' />
      </xsl:call-template>
    </xsl:if>
    </td>



</tr>

</xsl:for-each>
<tr>



    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAdditions"]'>
      Additions description
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsTransfersIn"]'>
      Additions transfers in
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingFor"]'>
      Additions qualifying for allowance
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance100Percent"]'>
      Additions qualifying for initial allowance at 100%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance75Percent"]'>
      Additions qualifying for initial allowance at 75%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance20Percent"]'>
      Additions qualifying for initial allowance at 20%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA25Percent"]'>
      Additions qualifying for writing down allowance at 25%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA4Percent"]'>
      Additions qualifying for writing down allowance at 4%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA2Percent"]'>
      Additions qualifying for writing down allowance at 2%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsTotalCost"]'>
      Additions total cost
    </xsl:if>
    </th>



</tr>

<xsl:for-each select='$assetTuple[substring-after(name(.),"Asset") = ""]'>

<tr>



    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAdditions"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAdditions"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsTransfersIn"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsTransfersIn"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingFor"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingFor"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance100Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance100Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance75Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance75Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance20Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForInitialAllowance20Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA25Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA25Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA4Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA4Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA2Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsQualifyingForWDA2Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsTotalCost"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AdditionsTotalCost"]' />
      </xsl:call-template>
    </xsl:if>
    </td>



</tr>

</xsl:for-each>

<tr>



    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionDeductions"]'>
      Deductions description
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsDisposalProceeds"]'>
      Deductions disposal proceeds
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsTransfersOut"]'>
      Deductions transfers out
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsOther"]'>
      Deductions other
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsTotal"]'>
      Deductions Total
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowances"]'>
      Allowances description
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesClaimed"]'>
      Allowances claimed
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWaived"]'>
      Allowances waived
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed100Percent"]'>
      Allowances initial claimed at 100%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed75Percent"]'>
      Allowances initial claimed at 75%
    </xsl:if>
    </th>



</tr>


<xsl:for-each select='$assetTuple[substring-after(name(.),"Asset") = ""]'>

<tr>



    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionDeductions"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionDeductions"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsDisposalProceeds"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsDisposalProceeds"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsTransfersOut"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsTransfersOut"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsOther"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsOther"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsTotal"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DeductionsTotal"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowances"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowances"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesClaimed"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesClaimed"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWaived"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWaived"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed100Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed100Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed75Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed75Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>



</tr>


</xsl:for-each>

<tr>



    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed20Percent"]'>
      Allowances initial claimed at 20%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived100Percent"]'>
      Allowances initial waived at 100%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived75Percent"]'>
      Allowances initial waived at 75%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived20Percent"]'>
      Allowances initial waived at 20%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed25Percent"]'>
      Allowances writing down claimed at 25%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed4Percent"]'>
      Allowances writing down claimed at 4%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed2Percent"]'>
      Allowances writing down claimed at 2%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived25Percent"]'>
      Allowances writing down waived at 25%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived4Percent"]'>
      Allowances writing down waived at 4%
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived2Percent"]'>
      Allowances writing down waived at 2%
    </xsl:if>
    </th>



</tr>

<xsl:for-each select='$assetTuple[substring-after(name(.),"Asset") = ""]'>
<tr>



    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed20Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialClaimed20Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived100Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived100Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived75Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived75Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived20Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesInitialWaived20Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed25Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed25Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed4Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed4Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed2Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownClaimed2Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived25Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived25Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived4Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived4Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived2Percent"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesWritingDownWaived2Percent"]' />
      </xsl:call-template>
    </xsl:if>
    </td>



</tr>

</xsl:for-each>
<tr>



    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesBalancing"]'>
      Allowances balancing
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesTotalClaimed"]'>
      Allowances total claimed
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesAllowancesDueToTransferor"] | $assetTuple/*[substring-after(name(.),"Asset") = "AllowancesDueToTransferor"]'>
      Allowances due to transferor
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesAllowancesDueToTransferee"] | $assetTuple/*[substring-after(name(.),"Asset") = "AllowancesDueToTransferee"]'>
      Allowances balancing
    </xsl:if>
    </th>
   <xsl:choose>
    <xsl:when test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedIndustrialBuilding"]'>  
    
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedIndustrialBuilding"]'>
      Allowances on used industrial buildings
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingResidueOfQualifyingExpenditureAfterSale"]'>
      Allowances on used industrial buildings, residue of qualifying expenditure after sale
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingResidueOf25YearAllowancePeriodAfterSale"]'>
      Allowances on used industrial buildings, residue of 25 year allowance period after sale
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingAnnualRateOfWDADue"]'>
      Allowances on used industrial buildings, annual rate of writing down allowance due
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingWDAClaimed"]'>
      Allowances on used industrial buildings, writing down allowance claimed
    </xsl:if>
    </th>
   </xsl:when>
   <xsl:otherwise>
    
    
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedAgriculturalBuilding"]'>
      Allowances on used agricultural buildings
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingResidueOfQualifyingExpenditureAfterSale"]'>
      Allowances on used agricultural buildings, residue of qualifying expenditure after sale
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingResidueOf25YearAllowancePeriodAfterSale"]'>
      Allowances on used agricultural buildings, residue of 25 year allowance period after sale
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingAnnualRateOfWDADue"]'>
      Allowances on used agricultural buildings, annual rate of writing down allowance due
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingWDAClaimed"]'>
      Allowances on used agricultural buildings, writing down allowance claimed
    </xsl:if>
    </th>
    </xsl:otherwise>
    </xsl:choose>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionNotionalAllowances"]'>
      Notional allowances
    </xsl:if>
    </th>



</tr>

<xsl:for-each select='$assetTuple[substring-after(name(.),"Asset") = ""]'>

<tr>



    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesBalancing"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesBalancing"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesTotalClaimed"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesTotalClaimed"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesAllowancesDueToTransferor"] | $assetTuple/*[substring-after(name(.),"Asset") = "AllowancesDueToTransferor"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesAllowancesDueToTransferor"] | $assetTuple/*[substring-after(name(.),"Asset") = "AllowancesDueToTransferor"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesAllowancesDueToTransferee"] | $assetTuple/*[substring-after(name(.),"Asset") = "AllowancesDueToTransferee"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesAllowancesDueToTransferee"] | $assetTuple/*[substring-after(name(.),"Asset") = "AllowancesDueToTransferee"]' />
      </xsl:call-template>
    </xsl:if>
    </td>

   <xsl:choose>
    <xsl:when test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedIndustrialBuilding"]'>  
   <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedIndustrialBuilding"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedIndustrialBuilding"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingResidueOfQualifyingExpenditureAfterSale"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingResidueOfQualifyingExpenditureAfterSale"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingResidueOf25YearAllowancePeriodAfterSale"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingResidueOf25YearAllowancePeriodAfterSale"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingAnnualRateOfWDADue"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingAnnualRateOfWDADue"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingWDAClaimed"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedIndustrialBuildingWDAClaimed"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
   </xsl:when>
   <xsl:otherwise>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedAgriculturalBuilding"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionAllowancesUsedAgriculturalBuilding"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingResidueOfQualifyingExpenditureAfterSale"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingResidueOfQualifyingExpenditureAfterSale"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingResidueOf25YearAllowancePeriodAfterSale"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingResidueOf25YearAllowancePeriodAfterSale"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingAnnualRateOfWDADue"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingAnnualRateOfWDADue"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingWDAClaimed"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "AllowancesUsedAgriculturalBuildingWDAClaimed"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    </xsl:otherwise>
    </xsl:choose>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionNotionalAllowances"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "DescriptionNotionalAllowances"]' />
      </xsl:call-template>
    </xsl:if>
    </td>



</tr>
</xsl:for-each>
<tr>



    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCumulative"]'>
      Cumulative notional allowances
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCumulativeCF"]'>
      Cumulative notional allowances carried forward
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCurrentAllowance"]'>
      Current notional allowance
    </xsl:if>
    </th>
    <th width="10%">
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesBalancingAdjustment"]'>
      Notional allowances balancing adjustment
    </xsl:if>
    </th>
  </tr>

<xsl:for-each select='$assetTuple[substring-after(name(.),"Asset") = ""]'>
<tr>

    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCumulativeBF"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCumulativeBF"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCumulativeCF"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCumulativeCF"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCurrentAllowance"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesCurrentAllowance"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
    <td>
    <xsl:if test='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesBalancingAdjustment"]'>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$assetTuple/*[substring-after(name(.),"Asset") = "NotionalAllowancesBalancingAdjustment"]' />
      </xsl:call-template>
    </xsl:if>
    </td>
  </tr>
</xsl:for-each>

</table>
</td>
</tr>
</xsl:template>
<xsl:template name="BuildingsAllowancesAdditions">
<xsl:param name="buildingsAllowanceAdditionsSet" />


<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = ""]'>
  <tr><td><h5>Additions</h5></td></tr>
  <tr><td>Label:</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = ""]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "TotalCost"]'>
<tr><td>Total cost:</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "TotalCost"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "TransfersIn"]'>
<tr><td>Transfers in:</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "TransfersIn"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingFor"]'>
<tr><td>Additions qualifying for allowance:</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingFor"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForInitialAllowance100Percent"]'>
<tr><td>Additions qualifying for initial allowance at 100%</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForInitialAllowance100Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForInitialAllowance75Percent"]'>
<tr><td>Additions qualifying for initial allowance at 75%</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForInitialAllowance75Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForInitialAllowance20Percent"]'>
<tr><td>Additions qualifying for initial allowance at 20%</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForInitialAllowance20Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForWDA25Percent"]'>
<tr><td>Additions qualifying for WDA at 25%</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForWDA25Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForWDA4Percent"]'>
<tr><td>Additions qualifying for WDA at 4%</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForWDA4Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForWDA2Percent"]'>
<tr><td>Additions qualifying for WDA at 2%</td>
  <td><xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAdditionsSet[substring-after(name(.),"Additions") = "QualifyingForWDA2Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

</xsl:template>
<xsl:template name="BuildingsAllowancesAllowances">
<xsl:param name="buildingsAllowanceAllowancesSet" />

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = ""]'>
  <tr><td><h5>Allowances</h5></td></tr>
  <tr><td>Label:</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = ""]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "Claimed"]'>
  <tr><td>Allowances claimed</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "Claimed"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "Waived"]'>
  <tr><td>Allowances waived</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "Waived"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialClaimed100Percent"]'>
  <tr><td>Allowances initial claimed at 100%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialClaimed100Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialClaimed75Percent"]'>
  <tr><td>Allowances initial claimed at 75%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialClaimed75Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialClaimed20Percent"]'>
  <tr><td>Allowances initial claimed at 20%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialClaimed20Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialWaived100Percent"]'>
  <tr><td>Allowances initial waived at 100%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialWaived100Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>


<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialWaived75Percent"]'>
  <tr><td>Allowances initial waived at 75%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialWaived75Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialWaived20Percent"]'>
  <tr><td>Allowances initial waived at 20%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "InitialWaived20Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownClaimed25Percent"]'>
  <tr><td>Allowances initial claimed at 20%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownClaimed25Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownClaimed4Percent"]'>
  <tr><td>Allowances initial claimed at 4%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownClaimed4Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownClaimed2Percent"]'>
  <tr><td>Allowances initial claimed at 2%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownClaimed2Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownWaived25Percent"]'>
  <tr><td>Allowances initial waived at 25%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownWaived25Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownWaived4Percent"]'>
  <tr><td>Allowances initial waived at 4%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownWaived4Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownWaived2Percent"]'>
  <tr><td>Allowances initial waived at 2%</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "WritingDownWaived2Percent"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "Balancing"]'>
  <tr><td>Balancing allowances</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "Balancing"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "TotalClaimed"]'>
  <tr><td>Total allowances claimed</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "TotalClaimed"]' />
  </xsl:call-template></td></tr>
</xsl:if>


<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "DueToTransferor"]'>
  <tr><td>Allowances due to transferor</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "DueToTransferor"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "DueToTransferee"]'>
  <tr><td>Allowances due to transferee</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceAllowancesSet[substring-after(name(.),"Allowances") = "DueToTransferee"]' />
  </xsl:call-template></td></tr>
</xsl:if>

</xsl:template>

<xsl:template name="BuildingsAllowancesDeductions">
<xsl:param name="buildingsAllowanceDeductionsSet" />


<xsl:if test='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "DisposalProceeds"]'>
<tr><td>Disposal proceeds</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "DisposalProceeds"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "TransfersOut"]'>
<tr><td>Deductions transfers out</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "TransfersOut"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "Other"]'>
<tr><td>Other deductions</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "Other"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "Total"]'>
<tr><td>Total deductions</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceDeductionsSet[substring-after(name(.),"Deductions") = "Total"]' />
  </xsl:call-template></td></tr>
</xsl:if>

</xsl:template><xsl:template name="BuildingsAllowancesNotional">
  <xsl:param name="buildingsAllowanceNotionalSet" />

<xsl:if test='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = ""]'>
  <tr><td><h5>Notional Allowances</h5></td></tr>
  <tr><td>Label:</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = ""]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "CumulativeBF"]'>
  <tr><td>Cumulative notional allowance b/f</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "CumulativeBF"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "CurrentAllowance"]'>
  <tr><td>Current notional allowance</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "CurrentAllowance"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "BalancingAdjustment"]'>
  <tr><td>Notional allowances balancing adjustment</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "BalancingAdjustment"]' />
  </xsl:call-template></td></tr>
</xsl:if>

<xsl:if test='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "CumulativeCF"]'>
  <tr><td>Cumulative notional allowance c/f</td>
  <td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$buildingsAllowanceNotionalSet[substring-after(name(.),"NotionalAllowances") = "CumulativeCF"]' />
  </xsl:call-template></td></tr>
</xsl:if>

</xsl:template>
<xsl:template name="CGIndividualDisposal">
 <xsl:param name="setOfCG"/>

<table>

<xsl:call-template name="CGIDTitles1"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>

<xsl:call-template name="CGIDBody1"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>


<xsl:call-template name="CGIDTitles2"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>

<xsl:call-template name="CGIDBody2"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>


<xsl:call-template name="CGIDTitles3"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>

<xsl:call-template name="CGIDBody3"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>


<xsl:call-template name="CGIDTitles4"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>

<xsl:call-template name="CGIDBody4"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>


<xsl:call-template name="CGIDTitles5"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>

<xsl:call-template name="CGIDBody5"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>


<xsl:call-template name="CGIDTitles6"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>

<xsl:call-template name="CGIDBody6"><xsl:with-param name="setOfCG" select="$setOfCG"/>
</xsl:call-template>


</table>
</xsl:template>




<xsl:template name="CGIDTitles1">
 <xsl:param name="setOfCG"/>

<tr>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDescriptionOfAsset'>
Description of asset
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalReceiptsEtc'>
receipts etc
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGReceiptsTotal'>
Receipts total
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalReceiptsEtcDisposal'>
receipts etc disposal
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGReceiptsDisposalDate'>
Receipts disposal date
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGReceiptsDisposalDescription'>
Receipts disposal description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGReceiptsDisposalProceeds'>
Receipts disposal proceeds
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGReceiptsDisposalIncidentalCostsOfDisposal'>
Receipts disposal incidental costs of disposal
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsTotal'>
Deductions total
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtc'>
deductions etc
</xsl:if></th>



</tr>
</xsl:template>

<xsl:template name="CGIDTitles2">
 <xsl:param name="setOfCG"/>
<tr>



<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtcAcquisitionDetails'>
deductions etc acquisition details
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionDetailsDate'>
Deductions acquisition details date
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionDetailsDescription'>
Deductions acquisition details description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtcAcquisitionCosts'>
deductions etc acquisition costs
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionCostsAllowed'>
Deductions acquisition costs allowed
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionCostsAllowedOn31031982Basis'>
Deductions acquisition costs allowed on 31-03-1982 basis
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionCostsMarketValueAsAt31031982'>
Deductions acquisition costs market value as at 31-03-1982
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionCostsAllowedOn06041965Basis'>
Deductions acquisition costs allowed on 06-04-1965 basis
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsAcquisitionCostsMarketValueAsAt06041965'>
Deductions acquisition costs market value as at 06-04-1965
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtcEnhancementExpenditure'>
deductions etc enhancement expenditure
</xsl:if></th>



</tr>
</xsl:template>

<xsl:template name="CGIDTitles3">
 <xsl:param name="setOfCG"/>
<tr>



<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsEnhancementExpenditureDateOfExpenditure'>
Deductions enhancement expenditure date of expenditure
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsEnhancementExpenditureAllowed'>
Deductions enhancement expenditure allowed
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsCapitalLossRelief'>
Deductions capital loss relief
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsForeignTax'>
Deductions foreign tax
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsIncidentalExpenditure'>
Deductions incidental expenditure
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtcPartDisposal'>
deductions etc part disposal
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsPartDisposalRatio'>
Deductions part disposal ratio
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsPartDisposalMarketValueRetained'>
Deductions part disposal market value retained
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtcIndexation'>
deductions etc indexation
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsIndexationAllowance'>
Deductions indexation allowance
</xsl:if></th>



</tr>
</xsl:template>

<xsl:template name="CGIDTitles4">
 <xsl:param name="setOfCG"/>
<tr>



<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsIndexationRate'>
Deductions indexation rate
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsIndexationBasedOn31031982Value'>
Deductions indexation based on 31031982 value
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsIndexationRolledUpAllowancePre30111992'>
Deductions indexation rolled up allowance pre 30111992
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsIndexationIndexedCost'>
Deductions indexation indexed cost
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalDeductionsEtcSharePool'>
deductions etc share pool
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsSharepoolNumberOfSharesCF'>
Deductions sharepool number of shares c/f
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsLeaseholdPropertyCostAbatement'>
Deductions leasehold property cost abatement
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsWastingAssetCostAbatement'>
Deductions wasting asset cost abatement
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGDeductionsRevaluation'>
Deductions revaluation
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGHoldOverRelief'>
Hold over relief
</xsl:if></th>



</tr>
</xsl:template>

<xsl:template name="CGIDTitles5">
 <xsl:param name="setOfCG"/>
<tr>



<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalPostponedGain'>
postponed gain
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGPostponedGainBF'>
Postponed gain b/f
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGPostponedGainCF'>
Postponed gain c/f
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalGroups'>
groups
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalGroupsPreentryItems'>
groups preentry items
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGroupsPreEntryItemsGain'>
Groups pre entry items gain
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGroupsPreEntryItemsLossArising'>
Groups pre entry items loss arising
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGroupsPreEntryItemsLossRelief'>
Groups pre entry items loss relief
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalRollover'>
rollover
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGRolloverClaimDate'>
Rollover claim date
</xsl:if></th>



</tr>
</xsl:template>

<xsl:template name="CGIDTitles6">
 <xsl:param name="setOfCG"/>
<tr>



<th width="10%"><xsl:if test='$setOfCG/ct:CGRolloverAsset'>
Rollover asset
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGRolloverDateOfAcquisition'>
Rollover date of acquisition
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGRolloverRelief'>
Rollover relief
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGTimeApportionment'>
Time apportionment
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGTimeApportionmentToBefore06041965'>
Time apportionment to before 06041965
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGIndividualDisposalGainLoss'>
Gain / Loss
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGainLossOn31031982MarketValueBasis'>
Gain/Loss on 31031982 market value basis
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGainLossOn06041965MarketValueBasis'>
Gain/Loss on 06041965 market value basis
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGainLossOnCostBasis'>
Gain/Loss on cost basis
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfCG/ct:CGGainLossAfterIndexation'>
Gain/Loss after indexation
</xsl:if></th>



</tr>
</xsl:template>
 

<xsl:template name="CGIDBody1">
 <xsl:param name="setOfCG"/>
<xsl:for-each select='$setOfCG'>
<tr>


<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDescriptionOfAsset'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalReceiptsEtc'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGReceiptsTotal'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalReceiptsEtcDisposal'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGReceiptsDisposalDate'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGReceiptsDisposalDescription'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGReceiptsDisposalProceeds'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGReceiptsDisposalIncidentalCostsOfDisposal'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsTotal'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtc'/></xsl:call-template>
</td>  </tr>
</xsl:for-each>
</xsl:template>

<xsl:template name="CGIDBody2">
 <xsl:param name="setOfCG"/>
 <xsl:for-each select='$setOfCG'>
 <tr>

<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtcAcquisitionDetails'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionDetailsDate'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionDetailsDescription'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtcAcquisitionCosts'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionCostsAllowed'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionCostsAllowedOn31031982Basis'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionCostsMarketValueAsAt31031982'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionCostsAllowedOn06041965Basis'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsAcquisitionCostsMarketValueAsAt06041965'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtcEnhancementExpenditure'/></xsl:call-template>
</td>  </tr>
</xsl:for-each>
</xsl:template>

<xsl:template name="CGIDBody3">
 <xsl:param name="setOfCG"/>
 <xsl:for-each select='$setOfCG'>
 <tr>

<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsEnhancementExpenditureDateOfExpenditure'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsEnhancementExpenditureAllowed'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsCapitalLossRelief'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsForeignTax'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsIncidentalExpenditure'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtcPartDisposal'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsPartDisposalRatio'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsPartDisposalMarketValueRetained'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtcIndexation'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsIndexationAllowance'/></xsl:call-template>
</td>  </tr>
</xsl:for-each>
</xsl:template>

<xsl:template name="CGIDBody4">
 <xsl:param name="setOfCG"/>
 <xsl:for-each select='$setOfCG'>
 <tr>

<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsIndexationRate'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsIndexationBasedOn31031982Value'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsIndexationRolledUpAllowancePre30111992'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsIndexationIndexedCost'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalDeductionsEtcSharePool'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsSharepoolNumberOfSharesCF'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsLeaseholdPropertyCostAbatement'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsWastingAssetCostAbatement'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGDeductionsRevaluation'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGHoldOverRelief'/></xsl:call-template>
</td>  </tr>
</xsl:for-each>
</xsl:template>

<xsl:template name="CGIDBody5">
 <xsl:param name="setOfCG"/>
 <xsl:for-each select='$setOfCG'>
 <tr>

<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalPostponedGain'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGPostponedGainBF'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGPostponedGainCF'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalGroups'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalGroupsPreentryItems'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGroupsPreEntryItemsGain'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGroupsPreEntryItemsLossArising'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGroupsPreEntryItemsLossRelief'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalRollover'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGRolloverClaimDate'/></xsl:call-template>
</td>  </tr>
</xsl:for-each>
</xsl:template>


<xsl:template name="CGIDBody6">
 <xsl:param name="setOfCG"/>
 <xsl:for-each select='$setOfCG'>
 <tr>

<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGRolloverAsset'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGRolloverDateOfAcquisition'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGRolloverRelief'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGTimeApportionment'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGTimeApportionmentToBefore06041965'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGIndividualDisposalGainLoss'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGainLossOn31031982MarketValueBasis'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGainLossOn06041965MarketValueBasis'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGainLossOnCostBasis'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CGGainLossAfterIndexation'/></xsl:call-template>
</td>  </tr>
</xsl:for-each>

 
</xsl:template>

<xsl:template name='CT600AndAnalysisTemplate'>
<xsl:if test='//ct:AnnuitiesAnnualPaymentsEtc'>
<h3 style="page-break-before: always">Annuities - Annual Payments</h3>

<table>
  <tr>
    <td>Description</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:AnnuitiesAnnualPaymentsEtc'/></xsl:call-template>
    </td>
  </tr>
  <tr>
    <td>Total</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:AnnuitiesAnnualPaymentsTotal'/></xsl:call-template>
    </td>
  </tr>
  <tr>
    <td>Analysis</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:AnnuitiesAnnualPaymentsAnalysis'/></xsl:call-template>
    </td>
  </tr>
</table>
</xsl:if>


<xsl:if test='//ct:IncomeFromWhichITDeducted'>
<h3 style="page-break-before: always">Income From Which IT Deducted</h3>

<table>
  <tr>
    <td>Description</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IncomeFromWhichITDeducted'/></xsl:call-template>
    </td>
  </tr>
  <tr>
    <td>Total</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IncomeFromWhichITDeductedTotal'/></xsl:call-template>
    </td>
  </tr>
  <tr>
    <td>Analysis</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IncomeFromWhichITDeductedAnalysis'/></xsl:call-template>
    </td>
  </tr>
</table>
</xsl:if>

<xsl:if test='//ct:IntragroupIncomeS247'>
<h3 style="page-break-before: always">Intra-Group Income - S247</h3>

<table>
  <tr>
    <td>Description</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IntragroupIncomeS247'/></xsl:call-template>
    </td>
  </tr>
  <tr>
    <td>Total</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IntraGroupIncomeS247Total'/></xsl:call-template>
    </td>
  </tr>
  <tr>
    <td>Analysis</td>
    <td>
      <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IntraGroupIncomeS247Analysis'/></xsl:call-template>
    </td>
  </tr>
</table>
</xsl:if>
</xsl:template>
<xsl:template name='CTAndInterestPaymentsMadeTemplate'>
  <xsl:if test='//ct:CTAndInterestPaymentsMade | CTAndInterestPaymentsMadeCorporationTax'>
  <tr><td>
    <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CTAndInterestPaymentsMade'/></xsl:call-template>
    <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CTAndInterestPaymentsMadeCorporationTax'/></xsl:call-template>
</td></tr>
</xsl:if>

  <xsl:if test='//ct:CTAndInterestPaymentsMadeCorporationTaxDate'>
    <tr>
     <td>Corporation tax payment date</td>
     <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CTAndInterestPaymentsMadeCorporationTaxDate'/></xsl:call-template></td>
    </tr>
  </xsl:if>
  
  <xsl:if test='//ct:CTAndInterestPaymentsMadeCorporationTaxAmount'>
    <tr>
     <td>Corporation tax payment amount</td>
     <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CTAndInterestPaymentsMadeCorporationTaxAmount'/></xsl:call-template></td>
    </tr>
  </xsl:if>
  
  <xsl:if test='//ct:CTAndInterestPaymentsMadeInterest'>
  <tr><td>Interest description</td><td>
    <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CTAndInterestPaymentsMadeInterest'/></xsl:call-template>
  </td></tr></xsl:if>
  <xsl:if test='//ct:CTAndInterestPaymentsMadeInterestDate'>
    <tr>
     <td>Interest payment date</td>
     <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select="//ct:CTAndInterestPaymentsMadeInterestDate"/></xsl:call-template></td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CTAndInterestPaymentsMadeInterestAmount'>
    <tr>
     <td>Interest payment amount</td>
     <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select="//ct:CTAndInterestPaymentsMadeInterestAmount"/></xsl:call-template></td>
    </tr>
  </xsl:if>
</xsl:template>

<xsl:template name='CTPayableByInstalmentsTemplate'>

  <xsl:if test='//ct:CTPayableByInstalments'>
    <tr>
     <td>Label</td>
     <td>
         <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalments' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CTPayableByInstalmentsMaxNoOfAssociatedCompanies'>
    <tr>
      <td>Maximum number of associated companies</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalmentsMaxNoOfAssociatedCompanies' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CTPayableByInstalmentsInstalmentThreshold'>
    <tr>
      <td>Instalment threshold</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalmentsInstalmentThreshold' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CTPayableByInstalmentsProfits'>
    <tr>
      <td>Profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalmentsProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CTPayableByInstalmentsNonGroupFII'>
    <tr>
      <td>Non group franked investment income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalmentsNonGroupFII' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CTPayableByInstalmentsDate'>
    <tr>
      <td>Date</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalmentsDate' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CTPayableByInstalmentsAmount'>
    <tr>
      <td>Amount</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CTPayableByInstalmentsAmount' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>
<xsl:template name='CalculationOfCTLiabilityACTShadowACTTemplate'>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACT'>
  <tr>
    <td> <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACT'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACTBF'>
  <tr>
    <td>B/F</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACTBF'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACTCapacity'>
  <tr>
    <td>Capacity</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACTCapacity'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACTThisAndPriorPeriods'>
  <tr>
    <td>This and prior periods</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACTThisAndPriorPeriods'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACTPayableOnFrankedDistributions'>
  <tr>
    <td>Payable on franked distributions</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACTPayableOnFrankedDistributions'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACTOffset'>
  <tr>
    <td>Offset</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACTOffset'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTShadowACTCF'>
  <tr>
    <td>C/F</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTShadowACTCF'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
</xsl:template>
<xsl:template name='CalculationOfCTLiabilityACTTemplate'>
<xsl:if test='//ct:CalculationOfCTLiabilityACT'>
  <tr>
    <td><xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACT'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>

<xsl:if test='//ct:CalculationOfCTLiabilityACTBF'>
  <tr>
    <td>B/F</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTBF'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTTransferred'>
  <tr>
    <td>Transferred</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTTransferred'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTSetOff'>
  <tr>
    <td>Set off</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTSetOff'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTRepayment'>
  <tr>
    <td>Repayment</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTRepayment'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTCarriedBack'>
  <tr>
    <td>Carried back</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTCarriedBack'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTCF'>
  <tr>
    <td>ACT c/f</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTCF'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTFrankedDistributions'>
  <tr>
    <td>Franked distributions</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTFrankedDistributions'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTFrankedInvestmentIncome'>
  <tr>
    <td>Franked investment income</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTFrankedInvestmentIncome'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
<xsl:if test='//ct:CalculationOfCTLiabilityACTNetFrankedDistributions'>
  <tr>
    <td>Net franked distributions</td>
    <td>
      <xsl:call-template name='valueOfItem'>
        <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTNetFrankedDistributions'/>
      </xsl:call-template>
    </td>
  </tr>
</xsl:if>
</xsl:template>
<xsl:template name='CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesTemplate'>

  <xsl:for-each select='//ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanyShares'>
    <tr>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesCompanyName'/></xsl:call-template>
      </td>
      <td>
         <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesNominalValueOfSharesSubscribedFor'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesDateOfIssue'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesAmountSubscribed'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesInvestmentReliefClaimed'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityCVSInvestmentReliefIndividualCompanySharesCVUReference'/></xsl:call-template>
      </td>
     </tr>
   </xsl:for-each>
</xsl:template>

<xsl:template name='CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTemplate'>

  <xsl:for-each select='//ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSource'>
    <tr>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceDescriptionOfSource'/></xsl:call-template>
      </td>
      <td>
         <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceCountry'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceTradeSource'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceYear'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceIncome'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceForeignTax'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceUKTax'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceRate'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CalculationOfCTLiabilityDoubleTaxationReliefIndividualSourceAmount'/></xsl:call-template>
      </td>
     </tr>
   </xsl:for-each>
</xsl:template>

<xsl:template name='CalculationOfCTLiabilityMarginalSmallCompaniesTemplate'>
  <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1 | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2 | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesRelief'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesRelief'/></xsl:call-template></td>
        </tr>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1'/></xsl:call-template></td>
        </tr>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2'/></xsl:call-template></td>
        </tr>
   </xsl:if>   
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicLRMAAmount | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicLRMAAmount'>
        <tr>
          <td>LRMA</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicLRMA'/></xsl:call-template>
          <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicLRMAAmount'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicLRMA'/></xsl:call-template>
          <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicLRMAAmount'/></xsl:call-template></td>
       </tr>
     </xsl:if>   
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicLRMA300000 | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicLRMA300000'>
        <tr>
          <td>LRMA 300000</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicLRMA300000'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicLRMA300000'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicURMA | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicURMA'>
        <tr>
          <td>URMA</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicURMA'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicURMA'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicURMAAmount | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicURMAAmount'>
        <tr>
          <td>URMA</td>
          <td>
          <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicURMAAmount'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicURMAAmount'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicURMA1500000 | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicURMA1500000'>
        <tr>
          <td>URMA 1500000</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1BasicURMA1500000'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2BasicURMA1500000'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1LRMAAfterAdjustment | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2LRMAAfterAdjustment'>
        <tr>
          <td>LRMA after adjustment</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1LRMAAfterAdjustment'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2LRMAAfterAdjustment'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1URMAAfterAdjustment | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2URMAAfterAdjustment'>
        <tr>
          <td>URMA after adjustment</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1URMAAfterAdjustment'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2URMAAfterAdjustment'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1Fraction | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2Fraction'>
        <tr>
          <td>Fraction description</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1Fraction'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2Fraction'/></xsl:call-template></td>
       </tr>
     </xsl:if>

    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1FractionRate | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2FractionRate'>
        <tr>
          <td>Fraction rate</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1FractionRate'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2FractionRate'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1Fraction1Over40 | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2Fraction1Over40'>
        <tr>
          <td>Fraction 1/40</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1Fraction1Over40'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2Fraction1Over40'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1Fraction11Over400 | //ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2Fraction11Over400'>
        <tr>
          <td>Fraction 11/400</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear1Fraction11Over400'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefFinancialYear2Fraction11Over400'/></xsl:call-template></td>
       </tr>
     </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefClaimed'>
        <tr>
          <td colspan='2'>Relief claimed</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalSmallCompaniesReliefClaimed'/></xsl:call-template></td>
       </tr>
     </xsl:if>
</xsl:template>



<xsl:template name='CalculationOfCTLiabilityMarginalStartingRateReliefTemplate'>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateRelief'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateRelief'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicFRA'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicFRA'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRA'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRA'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRAAmount'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRAAmount'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicFRA'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicFRA'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRA'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRA'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRAAmount'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRAAmount'/></xsl:call-template></td>
        </tr>
    </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction'>
        <tr>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction'/></xsl:call-template></td>
        </tr>
   </xsl:if>
    <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicFRAAmount | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicFRAAmount'>
        <tr>
          <td>FRA</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicFRAAmount'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicFRAAmount'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicFRA10000 | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicFRA10000'>
        <tr>
          <td>FRA 10000</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicFRA10000'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicFRA10000'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRA | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRA'>
        <tr>
          <td>SRA Description</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRA'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRA'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRAAmount | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRAAmount'>
        <tr>
          <td>SRA Amount</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRAAmount'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRAAmount'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRA50000 | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRA50000'>
        <tr>
          <td>SRA 50000</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1BasicSRA50000'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2BasicSRA50000'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1FRAAfterAdjustment | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2FRAAfterAdjustment'>
        <tr>
          <td>FRA after adjustment</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1FRAAfterAdjustment'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2FRAAfterAdjustment'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1SRAAfterAdjustment | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2SRAAfterAdjustment'>
        <tr>
          <td>SRA after adjustment</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1SRAAfterAdjustment'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2SRAAfterAdjustment'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction'>
        <tr>
          <td>Fraction</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction1Over40 | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction1Over40'>
        <tr>
          <td>Fraction 1/40</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction1Over40'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction1Over40'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction19Over400 | //ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction19Over400'>
        <tr>
          <td>Fraction 19/400</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear1Fraction19Over400'/></xsl:call-template></td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefFinancialYear2Fraction19Over400'/></xsl:call-template></td>
       </tr>
     </xsl:if>
     <xsl:if test='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefClaimed'>
       <tr>
          <td colspan='2'>Relief claimed</td>
          <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityMarginalStartingRateReliefClaimed'/></xsl:call-template></td>
       </tr>
   </xsl:if>
</xsl:template>
<xsl:template name='CalculationOfCTLiabilityProfitsTemplate'>
  <xsl:if test='//ct:CalculationOfCTLiabilityProfitsBeforeOtherDeductionsReliefs'>
    <tr>
      <td>Profits before other deductions and reliefs</td>
      <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityProfitsBeforeOtherDeductionsReliefs' /></xsl:call-template></td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityDeductionsReliefs'>
    <tr>
      <td>Deductions and reliefs</td>
      <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityDeductionsReliefs' /></xsl:call-template></td>
    </tr>
  </xsl:if>
  <xsl:if test="//ct:CalculationOfCTLiabilityProfitsBeforeChargesGroupRelief">
    <tr>
      <td>Profits before charges and group relief</td>
      <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityProfitsBeforeChargesGroupRelief' /></xsl:call-template></td>
    </tr>
  </xsl:if>
  <xsl:if test="//ct:CalculationOfCTLiabilityProfits">
    <tr>
      <td>Profits</td>
      <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityProfits' /></xsl:call-template></td>
    </tr>
  </xsl:if>
</xsl:template>

<xsl:template name='CalculationOfCTLiabilityTemplate'>

<tr><td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiability' />
        </xsl:call-template>
</td></tr>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1Date | CalculationOfCTLiabilityFinancialYear2Date'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1Date | CalculationOfCTLiabilityFinancialYear2Date'>
    <tr>
      <td>Date</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1Date' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2Date' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1AssociatedCompaniesNumber | CalculationOfCTLiabilityFinancialYear2AssociatedCompaniesNumber'>
    <tr>
      <td>Associated companies number</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1AssociatedCompaniesNumber' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2AssociatedCompaniesNumber' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1FinancialYearApportionmentFraction | //ct:CalculationOfCTLiabilityFinancialYear2FinancialYearApportionmentFraction'>
    <tr>
      <td>Apportionment fraction</td>
      <td>
        <xsl:call-template name='Fraction'>
          <xsl:with-param name='ele' select='//ct:CalculationOfCTLiabilityFinancialYear1FinancialYearApportionmentFraction' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='Fraction'>
          <xsl:with-param name='ele' select='//ct:CalculationOfCTLiabilityFinancialYear2FinancialYearApportionmentFraction' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1Profits | //ct:CalculationOfCTLiabilityFinancialYear2Profits'>
    <tr>
      <td>Profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1Profits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2Profits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
<!-- Assume only one of these will ever be present -->
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1Rate'>
    <tr>
      <td>Rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1Rate' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear2Rate'>
    <tr>
      <td>Rate</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2Rate' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear130'>
    <tr>
      <td>Rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear130' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear230'>
    <tr>
      <td>Rate</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear230' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear120'>
    <tr>
      <td>Rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear120' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear220'>
    <tr>
      <td>Rate</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear220' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear119'>
    <tr>
      <td>Rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear119' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear219'>
    <tr>
      <td>Rate</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear219' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear110'>
    <tr>
      <td>Rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear110' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear210'>
    <tr>
      <td>Rate</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear210' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear10'>
    <tr>
      <td>Rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear10' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear20'>
    <tr>
      <td>Rate</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear20' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAtRate | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAtRate'>
    <tr>
      <td>Chargeable rate</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAtRate' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAtRate' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAtProfits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAtProfits'>
    <tr>
      <td>Chargeable at profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAtProfits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAtProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt30Profits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt30Profits'>
    <tr>
      <td>Chargeable at 30 percent profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt30Profits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt30Profits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt20Profits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt20Profits'>
    <tr>
      <td>Chargeable at 20 percent profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt20Profits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt20Profits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt19Profits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt19Profits'>
    <tr>
      <td>Chargeable at 19 percent profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt19Profits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt19Profits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt10Profits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt10Profits'>
    <tr>
      <td>Chargeable at 10 percent profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt10Profits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt10Profits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt0Profits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt0Profits'>
    <tr>
      <td>Chargeable at 0 percent profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt0Profits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt0Profits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>



  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt'>
    <tr>
      <td>Tax charged</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt30 | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt30'>
    <tr>
      <td>Tax charged at 30 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt30' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt30' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt20 | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt20'>
    <tr>
      <td>Tax charged at 20 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt20' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt20' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt19 | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt19'>
    <tr>
      <td>Taxi charged at 19 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt19' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt19' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt10 | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt10'>
    <tr>
      <td>Tax charged at 10 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt10' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt10' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt0 | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt0'>
    <tr>
      <td>Tax charged at 0 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt0' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt0' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1NonGroupFII | //ct:CalculationOfCTLiabilityFinancialYear2NonGroupFII'>
    <tr>
      <td>Non-group franked invesment income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1NonGroupFII' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2NonGroupFII' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ProfitsNonGroupFII | //ct:CalculationOfCTLiabilityFinancialYear2ProfitsNonGroupFII'>
    <tr>
      <td>Profits non-group franked invesment income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ProfitsNonGroupFII' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ProfitsNonGroupFII' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt30PercentProfits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt30PercentProfits'>
    <tr>
      <td>Chargeable at 30% profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt30PercentProfits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt30PercentProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt20PercentProfits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt20PercentProfits'>
    <tr>
      <td>Chargeable at 20% profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt20PercentProfits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt20PercentProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt19PercentProfits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt19PercentProfits'>
    <tr>
      <td>Chargeable at 19% profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt19PercentProfits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt19PercentProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt10PercentProfits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt10PercentProfits'>
    <tr>
      <td>Chargeable at 10% profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt10PercentProfits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt10PercentProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt0PercentProfits | //ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt0PercentProfits'>
    <tr>
      <td>Chargeable at 0% profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1ChargeableAt0PercentProfits' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2ChargeableAt0PercentProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear130Percent | //ct:CalculationOfCTLiabilityFinancialYear230Percent'>
    <tr>
      <td>30% [CT600 boxes 41, 44 or 47]</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear130Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear230Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear120Percent | //ct:CalculationOfCTLiabilityFinancialYear220Percent'>
    <tr>
      <td>20% [CT600 boxes 41, 44 or 47]</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear120Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear220Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear119Percent | //ct:CalculationOfCTLiabilityFinancialYear219Percent'>
    <tr>
      <td>19% [CT600 boxes 41, 44 or 47]</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear119Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear219Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear110Percent | //ct:CalculationOfCTLiabilityFinancialYear210Percent'>
    <tr>
      <td>10% [CT600 boxes 41, 44 or 47]</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear110Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear210Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear10Percent | //ct:CalculationOfCTLiabilityFinancialYear20Percent'>
    <tr>
      <td>0% [CT600 boxes 41, 44 or 47]</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear10Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear20Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt30Percent | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt30Percent'>
    <tr>
      <td>Tax charged at 30%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt30Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt30Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt20Percent | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt20Percent'>
    <tr>
      <td>Tax charged at 20%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt20Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt20Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt19Percent | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt19Percent'>
    <tr>
      <td>Tax charged at 19%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt19Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt19Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt10Percent | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt10Percent'>
    <tr>
      <td>Tax charged at 10%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt10Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt10Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt0Percent | //ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt0Percent'>
    <tr>
      <td>Tax charged at 0%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear1TaxChargedAt0Percent' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFinancialYear2TaxChargedAt0Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


</xsl:template>
<xsl:template name="ChargeableGainsTemplate">


  <xsl:if test='//ct:ChargeableGains'>
    <tr>
      <td>Chargeable gains</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:ChargeableGains' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGNetChargeableGain'>
    <tr>
      <td>Net chargeable gain</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGNetChargeableGain' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGGrossChargeableGains'>
    <tr>
      <td>Gross chargeable gains</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGGrossChargeableGains' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGLossesArising'>
    <tr>
      <td>Losses arising</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGLossesArising' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGAllowableLosses'>
    <tr>
      <td>Allowable losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGAllowableLosses' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGAllowableLossesLossesBF'>
    <tr>
      <td>Allowable losses losses b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGAllowableLossesLossesBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGAllowableLossesLossesCF'>
    <tr>
      <td>Allowable losses losses c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGAllowableLossesLossesCF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGConnectedParty'>
    <tr>
      <td>Connected party</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGConnectedParty' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGConnectedPartyGains'>
    <tr>
      <td>Connected party gains</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGConnectedPartyGains' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGConnectedPartyLossesInPeriod'>
    <tr>
      <td>Connected party losses in period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGConnectedPartyLossesInPeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGConnectedPartyNameOfConnectedParty'>
    <tr>
      <td>Connected party name of connected party</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGConnectedPartyNameOfConnectedParty' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGConnectedPartyLossesBF'>
    <tr>
      <td>Connected party losses b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGConnectedPartyLossesBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGConnectedPartyLossesCF'>
    <tr>
      <td>Connected party losses c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGConnectedPartyLossesCF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGPreentryLosses'>
    <tr>
      <td>Preentry losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGPreentryLosses' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGPreEntryLossesBF'>
    <tr>
      <td>Pre entry losses b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGPreEntryLossesBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGPreEntryLossesOfThePeriod'>
    <tr>
      <td>Pre entry losses of the period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGPreEntryLossesOfThePeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGPreEntryLossesRelevantTime'>
    <tr>
      <td>Pre entry losses relevant time</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGPreEntryLossesRelevantTime' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGPreEntryLossesUtilisedAgainstChargeableGains'>
    <tr>
      <td>Pre entry losses utilised against chargeable gains</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGPreEntryLossesUtilisedAgainstChargeableGains' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CGPreEntryLossesCF'>
    <tr>
      <td>Pre entry losses c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CGPreEntryLossesCF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


<xsl:call-template name="CGIndividualDisposal">
  <xsl:with-param name="setOfCG" select="//ct:CGIndividualDisposal"/>
</xsl:call-template>


</xsl:template>
<xsl:template name='CorporationTaxTemplate'>
  <xsl:if test='//ct:CalculationOfCTLiabilityTotalReliefsDeductionsInTermsOfTax'>
    <tr>
      <td>Total reliefs deductions in terms of tax</td>
      <td>box 63</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTotalReliefsDeductionsInTermsOfTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityCTLiability'>
    <tr>
      <td>Corporation tax liability</td>
      <td>box 64</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityCTLiability' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityTaxPayableUnderS419'>
    <tr>
      <td>Tax payable under S419</td>
      <td>box 66</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTaxPayableUnderS419' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityTaxPayableUnderS747'>
    <tr>
      <td>Tax payable under S747</td>
      <td>box 67</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTaxPayableUnderS747' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityTaxChargeable'>
    <tr>
      <td>Tax chargeable</td>
      <td>box 68</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTaxChargeable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityCTRepayable'>
    <tr>
      <td>Corporation tax repayable</td>
      <td>box 111</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityCTRepayable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityITRepayable'>
    <tr>
      <td>Income tax repayable</td>
      <td>boxes 70 and 112</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityITRepayable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityAmountDue'>
    <tr>
      <td>Amount due</td>
      <td>box 72</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityAmountDue' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityResearchDevelopmentTaxCredit'>
    <tr>
      <td>Research and development tax credit</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityResearchDevelopmentTaxCredit' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityResearchDevelopmentTaxCreditClaimed'>
    <tr>
      <td>Research and development tax credit claimed</td>
      <td>box 149</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityResearchDevelopmentTaxCreditClaimed' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityResearchDevelopmentTaxCreditPayable'>
    <tr>
      <td>Research development tax credit payable</td>
      <td>boxes 150 and 152</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityResearchDevelopmentTaxCreditPayable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityLandRemediationOrLACompanyTaxCredit'>
    <tr>
      <td>Land remediation or LA company tax credit</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityLandRemediationOrLACompanyTaxCredit' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityLandRemediationOrLACompanyTaxCreditClaimed'>
    <tr>
      <td>Land remediation or LA company tax credit claimed</td>
      <td>box 154</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityLandRemediationOrLACompanyTaxCreditClaimed' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityLandRemediationOrLACompanyTaxCreditPayable'>
    <tr>
      <td>Land remediation or LA company tax credit payable</td>
      <td>boxes 155 and 158</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityLandRemediationOrLACompanyTaxCreditPayable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityConstructionIndustrySchemeDeductions'>
    <tr>
      <td>Construction industry scheme deductions</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityConstructionIndustrySchemeDeductions' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityConstructionIndustrySchemeDeductionsSuffered'>
    <tr>
      <td>Construction industry scheme deductions suffered</td>
      <td>box 73</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityConstructionIndustrySchemeDeductionsSuffered' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityConstructionIndustrySchemeDeductionsRepayable'>
    <tr>
      <td>Construction industry scheme deductions repayable</td>
      <td>box 74</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityConstructionIndustrySchemeDeductionsRepayable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityCommunityInvestmentRelief'>
    <tr>
      <td>Community investment relief</td>
      <td>box 162</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityCommunityInvestmentRelief' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityTaxPayableUnderS501AICTA'>
    <tr>
      <td>Tax payable under S501AICTA</td>
      <td>box 163</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTaxPayableUnderS501AICTA' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityACTOnFIDsSetOff'>
    <tr>
      <td>Advance Corporate Tax on foreign investment dividends set off</td>
      <td>box 71</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityACTOnFIDsSetOff' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityTaxOutstanding'>
    <tr>
      <td>Tax outstanding</td>
      <td>box 76</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTaxOutstanding' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityTaxOverpaid'>
    <tr>
      <td>Tax overpaid</td>
      <td>box 77</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityTaxOverpaid' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilitySection102SurrendersReceived'>
    <tr>
      <td>Section 102 surrenders received</td>
      <td>box 78</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilitySection102SurrendersReceived' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilitySection102SurrendersToBeMade'>
    <tr>
      <td>Section 102 surrenders to be made</td>
      <td>box 124</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilitySection102SurrendersToBeMade' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityCTChargeable'>
    <tr>
      <td>Corporation tax chargeable</td>
      <td>box 59</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityCTChargeable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CalculationOfCTLiabilityFIIFIDsArising'>
    <tr>
      <td>Franked investment income and foreign income dividends arising</td>
      <td>box 34</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CalculationOfCTLiabilityFIIFIDsArising' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>
<xsl:template name='DeductionsCVSTemplate'>
<xsl:if test='//ct:DeductionsCVSEtc'>
<h3 style="page-break-before: always">Deductions - Corporate Venturing Scheme</h3>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsCVSEtc'/></xsl:call-template></p>

<table>
    <tr>
      <td>Loss Relief</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsCVSLossRelief'/></xsl:call-template>
      </td>
    </tr>
</table>

<xsl:if test='//ct:DeductionsCVSIndividualCompanyShares'>
<h4 style="page-break-before: always">Individual Company Shares</h4>

<table>
<tr>
<td>Total</td>
<td>Losses on Unquoted Shares</td>
<td>Losses - Amount</td>
<td>Losses - Gross Gain - Description</td>
<td>Gross Gain Total</td>
<td>Gross Gain Proceeds</td>
<td>Gross Gain Costs</td>
<td>Losses - Indexation Allowance - Description</td>
<td>Allowance Amount</td>
<td>Allowance Acquisition Dates</td>
<td>Allowance Disposal Dates</td>
</tr>

<xsl:for-each select='//ct:DeductionsCVSIndividualCompanyShares'>

    <tr>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSIndividualCompanySharesTotal' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSEtcIndividualCompanySharesLossesOnUnquotedShares' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSAmount' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSEtcIndividualCompanySharesLossesOnUnquotedSharesGrossGain' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSGrossGainTotal' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSGrossGainProceeds' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSGrossGainCosts' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSEtcIndividualCompanySharesLossesOnUnquotedSharesIndexationAllowance' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSIndexationAllowanceAmount' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSIndexationAllowanceAcquisitionDates' />
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='./ct:DeductionsCVSIndexationAllowanceDisposalDates' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:for-each>

</table>
</xsl:if>

</xsl:if>
</xsl:template>

<xsl:template name='DeductionsChargesTemplate'>
<xsl:if test='//ct:DeductionsCharges'>
<h3 style="page-break-before: always">Deductions &amp; Charges</h3>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsCharges'/></xsl:call-template></p>

<table>
    <tr>
      <td>Trade</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsChargesTrade'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Non-Trade</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsChargesNonTrade'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Business</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsChargesBusiness'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsChargesTotal'/></xsl:call-template>
      </td>
    </tr>

    <!-- <tr><td colspan="2"><hr /></td></tr> -->

    <tr>
      <td>Used against profits of the period</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsChargesUsedAgainstProfitsOfThePeriod'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Excess</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsChargesExcess'/></xsl:call-template>
      </td>
    </tr>

</table>

</xsl:if>
</xsl:template>

<xsl:template name='DetailedProfitAndLossAccountTemplate'>
<xsl:if test='//ct:DetailedProfitAndLossAccount'>
<h3 style="page-break-before: always">Profit &amp; Loss Account</h3>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccount'/></xsl:call-template></p>

<xsl:if test='//ct:DetailedProfitAndLossAccountIncomeReceipts'>
<h4 style="page-break-before: always">Income Receipts</h4>

<table>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceipts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsTotal'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Work done</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsWorkDone'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Turnover description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsTurnover'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Total turnover</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsTurnoverTotal'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Continuing operations turnover</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsTurnoverContinuingOperations'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Acquisitions turnover</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsTurnoverAcquisitions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Discontinued operations turnover</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsTurnoverDiscontinuedOperations'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Sales</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsSales'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Grant income</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsGrantIncome'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Management fees</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsManagementFees'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Fees receivable</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsFeesReceivable'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Rent &amp; income from property</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsRentsIncomeFromProperty'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Interest</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsInterest'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Divident income</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsDividendIncome'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Other</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountIncomeReceiptsOther'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>

<xsl:if test='//ct:DetailedProfitAndLossAccountDeductions'>
<h4 style="page-break-before: always">Deductions</h4>

<table>

    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTotal'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Accountancy &amp; audit</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsAccountancyAndAudit'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Accreditation services</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsAccreditationsServices'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Administration charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsAdministrationCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Advertising &amp; promotions</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsAdvertisingAndPromotions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Archiving</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsArchiving'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Bad debts - description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBadDebts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>General bad debts</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBadDebtsGeneral'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Specific bad debts</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBadDebtsSpecific'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Bad debts written off</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBadDebtsWrittenOff'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Bank charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBankCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Benefits in kind</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBenefitsInKind'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Building repairs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBuildingRepairs'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Bulk volume rebate</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsBulkVolumeRebate'/></xsl:call-template>
      </td>
    </tr>


    <tr>
      <td>Canteen costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCanteenCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Car hire</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCarHire'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Car running costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCarRunningExpenses'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Claims - description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsClaims'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>General claims</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsClaimsGeneral'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Specific claims</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsClaimsSpecific'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Cleaning &amp; security</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCleaningAndSecurity'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Coal</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCoal'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Commissions</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCommissions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Computer costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsComputerCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Computer services</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsComputerServices'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Consultancy</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsConsultancy'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Consumables</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsConsumables'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Cost of sales</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCostOfSales'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Courier</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsCourier'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssets'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - property</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssetsDepreciationProperty'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - plant</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssetsDepreciationPlant'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - cars</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssetsDepreciationTransportCars'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - office equipment</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssetsDepreciationOfficeEquipment'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - fixed assets</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssetsProfitLossOnDisposalOfFixedAssets'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Depreciation losses on assets - goodwill amortisation</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDepreciationLossesOnAssetsGoodwillAmortisation'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Directors' bonuses</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDirectorsBonuses'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Directors' pensions</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDirectorsPensions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Directors' remuneration</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsDirectorsRemuneration'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Electricity</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsElectricity'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Electronic data processing</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsElectronicDataProcessing'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Employee benefit trust payments</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsEmployeeBenefitTrustPayments'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Entertaining</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsEntertaining'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Environmental expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsEnvironmentalExpenditure'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Establishment costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsEstablishmentCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Exceptional items</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsExceptionalItems'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Exchange losses - description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsExchangeLosses'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Exchange losses - trade related</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsExchangeLossesTradeRelated'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Exchange losses - non-trade</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsExchangeLossesNonTrade'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Factory wages</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsFactoryWages'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Finance - lease payments</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsFinanceLeasePayments'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Financial costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsFinancialCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Foreign VAT claims</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsForeignVATClaims'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Freight</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsFreight'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Fuel oil</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsFuelOil'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Gas</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsGas'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>General expenses</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsGeneralExpenses'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>General administrative costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsGeneralAdministrative'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Health &amp; safety</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsHealthAndSafety'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Health insurance</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsHealthInsurance'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Heat &amp; light</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsHeatAndLight'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Hire of equipment</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsHireOfEquipment'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Insurance</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInsurance'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Inter-company charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInterCompanyCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Interest - description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInterest'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Bank interest</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInterestBank'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Intra-group interest</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInterestIntraGroup'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Hire purchase interest</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInterestHirePurchase'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Interest on late corporation tax</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInterestOnLateCorporationTax'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Invoice discounting</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsInvoiceDiscounting'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Laboratory costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsLaboratoryCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Laundry</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsLaundry'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Lease amortisation</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsLeaseAmortisation'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Legal &amp; professional charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsLegalAndProfessionalCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Licensing costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsLicensingCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Loan costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsLoanCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Management charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsManagementCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Management services</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsManagementServices'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Marketing &amp; research</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsMarketingAndResearch'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>New product approval costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsNewProductsApprovalCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>NIC</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsNIC'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Obsolesence</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsObsolescence'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Office costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsOfficeCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Miscellaneous office</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsOfficeMiscellaneous'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Other</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsOther'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Patent registration fees</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPatentRegistrationFees'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Patents and information</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPatentsAndInformation'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Payroll processing</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPayrollProcessing'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Pension contributions</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPensionContributions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Periodicals &amp; books</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPeriodicalsAndBooks'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Photocopying</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPhotocopying'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Plant maintenance</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPlantMaintenance'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Postage</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPostage'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Printing</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPrinting'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Production consumables</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsProductionConsumables'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Production factory costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsProductionFactoryCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Provisions</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsProvisions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>PRP Costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPRPCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Purchases</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsPurchases'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Rates</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRates'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Raw materials</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRawMaterials'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Recruitment</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRecruitment'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Relocation costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRelocationCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Rent</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRent'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Repairs, renewals &amp; maintenance</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRepairsRenewalsMaintenance'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Research &amp; development</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRD'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Restructuring costs - empty premises</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRestructuringCostsEmptyPremises'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Restructuring costs - redundancy</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRestructuringCostsRedundancy'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Royalties</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsRoyalties'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Salaries &amp; wages</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSalariesAndWages'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Sales costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSalesCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Sales - publications/videos</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSalesPublicationsVideos'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Sample carriage</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSampleCarriage'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Security charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSecurityCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Seminars, workshops &amp; lectures</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSeminarsWorkshopsLectures'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Service - maintenance/contracts</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsServiceMaintenanceContracts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Sewerage</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSewerage'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Software charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSoftwareCharges'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>SSAP24/FRS17 pension adjustments</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSSAP24FRS17PensionAdjustment'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Staff costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsStaffCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Staff entertaining</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsStaffEntertaining'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Stationery</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsStationery'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Stock movement</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsStockMovement'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Stocktake costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsStocktakeCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Subcontractors - CIS scheme</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSubcontractorsCISScheme'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Subcontractors - non-CIS scheme</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSubcontractorsNonCISScheme'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Subscriptions &amp; donations</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSubscriptionsAndDonations'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Sundry expenses</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsSundryExpenses'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Tax advice</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTaxAdvice'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Technical advice</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTechnicalAdvice'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Telephone &amp; telex</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTelephoneAndTelex'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Temporary staff</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTemporaryStaff'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Termination payments</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTerminationPayments'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Testing costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTestingCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Trade fairs &amp; exhibitions</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTradeFairsExhibitions'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Trade subscriptions &amp; journals</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTradeSubscriptionsAndJournals'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Training</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTraining'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Transport costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTransportCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Travel &amp; subsistence</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsTravelAndSubsistence'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Utilities</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsUtilities'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Wages</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsWages'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Warehousing costs</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsWarehousingCosts'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Water</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsWater'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>WIP movement</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDeductionsWIPMovement'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>

<!-- <hr /> -->

<table>
    <tr>
      <td><strong>Net profit</strong></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountNetProfit'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td><strong>Dividends payable</strong></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountDividendsPayable'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td><strong>Taxation in accounts</strong></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DetailedProfitAndLossAccountTaxationInAccounts'/></xsl:call-template>
      </td>
    </tr>
</table>

</xsl:if>
</xsl:template>

<xsl:template name='ExpensiveCarsTemplate'>
<xsl:param name='setOfExpensiveCarsTuples'/>


<xsl:if test='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVBFTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAdditionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryDeductionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryBalancingChargeTotal"] | $setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "SummaryWDVCFTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = ""]'>

 <table>
<tr><td colspan="2"><h5>Expensive Motor Cars</h5></td></tr>
<xsl:if test='$setOfExpensiveCarsTuples[substring-after(name(.),"Deductions") = "PMAExpensiveCars"]'>
<tr><td>Label</td><td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$setOfExpensiveCarsTuples[substring-after(name(.),"Deductions") = "PMAExpensiveCars"]' />
  </xsl:call-template></td></tr>
</xsl:if>
</table>
<table>
    <tr>
      <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AssetDescription"] | $setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescription"]'>
            <th width="10%">Description</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "WDVBF"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVBFTotal"]'>
            <th width="10%">Tax WDV B/F</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "TransfersIn"]'>
            <th width="10%">Transfers in</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <th width="10%">
         <xsl:if test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescriptionAdditions"]'>
           Description additions  
         </xsl:if>
       </th>
       <th width="10%">
         <xsl:if test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescriptionDeductions"]'>
           Description deductions
         </xsl:if>
       </th>
       <th width="10%">
         <xsl:if test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescriptionAllowances"]'>
           Description allowances 
         </xsl:if>
       </th>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingFor"]'>
            <th width="10%">Qualifying additions</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingForFYA100Percent"]'>
            <th width="10%">Additions FYA 100</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingForFYA40Percent"]'>
            <th width="10%">Additions FYA 40</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingForWDA25Percent"]'>
            <th width="10%">Additions FYA 25</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AdditionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAdditionsTotal"]'>
            <th width="10%">Additions total</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
  </tr>

  <xsl:for-each select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = ""] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPool"]'>
    <tr>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AssetDescription"] | *[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescription"] '/></xsl:call-template>
      </td>
      <td>
         <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "WDVBF"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "TransfersIn"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescriptionAdditions"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescriptionDeductions"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPoolAssetDescriptionAllowances"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingFor"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingForFYA100Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingForFYA40Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AdditionsQualifyingForWDA25Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AdditionsTotal"]'/></xsl:call-template>
      </td>

    </tr>
   </xsl:for-each>
   <xsl:if test='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVBFTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAdditionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryDeductionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryBalancingChargeTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVCFTotal"]'><!-- add totals at bottom -->
    <tr>
      <th>Totals</th>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVBFTotal"]'/></xsl:call-template>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAdditionsTotal"]'/></xsl:call-template>
      </td>
     </tr>
   </xsl:if>


       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "DeductionsDisposalProceeds"]'>
            <th width="10%">Disposal proceeds</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "DeductionsTransfersOut"]'>
            <th width="10%">Transfers out</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "DeductionsOther"]'>
            <th width="10%">Other deductions</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "DeductionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryDeductionsTotal"]'>
            <th width="10%">Deductions total</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesClaimed"]'>
            <th width="10%">Allowances claimed</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesWaived"]'>
            <th width="10%">Allowances waived</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearClaimed100Percent"]'>
            <th width="10%">First year claimed</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearWaived100Percent"]'>
            <th width="10%">First year waived</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearClaimed40Percent"]'>
            <th width="10%">First year claimed 40%</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearWaived40Percent"]'>
            <th width="10%">First year waived 40%</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesWritingDownClaimed25Percent"]'>
            <th width="10%">Writing down claimed 25%</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
  <xsl:for-each select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = ""] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPool"]'>
    <tr>

      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "DeductionsDisposalProceeds"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "DeductionsTransfersOut"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "DeductionsOther"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "DeductionsTotal"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesClaimed"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesWaived"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearClaimed100Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearWaived100Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearClaimed40Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesFirstYearWaived40Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesWritingDownClaimed25Percent"]'/></xsl:call-template>
      </td>
    </tr>
  </xsl:for-each>

   <xsl:if test='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVBFTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAdditionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryDeductionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryBalancingChargeTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVCFTotal"]'><!-- add totals at bottom -->

     <tr>
      <th>Totals</th>
      <td></td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryDeductionsTotal"]'/></xsl:call-template>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      </tr>
    </xsl:if>

<!-- 3rd row -->
    <tr>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesWritingDownWaived25Percent"]'>
            <th width="10%">Writing down waived  25%</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesBalancingAllowance"]'>
            <th width="10%">Balancing allowance</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesDueToTransferor"]'>
            <th width="10%">Allowance to transferor</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesDueToTransferee"]'>
            <th width="10%">Allowance to  transferee</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "AllowancesBalancingCharge"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryBalancingChargeTotal"]'>
            <th width="10%">Balancing charge</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
       <xsl:choose>
         <xsl:when test='$setOfExpensiveCarsTuples/*[substring-after(name(.),"ExpensiveCars") = "WDVCF"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVCFTotal"]'>
            <th width="10%">WDV c/f</th>
         </xsl:when>
         <xsl:otherwise>
            <th width="10%"></th>
         </xsl:otherwise>
       </xsl:choose>
  </tr>
  <xsl:for-each select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = ""] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "IndividualAssetPool"]'>
 <tr>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesWritingDownWaived25Percent"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesBalancingAllowance"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesDueToTransferor"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesDueToTransferee"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "AllowancesBalancingCharge"]'/></xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"ExpensiveCars") = "WDVCF"]'/></xsl:call-template>
      </td>
     </tr>
   </xsl:for-each>

   <xsl:if test='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVBFTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAdditionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryDeductionsTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryBalancingChargeTotal"] | $setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVCFTotal"]'><!-- add totals at bottom -->
    <tr>

      <th>Totals</th>
      <td></td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryAllowancesTotal"]'/>
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'> 
          <xsl:with-param name='item' select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryBalancingChargeTotal"]'/>
        </xsl:call-template>
      </td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfExpensiveCarsTuples[substring-after(name(.),"ExpensiveCars") = "SummaryWDVCFTotal"]'/>
        </xsl:call-template>
      </td> 
     </tr>

    </xsl:if>

  </table>



 </xsl:if>
</xsl:template>

<xsl:template name="doExtensions">
<xsl:for-each select='//*[namespace-uri() != "http://www.govtalk.gov.uk/CT/Taxonomy/Computation" and namespace-uri() != "http://www.xbrl.org/2001/instance"]'>

<tr><th><xsl:value-of select="name(.)"/></th>
<td><xsl:value-of select='.'/></td>
            <td>  
              <xsl:element name="a">
                <xsl:attribute name="href">#<xsl:value-of select='@nonNumericContext'/><xsl:value-of select='@numericContext'/></xsl:attribute>
                <xsl:value-of select='@nonNumericContext'/>
                <xsl:value-of select='@numericContext'/>
              </xsl:element>
            </td>
</tr>

</xsl:for-each>
</xsl:template>
<xsl:template name="FCATemplate">
<xsl:param name="setOfFCA" />

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = ""]'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "BalancingCharge"]'>
    <tr>
      <td>Balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = "BalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>


<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "WDVBF"]'>
    <tr>
      <td>WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = "WDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "WDVCF"]'>
    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = "WDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "TaxWDVBF"]'>
    <tr>
      <td>Tax WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = "TaxWDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "TaxWDVCF"]'>
    <tr>
      <td>Tax WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = "TaxWDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "TotalClaimed"]'>
    <tr>
      <td>Total Claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfFCA[substring-after(name(.),"FCA") = "TotalClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "Asset"]'>
    <tr><td><h5>Assets</h5></td></tr>
        <xsl:call-template name='AssetTemplate'>
          <xsl:with-param name='assetTuple' select='$setOfFCA[substring-after(name(.),"FCA") = "Asset"]' />
        </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfFCA[starts-with(substring-after(name(.),"FCA"),"Additions")]'>
  <xsl:call-template name="BuildingsAllowancesAdditions">
    <xsl:with-param name="buildingsAllowanceAdditionsSet" select='$setOfFCA[starts-with(substring-after(name(.),"FCA"),"Additions")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "Deductions"]'>
<tr><td><h5>Deductions</h5></td></tr>
<tr><td>
Label:
</td><td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$setOfFCA[substring-after(name(.),"FCA") = "Deductions"]' />
  </xsl:call-template>
</td></tr>
  <xsl:call-template name="BuildingsAllowancesDeductions">
    <xsl:with-param name="buildingsAllowanceDeductionsSet" select='$setOfFCA[starts-with(substring-after(name(.),"FCA"),"Deductions")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "Allowances"]'>
  <xsl:call-template name="BuildingsAllowancesAllowances">
    <xsl:with-param name="buildingsAllowanceAllowancesSet" select='$setOfFCA[starts-with(substring-after(name(.),"FCA"),"Allowances")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfFCA[substring-after(name(.),"FCA") = "NotionalAllowances"]'>
  <xsl:call-template name="BuildingsAllowancesNotional">
    <xsl:with-param name="buildingsAllowanceNotionalSet" select='$setOfFCA[starts-with(substring-after(name(.),"FCA"),"NotionalAllowances")]' />
  </xsl:call-template>
</xsl:if>

</xsl:template>
<xsl:template name="FixedAssetTemplate">



  <xsl:if test='//ct:FixedAssetStatement'>
    <tr>
      <td>Label</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatement' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetBookValue'>
    <tr>
      <td>Net book value</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetBookValue' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetBookValueBF'>
    <tr>
      <td>Net book value b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetBookValueBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetBookValuePriorYearAdjustment'>
    <tr>
      <td>Net book value prior year adjustment</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetBookValuePriorYearAdjustment' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetBookValueAdjustedBF'>
    <tr>
      <td>Net book value adjusted b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetBookValueAdjustedBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAdditionsInThePeriod'>
    <tr>
      <td>Additions in the period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAdditionsInThePeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAdditionsInThePeriodTotal'>
    <tr>
      <td>Additions in the period total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAdditionsInThePeriodTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAdditionsInThePeriodFYAClaimed'>
    <tr>
      <td>Additions in the period FYA claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAdditionsInThePeriodFYAClaimed' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAdditionsInThePeriodLongLifeAssets'>
    <tr>
      <td>Additions in the period long life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAdditionsInThePeriodLongLifeAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAdditionsInThePeriodOtherAssets'>
    <tr>
      <td>Additions in the period other assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAdditionsInThePeriodOtherAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

          <xsl:variable name='fromT2'>
          <xsl:call-template name='T2' />
        </xsl:variable>
        <xsl:if test='$fromT2 != ""'>
		<tr><td><h4 style="page-break-before: always">Assets</h4></td></tr>
		<tr><td><table>
<xsl:copy-of select='$fromT2' />
</table></td></tr>

</xsl:if>
		


  <xsl:if test='//ct:FixedAssetStatementRevaluationsInPeriod'>
    <tr>
      <td>Revaluations in period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementRevaluationsInPeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetBookValueOfDisposals'>
    <tr>
      <td>Net book value of disposals</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetBookValueOfDisposals' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementDisposalProceeds'>
    <tr>
      <td>Disposal proceeds</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementDisposalProceeds' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetGroupTransfers'>
    <tr>
      <td>Net group transfers</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetGroupTransfers' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementDepreciationCharge'>
    <tr>
      <td>Depreciation charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementDepreciationCharge' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementOther'>
    <tr>
      <td>Other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementOther' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementNetBookValueAtEndOfPeriod'>
    <tr>
      <td>Net book value at end of period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementNetBookValueAtEndOfPeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


</xsl:template>

<xsl:template name="T2">
  <xsl:if test='//ct:FixedAssetStatementAssets'>
    <tr>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsAssetsAcquiredUnderFinanceLeases'>
    <tr>
      <td>Assets acquired under finance leases</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsAssetsAcquiredUnderFinanceLeases' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsCAA2001S220RestrictionBF'>
    <tr>
      <td>CA A2001 S220 restriction b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsCAA2001S220RestrictionBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsCAA2001S220RestrictionCF'>
    <tr>
      <td>CA A2001 S220 restriction c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsCAA2001S220RestrictionCF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsCapitalisedInPriorPeriodAndNowQualifying'>
    <tr>
      <td>Capitalised in prior period and now qualifying</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsCapitalisedInPriorPeriodAndNowQualifying' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsCapitalisedLandRemediation'>
    <tr>
      <td>Capitalised land remediation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsCapitalisedLandRemediation' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsCars'>
    <tr>
      <td>Cars</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsCars' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsDeferedRevenueExpenditure'>
    <tr>
      <td>Defered revenue expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsDeferedRevenueExpenditure' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsExpenditureMetByTaxableCapitalGrants'>
    <tr>
      <td>Expenditure met by taxable capital grants</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsExpenditureMetByTaxableCapitalGrants' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsExpensiveCars'>
    <tr>
      <td>Expensive cars</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsExpensiveCars' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsExpensiveCarsTransferredInUnderS343'>
    <tr>
      <td>Expensive cars transferred in under S343</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsExpensiveCarsTransferredInUnderS343' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsFinanceLeaseDebtor'>
    <tr>
      <td>Finance lease debtor</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsFinanceLeaseDebtor' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsFCA'>
    <tr>
      <td>FCA</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsFCA' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsFungibleShortLifeAssets'>
    <tr>
      <td>Fungible short life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsFungibleShortLifeAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsFurnitureFittings'>
    <tr>
      <td>Furniture fittings</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsFurnitureFittings' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsGeneralAllowances'>
    <tr>
      <td>General allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsGeneralAllowances' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsIndustrialBuildings'>
    <tr>
      <td>Industrial buildings</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsIndustrialBuildings' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsIBAsTransferredInIntraGroup'>
    <tr>
      <td>IB as transferred in intra group</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsIBAsTransferredInIntraGroup' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsInvestmentProperty'>
    <tr>
      <td>Investment property</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsInvestmentProperty' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsKnowHow'>
    <tr>
      <td>Know how</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsKnowHow' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsLeasedLongLifeAssets'>
    <tr>
      <td>Leased long life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsLeasedLongLifeAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsLeasedPlantAndMachinery'>
    <tr>
      <td>Leased plant and machinery</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsLeasedPlantAndMachinery' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsLongLifeAssets'>
    <tr>
      <td>Long life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsLongLifeAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsLongLifeAssetsTransferredInUnderS343'>
    <tr>
      <td>Long life assets transferred in under S343</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsLongLifeAssetsTransferredInUnderS343' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsMineralExtraction10Percent'>
    <tr>
      <td>Mineral extraction at 10 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsMineralExtraction10Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsMineralExtraction25Percent'>
    <tr>
      <td>Mineral extraction at 25 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsMineralExtraction25Percent' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsMotorVehicles'>
    <tr>
      <td>Motor vehicles</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsMotorVehicles' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsNonQualifyingAdditions'>
    <tr>
      <td>Non qualifying additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsNonQualifyingAdditions' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsNonTaxableRevenueGrantsNettedOffAndRDGs'>
    <tr>
      <td>Non taxable revenue grants netted off and research and development grants</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsNonTaxableRevenueGrantsNettedOffAndRDGs' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsOther'>
    <tr>
      <td>Other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsOther' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsPatents'>
    <tr>
      <td>Patents</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsPatents' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsPlantAndMachinery'>
    <tr>
      <td>Plant and machinery</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsPlantAndMachinery' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsPlantAndMachineryTransferredInUnderS343'>
    <tr>
      <td>Plant and machinery transferred in under S343</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsPlantAndMachineryTransferredInUnderS343' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsQualifyingButNotCapitalisedThisPeriod'>
    <tr>
      <td>Qualifying but not capitalised this period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsQualifyingButNotCapitalisedThisPeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsQualifyingInPriorPeriodAndNowCapitalised'>
    <tr>
      <td>Qualifying in prior period and now capitalised</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsQualifyingInPriorPeriodAndNowCapitalised' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsRD'>
    <tr>
      <td>Research and development</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsRD' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsRevenueItemsCapitalised'>
    <tr>
      <td>Revenue items capitalised</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsRevenueItemsCapitalised' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsShips'>
    <tr>
      <td>Ships</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsShips' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsShortLeasePremiums'>
    <tr>
      <td>Short lease premiums</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsShortLeasePremiums' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsShortLeaseHold'>
    <tr>
      <td>Short lease hold</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsShortLeaseHold' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsShortLifeAssetPool'>
    <tr>
      <td>Short life asset pool</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsShortLifeAssetPool' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsShortLifeAssets'>
    <tr>
      <td>Short life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsShortLifeAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsShortLifeAssetsTransferredInUnderS343'>
    <tr>
      <td>Short life assets transferred in under S343</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsShortLifeAssetsTransferredInUnderS343' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:FixedAssetStatementAssetsWasteDisposalSitePreparation'>
    <tr>
      <td>Waste disposal site preparation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:FixedAssetStatementAssetsWasteDisposalSitePreparation' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>


<xsl:template name='Fraction'>
 <xsl:param name='ele'/>

<xsl:for-each select='$ele'>


      <xsl:choose>
         <xsl:when test='./Numerator | ./Denominator'>
<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./Numerator'/></xsl:call-template>/<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./Denominator'/></xsl:call-template>
         </xsl:when>
         <xsl:otherwise>
          Not a Fraction - <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='.'/></xsl:call-template>
         </xsl:otherwise>
      </xsl:choose>
</xsl:for-each>
</xsl:template>
<xsl:template name='IARTemplate'>
 <xsl:param name='setOfIAR'/>
 
 <xsl:if test='$setOfIAR'>

<table><tr>
<th width="10%"><xsl:if test='$setOfIAR/*[substring-after(name(.),"IAR") = "IndividualAssetPoolAssetDescription"]'>
Asset description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AccountsWDVBF")]'>
Accounts WDV b/f
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TransfersIn")]'>
Transfers in
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[substring-after(name(.),"IAR") = "IndividualAssetPoolAssetDescriptionAdditions"]'>
Asset additions description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AdditionsTotal")]'>
Additions total
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionAdditionsDepreciationClaimedInAccounts")]'>
Additions depreciation claimed in accounts description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AdditionsDepreciationClaimedInAccountsAllCostsAllowable")]'>
Additions depreciation claimed in accounts all costs allowable
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AdditionsDepreciationClaimedInAccountsSomeCostsDisallowable")]'>
Additions depreciation claimed in accounts some costs disallowable
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AdditionsSch29Para10ElectionFor4PercentAllowance")]'>
Additions sch 29 para 10 election for 4 percent allowance
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AdditionsRevaluationAddition")]'>
Additions revaluation addition
</xsl:if></th>



</tr>
<xsl:for-each select='$setOfIAR[substring-after(name(.),"IAR") = "IndividualAssetPool"]'>
<tr>


<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"IAR")= "IndividualAssetPoolAssetDescription"]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AccountsWDVBF")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TransfersIn")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"IAR")= "IndividualAssetPoolAssetDescriptionAdditions"]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AdditionsTotal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionAdditionsDepreciationClaimedInAccounts")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AdditionsDepreciationClaimedInAccountsAllCostsAllowable")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AdditionsDepreciationClaimedInAccountsSomeCostsDisallowable")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AdditionsSch29Para10ElectionFor4PercentAllowance")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AdditionsRevaluationAddition")]'/></xsl:call-template>
</td>



</tr>

</xsl:for-each>

<tr>



<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionDeductions")]'>
Asset deductions description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "DeductionsTotal")]'>
Deductions total
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "DeductionsDisposalProceeds")]'>
Deductions disposal proceeds
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "DeductionsDisposalMarketValue")]'>
Deductions disposal market value
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "DeductionsDepreciationImpairmentWrittenOff")]'>
Deductions depreciation impairment written off
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "DeductionsPartDisposalBookValue")]'>
Deductions part disposal book value
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "DeductionsOther")]'>
Deductions other
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "Sch29Para10ElectionMade")]'>
Sch 29 para 10 election made
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "NoGainNoLossDisposal")]'>
No gain no loss disposal
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "AccountsWDVCF")]'>
Accounts WDV c/f
</xsl:if></th>



</tr>


<xsl:for-each select='$setOfIAR[substring-after(name(.),"IAR") = "IndividualAssetPool"]'>

<tr>



<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionDeductions")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "DeductionsTotal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "DeductionsDisposalProceeds")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "DeductionsDisposalMarketValue")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "DeductionsDepreciationImpairmentWrittenOff")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "DeductionsPartDisposalBookValue")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "DeductionsOther")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "Sch29Para10ElectionMade")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "NoGainNoLossDisposal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "AccountsWDVCF")]'/></xsl:call-template>
</td>



</tr>

</xsl:for-each>
<tr>



<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxWDVBF")]'>
Tax WDV b/f
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[substring-after(name(.),"IAR") = "CumulativeTaxDebitsClaimed"] | $setOfIAR/*[substring-after(name(.),"IAR") = "AssetDescriptionCumulativeTaxDebitsClaimed"]'>
Cumulative tax debits claimed
</xsl:if>
<xsl:if test='$setOfIAR/*[substring-after(name(.),"IAR") = "CumulativeTaxDebitsClaimedBF"] | $setOfIAR/*[substring-after(name(.),"IAR") = "AssetDescriptionCumulativeTaxDebitsClaimedBF"]'>
Cumulative tax debits claimed b/f
</xsl:if>
</th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionTaxDebits")]'>
Tax debits description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsTotal")]'>
Tax debits total
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsCostDisallowed")]'>
Tax debits cost disallowed
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsRolloverReliefCostReduction")]'>
Tax debits rollover relief cost reduction
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsAnnualAmountAvailable")]'>
Tax debits annual amount Available
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[substring-after(name(.), "IAR") = "AssetDescriptionTaxDebitsClaimed"] | $setOfIAR/*[substring-after(name(.), "IAR") = "TaxDebitsClaimed"] '>
Tax debits claimed
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsWaived")]'>
Tax debits waived
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsWritingDownClaimed")]'>
Tax debits writing down claimed
</xsl:if></th>



</tr>
<xsl:for-each select='$setOfIAR[substring-after(name(.),"IAR") = "IndividualAssetPool"]'>

<tr>



<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxWDVBF")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "CumulativeTaxDebitsClaimed")] | *[contains(substring-after(name(.),"IAR"), "CumulativeTaxDebitsClaimedBF")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionTaxDebits")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsTotal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsCostDisallowed")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsRolloverReliefCostReduction")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsAnnualAmountAvailable")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.), "IAR") = "AssetDescriptionTaxDebitsClaimed"] | *[substring-after(name(.), "IAR") = "TaxDebitsClaimed"]'/></xsl:call-template></td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsWaived")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsWritingDownClaimed")]'/></xsl:call-template>
</td>



</tr>

</xsl:for-each>
<tr>



<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsWritingDownWaived")]'>
Tax debits writing down waived
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsDisposal")]'>
Tax debits disposal
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsDueToTransferor")]'>
Tax debits due to transferor
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxDebitsDueToTransferee")]'>
Tax debits due to transferee
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionTaxCredits")]'>
Tax credits description
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxCreditsTotal")]'>
Tax credits total
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxCreditsRevaluation")]'>
Tax credits revaluation
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxCreditsDisposal")]'>
Tax credits disposal
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxCreditsGainsRolledOver")]'>
Tax credits gains rolled over
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxWDVCF")]'>
Tax WDV c/f
</xsl:if></th>



</tr>
<xsl:for-each select='$setOfIAR[substring-after(name(.),"IAR") = "IndividualAssetPool"]'>

<tr>



<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsWritingDownWaived")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsDisposal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsDueToTransferor")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxDebitsDueToTransferee")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "IndividualAssetPoolAssetDescriptionTaxCredits")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxCreditsTotal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxCreditsRevaluation")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxCreditsDisposal")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxCreditsGainsRolledOver")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxWDVCF")]'/></xsl:call-template>
</td>



</tr>

</xsl:for-each>



<tr>



<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "CumulativeWDAsClaimedCF")]'>
Cumulative WDAs claimed c/f
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "TaxWDVTransferred")]'>
Tax WDV transferred
</xsl:if></th>
<th width="10%"><xsl:if test='$setOfIAR/*[contains(substring-after(name(.),"IAR"), "CumulativeWDAsClaimedTransferred")]'>
Cumulative WDAs claimed transferred
</xsl:if></th>

</tr>
<xsl:for-each select='$setOfIAR[substring-after(name(.),"IAR") = "IndividualAssetPool"]'>

<tr>



<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "CumulativeWDAsClaimedCF")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "TaxWDVTransferred")]'/></xsl:call-template>
</td>
<td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[contains(substring-after(name(.),"IAR"), "CumulativeWDAsClaimedTransferred")]'/></xsl:call-template>
</td>

</tr>
</xsl:for-each>

  <xsl:if test='$setOfIAR[substring-after(name(.),"IAR") = ""]'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IAR") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</table>
 <xsl:variable name='fromSummary'>
  <xsl:call-template name="IARSummary">
    <xsl:with-param name="setOfIAR" select='$setOfIAR'/>
  </xsl:call-template>
 </xsl:variable>
 <xsl:if test='$fromSummary'>
   
   <table>
   <tr><td><h5>Summary</h5></td></tr>
     <xsl:copy-of select='$fromSummary'/>
   </table>  
 </xsl:if>
 </xsl:if>
 
</xsl:template>

<xsl:template name='IARSummary'>
 <xsl:param name='setOfIAR'/>


  <xsl:if test='$setOfIAR[(substring-after(name(.),"IARSummary") = "") and contains(name(.),"IARSummary")]'>
    <tr>
      <td>Description summary</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[(substring-after(name(.),"IARSummary") = "") and contains(name(.), "IARSummary")]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "Total"]'>
    <tr>
      <td>Summary description total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "Total"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "AccountsWDVBFTotal"]'>
    <tr>
      <td>Accounts WDV B/F total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "AccountsWDVBFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "AccountsWDVCFTotal"]'>
    <tr>
      <td>Accounts WDV c/f total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "AccountsWDVCFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "AdditionsTotal"]'>
    <tr>
      <td>Additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "AdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "DeductionsTotal"]'>
    <tr>
      <td>Deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "DeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxWDVBFTotal"]'>
    <tr>
      <td>Tax WDV B/F total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxWDVBFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "CumulativeTaxDebitsClaimedBFTotal"]'>
    <tr>
      <td>Cumulative tax debits claimed B/F total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "CumulativeTaxDebitsClaimedBFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxDebitsTotal"]'>
    <tr>
      <td>Tax debits total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxDebitsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxCreditsTotal"]'>
    <tr>
      <td>Tax credits total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxCreditsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxWDVCFTotal"]'>
    <tr>
      <td>Tax WDV c/f total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxWDVCFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "CumulativeWDAsClaimedBFTotal"]'>
    <tr>
      <td>Cumulative WDAs claimed B/F total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "CumulativeWDAsClaimedBFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxWDVTransferredTotal"]'>
    <tr>
      <td>Tax WDV transferred total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TaxWDVTransferredTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "CumulativeWDAsClaimedTransferredTotal"]'>
    <tr>
      <td>Cumulative WDAs claimed transferred total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "CumulativeWDAsClaimedTransferredTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TotalNonTradingLossesArising"]'>
    <tr>
      <td>Total non trading losses arising</td> <!-- Only in Deductions -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TotalNonTradingLossesArising"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfIAR[substring-after(name(.),"IARSummary") = "TotalNonTradingLossesAvailableForGroupRelief"]'>
    <tr>
      <td>Total non trading losses available for group relief</td> <!-- Only in Deductions -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIAR[substring-after(name(.),"IARSummary") = "TotalNonTradingLossesAvailableForGroupRelief"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
 
</xsl:template>
<xsl:template name="IBATemplate">
<xsl:param name="setOfIBA" />

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "BalancingCharge"]'>
    <tr>
      <td>Balancing Charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIBA[substring-after(name(.),"IBA") = "BalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "WDVBF"]'>
    <tr>
      <td>WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIBA[substring-after(name(.),"IBA") = "WDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>


<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "WDVCF"]'>
    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIBA[substring-after(name(.),"IBA") = "WDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "TaxWDVBF"]'>
    <tr>
      <td>Tax WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIBA[substring-after(name(.),"IBA") = "TaxWDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>


<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "TaxWDVCF"]'>
    <tr>
      <td>Tax WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIBA[substring-after(name(.),"IBA") = "TaxWDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = ""]'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfIBA[substring-after(name(.),"IBA") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "Asset"]'>
    <tr><td><h5>Assets</h5></td></tr>
        <xsl:call-template name='AssetTemplate'>
          <xsl:with-param name='assetTuple' select='$setOfIBA[substring-after(name(.),"IBA") = "Asset"]' />
        </xsl:call-template>
</xsl:if>


<xsl:if test='$setOfIBA[starts-with(substring-after(name(.),"IBA"),"Additions")]'>
  <xsl:call-template name="BuildingsAllowancesAdditions">
    <xsl:with-param name="buildingsAllowanceAdditionsSet" select='$setOfIBA[starts-with(substring-after(name(.),"IBA"),"Additions")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "Deductions"]'>
<tr><td><h5>Deductions</h5></td></tr>
<tr><td>
Label:
</td><td>
  <xsl:call-template name="valueOfItem">
    <xsl:with-param name="item" select='$setOfIBA[substring-after(name(.),"IBA") = "Deductions"]' />
  </xsl:call-template>
</td></tr>
  <xsl:call-template name="BuildingsAllowancesDeductions">
    <xsl:with-param name="buildingsAllowanceDeductionsSet" select='$setOfIBA[starts-with(substring-after(name(.),"IBA"),"Deductions")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "Allowances"]'>
  <xsl:call-template name="BuildingsAllowancesAllowances">
    <xsl:with-param name="buildingsAllowanceAllowancesSet" select='$setOfIBA[starts-with(substring-after(name(.),"IBA"),"Allowances")]' />
  </xsl:call-template>
</xsl:if>

<xsl:if test='$setOfIBA[substring-after(name(.),"IBA") = "NotionalAllowances"]'>
  <xsl:call-template name="BuildingsAllowancesNotional">
    <xsl:with-param name="buildingsAllowanceNotionalSet" select='$setOfIBA[starts-with(substring-after(name(.),"IBA"),"NotionalAllowances")]' />
  </xsl:call-template>
</xsl:if>

</xsl:template>
<xsl:template name='IncomeFromUKLandBuildingsAdjustmentsTemplate'>

<xsl:if test='//ct:*[contains(name(.), "UKLandBuildingsAdjustments") and substring-after(name(.),"UKLandBuildingsAdjustments") = ""]'>
<tr><td>
Label:
</td><td>
<xsl:call-template name="valueOfItem">
  <xsl:with-param name="item" select='//ct:IncomeFromUKLandBuildingsAdjustments' />
</xsl:call-template>
</td></tr>
</xsl:if>

  <xsl:for-each select='//ct:*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputation"]'>
    <tr><td>Expensive leased car:</td></tr>
    <xsl:if test='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationCarDescription"]'>
      <tr>
        <td>Description</td>
        <td>
          <xsl:call-template name='valueOfItem'>
            <xsl:with-param name='item' select='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationCarDescription"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationRetailPrice"]'>
    <tr>
      <td>Retail price</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationRetailPrice"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationLeasingCharges"]'>
    <tr>
      <td>Leasing charges</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationLeasingCharges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationMaintenanceElement"]'>
    <tr>
      <td>Maintenance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationMaintenanceElement"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationAmountAllowable"]'>
    <tr>
      <td>Amount allowable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationAmountAllowable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationAmountDisallowable"]'>
    <tr>
      <td>Amount disallowable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"UKLandBuildingsAdjustments") = "ExpensiveLeasedCarsComputationAmountDisallowable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
 </xsl:for-each>


  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsExpensiveLeasedCarsDisallowance'>
    <tr>
      <td>Expensive leased car disallowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsExpensiveLeasedCarsDisallowance' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsChargesOnIncomePerPL'>
    <tr>
      <td>Charges on income per P&amp;L</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsChargesOnIncomePerPL' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsGeneralProvisionsPerPL'>
    <tr>
      <td>General provisions per P&amp;L</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsGeneralProvisionsPerPL' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsUtilisationOfGeneralProvisions'>
    <tr>
      <td>Utilisation of general provisions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsUtilisationOfGeneralProvisions' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsDisallowableUtilisationOfGeneralProvisions'>
    <tr>
      <td>Disallowable utilisation of general provisions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsDisallowableUtilisationOfGeneralProvisions' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsFinanceLeaseAdjustment'>
    <tr>
      <td>Finance lease adjustment</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsFinanceLeaseAdjustment' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsOverseasDividendsReceivable'>
    <tr>
      <td>Overseas dividends receivable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsOverseasDividendsReceivable' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsRevenueInCapital'>
    <tr>
      <td>Revenue in capital</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsRevenueInCapital' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:IncomeFromUKLandBuildingsAdjustmentsNonTradingForeignExchangeGainsAndLosses'>
    <tr>
      <td>Non trading foreign exchange gains and losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdjustmentsNonTradingForeignExchangeGainsAndLosses' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

</xsl:template>
<xsl:template name="IncomeFromUKLandBuildingsTemplate">

<xsl:if test="//ct:IncomeFromUKLandBuildings">
    <tr>
      <td>Label:</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildings' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAssessable">
    <tr>
      <td>Assessable income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAssessable' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

      <xsl:variable name='fromAdditionsTemplate'>
        <xsl:call-template name='LandBuildingsAdditionsTemplate' />
      </xsl:variable>
      <xsl:if test='$fromAdditionsTemplate != ""'>
      <tr>
        <td><h5>Additions</h5></td></tr>
      <tr><td colspan="2">
      <table>
        <xsl:copy-of select='$fromAdditionsTemplate'/>
      </table>
        </td>
      </tr>
      </xsl:if>

      <xsl:variable name='fromAdjustmentsTemplate'>
        <xsl:call-template name='IncomeFromUKLandBuildingsAdjustmentsTemplate' />
      </xsl:variable>
      <xsl:if test='$fromAdjustmentsTemplate != ""'>
      <tr>
        <td><h5>Adjustments</h5></td></tr>
      <tr><td colspan="2">
      <table>
        <xsl:copy-of select='$fromAdjustmentsTemplate'/>
      </table>
        </td>
      </tr>
      </xsl:if>

      <xsl:variable name='fromDeductionsTemplate'>
        <xsl:call-template name='LandBuildingsDeductionsTemplate' />
      </xsl:variable>
      <xsl:if test='$fromDeductionsTemplate != ""'>
      <tr>
        <td><h5>Deductions</h5></td></tr>
      <tr><td colspan="2">
      <table>
        <xsl:copy-of select='$fromDeductionsTemplate'/>
      </table>
        </td>
      </tr>
      </xsl:if>

      <xsl:variable name='fromIARTemplate'>
        <xsl:call-template name='IARTemplate'>
          <xsl:with-param name='setOfIAR' select='//ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"IAR")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromIARTemplate != ""'>
      <tr>
        <td><h5>Intangible Asset Relief</h5></td></tr>
      <tr><td colspan="2">
      <table>
        <xsl:copy-of select='$fromIARTemplate'/>
      </table>
        </td>
      </tr>
      </xsl:if>

      <xsl:variable name='fromPMATemplate'>
        <xsl:call-template name='PMATemplate'>
          <xsl:with-param name='setOfPMAs' select='//ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"PMA")] | //ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"DeductionsPMA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromPMATemplate != ""'>
      <tr>
        <td><h5>Plant &amp; Machinery Allowance</h5></td></tr>
      <tr><td colspan="2">
      <table>
        <xsl:copy-of select='$fromPMATemplate'/>
      </table>
        </td>
      </tr>
      </xsl:if>

      <xsl:variable name='fromIBATemplate'>
        <xsl:call-template name='IBATemplate'>
          <xsl:with-param name='setOfIBA' select='//ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"IBA")] | //ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"DeductionsIBA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromIBATemplate != ""'>
        <tr><td><h5>Industrial Buildings Allowance</h5></td></tr>
        <table>
        <xsl:copy-of select='$fromIBATemplate'/>
        </table>
      </xsl:if>

      <xsl:variable name='fromABATemplate'>
        <xsl:call-template name='ABATemplate'>
          <xsl:with-param name='setOfABA' select='//ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"ABA")] | //ct:*[starts-with(substring-after(name(.),"IncomeFromUKLandBuildings"),"DeductionsABA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromABATemplate != ""'>
        <tr><td><h5>Agricultural Buildings Allowance</h5></td></tr>
        <table>
        <xsl:copy-of select='$fromABATemplate'/>
        </table>
      </xsl:if>

</xsl:template>

<xsl:template name='LandBuildingsAdditionsTemplate'>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditions">
    <tr>
      <td>Additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditions' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsProfitPerAccounts">
    <tr>
      <td>Additions profit per accounts</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsProfitPerAccounts' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsOtherIncome">
    <tr>
      <td>Additions other income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsOtherIncome' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsRentReceived">
    <tr>
      <td>Additions rent received</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsRentReceived' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>

<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsDepreciation">
    <tr>
      <td>Additions depreciation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsDepreciation' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsEntertainingDisallowed">
    <tr>
      <td>Additions entertaining disallowed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsEntertainingDisallowed' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsLegalDisallowed">
    <tr>
      <td>Additions legal disallowed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsLegalDisallowed' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsLeasePremiumSchA">
    <tr>
      <td>Additions lease premium</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsLeasePremiumSchA' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsLeasePremiumSchAPremiumReceived">
    <tr>
      <td>Additions lease premium received</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsLeasePremiumSchAPremiumReceived' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsLeasePremiumSchALengthOfLease">
    <tr>
      <td>Additions lease length</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsLeasePremiumSchALengthOfLease' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsNetPartnershipShareOfUKPropertyIncome">
    <tr>
      <td>Additions net partnership share of UK property income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsNetPartnershipShareOfUKPropertyIncome' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsNonTradingLoanRelationshipCreditsPerPL">
    <tr>
      <td>Additions non trading loan relationship credits per PL</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsNonTradingLoanRelationshipCreditsPerPL' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsDisallowableSubscriptionsAndDonations">
    <tr>
      <td>Additions disallowable subscriptions and donations</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsDisallowableSubscriptionsAndDonations' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsAdditionsTotal">
    <tr>
      <td>Additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsAdditionsTotal' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
</xsl:template>


<xsl:template name='LandBuildingsDeductionsTemplate'>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductions">
    <tr>
      <td>Deductions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductions' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsExpenses">
    <tr>
      <td>Deductions expenses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsExpenses' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsExpensesTotal">
    <tr>
      <td>Deductions expenses total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsExpensesTotal' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsExpensesCapitalInRevenue">
    <tr>
      <td>Deductions expenses capital in revenue</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsExpensesCapitalInRevenue' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsExpensesRates">
    <tr>
      <td>Deductions expenses rates</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsExpensesRates' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsExpensesRates">
    <tr>
      <td>Deductions expenses rates</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsExpensesRates' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsExpensesOther">
    <tr>
      <td>Deductions expenses other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsExpensesOther' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLeasePremiumPayable">
    <tr>
      <td>Deductions lease premium payable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLeasePremiumPayable' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLosses">
    <tr>
      <td>Deductions losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLosses' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLossesBF">
    <tr>
      <td>Deductions losses brought forward</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLossesBF' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLossesUsedAgainstProfitsOfThePeriod">
    <tr>
      <td>Deductions losses used against profits of the period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLossesUsedAgainstProfitsOfThePeriod' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLossesArising">
    <tr>
      <td>Deductions losses arising</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLossesArising' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLossesAvailableForSurrender">
    <tr>
      <td>Deductions losses available for surrender</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLossesAvailableForSurrender' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLossesSurrenderedAsGroupRelief">
    <tr>
      <td>Deductions losses surrendered as group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLossesSurrenderedAsGroupRelief' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsLossesCF">
    <tr>
      <td>Deductions losses carried forward</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsLossesCF' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsNonTradingLoanRelationshipDebitsPerPL">
    <tr>
      <td>Deductions non trading loan relationship debits per P&amp;L</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsNonTradingLoanRelationshipDebitsPerPL' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsWearTearAllowance">
    <tr>
      <td>Deductions wear and tear allowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsWearTearAllowance' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsCapitalAllowances">
    <tr>
      <td>Deductions capital allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsCapitalAllowances' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:if test="//ct:IncomeFromUKLandBuildingsDeductionsCapitalAllowancesTotal">
    <tr>
      <td>Deductions capital allowances total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsDeductionsCapitalAllowancesTotal' />
        </xsl:call-template>
      </td>
    </tr>
</xsl:if>
<xsl:variable name="LandRemediation2"><xsl:call-template name="UKLandRemediation"/></xsl:variable>
<xsl:if test="$LandRemediation2">
<td><h5>Land Remediation</h5></td>
<xsl:copy-of select="$LandRemediation2"/>
</xsl:if>


</xsl:template>


<xsl:template name="UKLandRemediation">
  <xsl:if test='//ct:IncomeFromUKLandBuildingsLandRemediation'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsLandRemediation'/></xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test="//ct:IncomeFromUKLandBuildingsLandRemediationEnhancedExpenditure">
    <tr>
      <td>Expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsLandRemediationEnhancedExpenditure'/></xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test="//ct:IncomeFromUKLandBuildingsLandRemediationQualifyingCapitalExpenditure">

    <tr>
      <td>Qualifying capital expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:IncomeFromUKLandBuildingsLandRemediationQualifyingCapitalExpenditure'/></xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>



<xsl:template name='CaseVIIncomeIARIndividualAssetPoolTemplate'>

<!-- 
for-each the tuple and make the valueOfItem use relative paths
-->




  <xsl:if test='//ct:CaseVIIncomeIARIndividualAssetPoolAssetDescription | //ct:CaseVIIncomeIARIndividualAssetPoolAccountsWDVBF | //ct:CaseVIIncomeIARIndividualAssetPoolTransfersIn | //ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionAdditions | //ct:CaseVIIncomeIARIndividualAssetPoolAdditionsTotal | //ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionAdditionsDepreciationClaimedInAccounts | //ct:CaseVIIncomeIARIndividualAssetPoolAdditionsDepreciationClaimedInAccountsAllCostsAllowable | //ct:CaseVIIncomeIARIndividualAssetPoolAdditionsDepreciationClaimedInAccountsSomeCostsDisallowable | //ct:CaseVIIncomeIARIndividualAssetPoolAdditionsSch29Para10ElectionFor4Allowance | //ct:CaseVIIncomeIARIndividualAssetPoolAdditionsRevaluationAddition | //ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionDeductions | //ct:CaseVIIncomeIARIndividualAssetPoolDeductionsTotal | //ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDisposalProceeds | //ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDisposalMarketValue | //ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDepreciationImpairmentWrittenOff | //ct:CaseVIIncomeIARIndividualAssetPoolDeductionsPartDisposalBookValue | //ct:CaseVIIncomeIARIndividualAssetPoolDeductionsOther | //ct:CaseVIIncomeIARIndividualAssetPoolSch29Para10ElectionMade | //ct:CaseVIIncomeIARIndividualAssetPoolNoGainNoLossDisposal | //ct:CaseVIIncomeIARIndividualAssetPoolAccountsWDVCF | //ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVBF | //ct:CaseVIIncomeIARIndividualAssetPoolCumulativeTaxDebitsClaimedBF | //ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionTaxDebits | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsTotal | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsCostDisallowed | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsRollOverReliefCostReduction | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsAnnualAmountAvailable | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsClaimed | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWaived | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWritingDownClaimed | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWritingDownWaived | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDisposal | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDueToTransferor | //ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDueToTransferee | //ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionTaxCredits | //ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsTotal | //ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsRevaluation | //ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsDisposal | //ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsGainsRolledOver | //ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVCF | //ct:CaseVIIncomeIARIndividualAssetPoolCumulativeWDAsClaimedCF | //ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVTransferred | //ct:CaseVIIncomeIARIndividualAssetPoolCumulativeWDAsClaimedTransferred '>
    <table>
    <xsl:for-each select='//ct:CaseVIIncomeIARIndividualAssetPool'>
      <tr>
        <td><h4 style="page-break-before: always">Individual Asset Pool</h4></td>
      </tr>
            <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescription'>
      <tr>
        <td>Asset description</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescription'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAccountsWDVBF'>
      <tr>
        <td>Accounts written down value brought forward</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAccountsWDVBF'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTransfersIn'>
      <tr>
        <td>Transfers in</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTransfersIn'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionAdditions'>
      <tr>
        <td>Asset description additions</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionAdditions'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionAdditionsDepreciationClaimedInAccounts'>
      <tr>
        <td>Asset description additions depreciation claimed in accounts</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionAdditionsDepreciationClaimedInAccounts'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsDepreciationClaimedInAccountsAllCostsAllowable'>
      <tr>
        <td>Additions depreciation claimed in accounts all costs allowable</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsDepreciationClaimedInAccountsAllCostsAllowable'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsDepreciationClaimedInAccountsSomeCostsDisallowable'>
      <tr>
        <td>Additions depreciation claimed in accounts some costs disallowable</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsDepreciationClaimedInAccountsSomeCostsDisallowable'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsSch29Para10ElectionFor4PercentAllowance'>
      <tr>
        <td>Additions sch 29 para 10 election for 4% allowance</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsSch29Para10ElectionFor4PercentAllowance'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsRevaluationAddition'>
      <tr>
        <td>Revaluation addition</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAdditionsRevaluationAddition'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionDeductions'>
      <tr>
        <td>Asset deductions description</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionDeductions'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDisposalProceeds'>
      <tr>
        <td>Deductions disposal proceeds</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDisposalProceeds'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDisposalMarketValue'>
      <tr>
        <td>Deductions disposal market value</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDisposalMarketValue'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDepreciationImpairmentWrittenOff'>
      <tr>
        <td>Deductions depreciation impairment written off</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsDepreciationImpairmentWrittenOff'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsPartDisposalBookValue'>
      <tr>
        <td>Deductions part disposal book value</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsPartDisposalBookValue'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsOther'>
      <tr>
        <td>Deductions other</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolDeductionsOther'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolSch29Para10ElectionMade'>
      <tr>
        <td>Sch 29 para 10 election made</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolSch29Para10ElectionMade'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolNoGainNoLossDisposal'>
      <tr>
        <td>No gain no loss disposal</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolNoGainNoLossDisposal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAccountsWDVCF'>
      <tr>
        <td>Accounts written down value carried forward</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAccountsWDVCF'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVBF'>
      <tr>
        <td>Tax written down value brought forward</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVBF'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolCumulativeTaxDebitsClaimedBF'>
      <tr>
        <td>Cumulative tax debits claimed brought forward</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolCumulativeTaxDebitsClaimedBF'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionTaxDebits'>
      <tr>
        <td>Asset description tax debits</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionTaxDebits'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsCostDisallowed'>
      <tr>
        <td>Tax debits cost disallowed</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsCostDisallowed'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsRolloverReliefCostReduction'>
      <tr>
        <td>Tax debits roll over relief cost reduction</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsRolloverReliefCostReduction'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsAnnualAmountAvailable'>
      <tr>
        <td>Tax debits annual amount available</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsAnnualAmountAvailable'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsClaimed'>
      <tr>
        <td>Tax debits claimed</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsClaimed'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWaived'>
      <tr>
        <td>Tax debits waived</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWaived'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWritingDownClaimed'>
      <tr>
        <td>Tax debits writing down claimed</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWritingDownClaimed'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWritingDownWaived'>
      <tr>
        <td>Tax debits writing down waived</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsWritingDownWaived'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDisposal'>
      <tr>
        <td>Tax debits disposal</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDisposal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDueToTransferor'>
      <tr>
        <td>Tax debits due to transferor</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDueToTransferor'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDueToTransferee'>
      <tr>
        <td>Tax debits due to transferee</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsDueToTransferee'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionTaxCredits'>
      <tr>
        <td>Asset description tax credits</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolAssetDescriptionTaxCredits'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsRevaluation'>
      <tr>
        <td>Tax credits revaluation</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsRevaluation'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsDisposal'>
      <tr>
        <td>Tax credits disposal</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsDisposal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsGainsRolledOver'>
      <tr>
        <td>Tax credits gains rolled over</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsGainsRolledOver'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVCF'>
      <tr>
        <td>Tax written down value carried forward</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVCF'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolCumulativeWDAsClaimedCF'>
      <tr>
        <td>Cumulative written down as claimed carried forward</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolCumulativeWDAsClaimedCF'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVTransferred'>
      <tr>
        <td>Tax written down value transferred</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolTaxWDVTransferred'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='ct:CaseVIIncomeIARIndividualAssetPoolCumulativeWDAsClaimedTransferred'>
      <tr>
        <td>Cumulative written down as claimed transferred</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:CaseVIIncomeIARIndividualAssetPoolCumulativeWDAsClaimedTransferred'/></xsl:call-template></td>
      </tr>
    </xsl:if>
<!--        <tr><td><hr/></td></tr> -->
    </xsl:for-each>
      <xsl:if test='(//ct:CaseVIIncomeIARIndividualAssetPoolAdditionsTotal != "") or (//ct:CaseVIIncomeIARIndividualAssetPoolDeductionsTotal != "") or (//ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsTotal != "") or (//ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsTotal != "")'>
        <tr>
          <td><h4 style="page-break-before: always">Individual Asset Pool Totals</h4></td>
        </tr>
      </xsl:if>

            <xsl:if test='//ct:CaseVIIncomeIARIndividualAssetPoolAdditionsTotal != ""'>
        <tr>
          <td>
            Additions total
          </td>
          <td>
            <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARIndividualAssetPoolAdditionsTotal'/></xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test='//ct:CaseVIIncomeIARIndividualAssetPoolDeductionsTotal != ""'>
        <tr>
          <td>
            Deductions total
          </td>
          <td>
            <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARIndividualAssetPoolDeductionsTotal'/></xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test='//ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsTotal != ""'>
        <tr>
          <td>
            Tax debits total
          </td>
          <td>
            <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARIndividualAssetPoolTaxDebitsTotal'/></xsl:call-template>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test='//ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsTotal != ""'>
        <tr>
          <td>
            Tax credits total
          </td>
          <td>
            <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARIndividualAssetPoolTaxCreditsTotal'/></xsl:call-template>
          </td>
        </tr>
      </xsl:if>
    </table>
  </xsl:if>
  

</xsl:template>
<xsl:template name='CaseVIIncomeIARSummaryTemplate'>
    <table>
    <xsl:if test='//ct:CaseVIIncomeIARSummary'>
      <tr>
        <td>Summary Description</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummary'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryTotal'>
      <tr>
        <td>Summary total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>

    <xsl:if test='//ct:CaseVIIncomeIARSummaryAccountsWDVBFTotal'>
      <tr>
        <td>Accounts written down value brought forward total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryAccountsWDVBFTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryAccountsWDVCFTotal'>
      <tr>
        <td>Accounts written down value carried forward total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryAccountsWDVCFTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryAdditionsTotal'>
      <tr>
        <td>Additions total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryAdditionsTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryDeductionsTotal'>
      <tr>
        <td>Deducttions total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryDeductionsTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>


    <xsl:if test='//ct:CaseVIIncomeIARSummaryTaxWDVBFTotal'>
      <tr>
        <td>Tax written down value brought forward total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryTaxWDVBFTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryCumulativeTaxDebitsClaimedBFTotal'>
      <tr>
        <td>Cumulative tax debits claimed brought forward total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryCumulativeTaxDebitsClaimedBFTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryTaxDebitsTotal'>
      <tr>
        <td>Tax debits total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryTaxDebitsTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryTaxCreditsTotal'>
      <tr>
        <td>Tax credits total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryTaxCreditsTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>

    <xsl:if test='//ct:CaseVIIncomeIARSummaryTaxWDVCFTotal'>
      <tr>
        <td>Tax written down value carried forward total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryTaxWDVCFTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryCumulativeWDAsClaimedBFTotal'>
      <tr>
        <td>Cumulative written down as claimed brought forward total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryCumulativeWDAsClaimedBFTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryTaxWDVTransferredTotal'>
      <tr>
        <td>Tax written down value transferred total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryTaxWDVTransferredTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
    <xsl:if test='//ct:CaseVIIncomeIARSummaryCumulativeWDAsClaimedTransferredTotal'>
      <tr>
        <td>Cumulative written down as claimed transferred total</td>
        <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeIARSummaryCumulativeWDAsClaimedTransferredTotal'/></xsl:call-template></td>
      </tr>
    </xsl:if>
<!--        <tr><td><hr/></td></tr> -->
    </table>

</xsl:template>
<xsl:template name='CaseVIIncomeOtherIncomeTemplate'>
<xsl:if test='//ct:CaseVIIncomeOtherIncome'>
<h3 style="page-break-before: always">Income Under Schedule D Case VI - Other Income</h3>

<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncome'/></xsl:call-template></p>

  <table>
    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeTotal'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Guarantee commission</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeGuaranteeCommission'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Consultancy fees</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeConsultancyFees
'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Directors fees</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeDirectorsFees'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Facility fees</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeFacilityFees'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Contributions to expenses</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeContributionsToExpenses'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Deemed interest on loan</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeDeemedInterestOnLoan'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeOtherIncomeBalancingCharge'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>
</xsl:template>

<xsl:template name='CaseVIIncomeTemplate'>


  <xsl:if test='//ct:CaseVIIncome'>
    <tr>
      <td>Income Under Schedule D Case VI</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CaseVIIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CaseVIIncomeTotal'>
    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CaseVIIncomeTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CaseVIIncomeOtherLossesSetOff'>
    <tr>
      <td>Other losses set off</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CaseVIIncomeOtherLossesSetOff' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:CaseVIIncomeLossesArising'>
    <tr>
      <td>Losses arising</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:CaseVIIncomeLossesArising' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

</xsl:template>
<xsl:template name='CaseVIIncomeTonnageTaxTemplate'>
<xsl:if test='//ct:CaseVIIncomeTonnageTaxProfits'>
<h3 style="page-break-before: always">Income Under Schedule D Case VI - Tonnage Tax Profits</h3>

<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfits'/></xsl:call-template></p>

  <table>
    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfitsTotal'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Inside Ring Fence</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfitsInsideRingFence'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Outside Ring Fence</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfitsOutsideRingFence
'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Core Qualifying Activities</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfitsCoreQualifyingActivities'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Secondary Qualifying Activities</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfitsSecondaryQualifyingActivities'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>TT Incidental Activities</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:CaseVIIncomeTonnageTaxProfitsTTIncidentalActivities'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>
</xsl:template>

<xsl:template name='IndividualTradeTemplate'>
<xsl:param name='singleIndividualTradeTuple'/>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTrade"]'>
    <tr>
      <td>Description of trade</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTrade"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
 <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ProfitPerAccounts"]'>
    <tr>
      <td>Profits per accounts</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ProfitPerAccounts"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Additions"]'>
    <tr>
      <td>Additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Additions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Deductions"]'>
    <tr>
      <td>Deductions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Deductions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
<!-- Accounts adjustments - similar (if not identical) section in Trading Profits, Overseas income - UKLandAndBuildings has subset -->
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustments"]'>
    <tr>
      <td>Description of trade adjustments</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustments"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Adjustments"]'>
    <tr>
      <td>Adjustments label</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Adjustments"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdjustmentsTotal"] | $singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Total"]'>
    <tr>
      <td>Adjustments total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdjustmentsTotal"] | $singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Total"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdvertisingAndPromotions"]'>
    <tr>
      <td>Advertising and promotions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdvertisingAndPromotions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdviceOnTax"]'>
    <tr>
      <td>Advice on tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdviceOnTax"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "BadDebts"]'>
    <tr>
      <td>Bad debts</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "BadDebts"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalItemsExpensed"]'>
    <tr>
      <td>Capital items expensed</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalItemsExpensed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Charges"]'>
    <tr>
      <td>Charges</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Charges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdjustmentsClaimsAgainstTheCompany"]'>
    <tr>
      <td>Adjustments claims against the company</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdjustmentsClaimsAgainstTheCompany"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalInRevenue"]'>
    <tr>
      <td>Capital in revenue</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalInRevenue"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ChargesOnIncomePerPL"]'>
    <tr>
      <td>Charges on income per PL</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ChargesOnIncomePerPL"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsClaimsAgainstTheCompany"]'>
    <tr>
      <td>Claims against</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsClaimsAgainstTheCompany"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ClaimsAgainstTheCompanyProvision"]'>
    <tr>
      <td>Claims against provision</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ClaimsAgainstTheCompanyProvision"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ClaimsAgainstTheCompanyReleased"]'>
    <tr>
      <td>Claims against released</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ClaimsAgainstTheCompanyReleased"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Commissions"]'>
    <tr>
      <td>Commissions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Commissions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Consultancy"]'>
    <tr>
      <td>Consultancy</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Consultancy"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DepositAccountInterest"]'>
    <tr>
      <td>Deposit account interest</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DepositAccountInterest"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Depreciation"]'>
    <tr>
      <td>Depreciation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Depreciation"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DirectorsBonuses"]'>
    <tr>
      <td>Directors bonuses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DirectorsBonuses"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DirectorsRemunerationNotPaid"]'>
    <tr>
      <td>Directors remuneration not paid</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DirectorsRemunerationNotPaid"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Entertaining"]'>
    <tr>
      <td>Entertaining</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Entertaining"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ExchangeLosses"]'>
    <tr>
      <td>Exchange losses</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ExchangeLosses"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableEntertaining"]'>
    <tr>
      <td>Disallowable entertaining</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableEntertaining"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradingForeignExchangeGainsAndLosses"]'>
    <tr>
      <td>Non trading foreign exchange</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradingForeignExchangeGainsAndLosses"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:for-each select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputation"]'>
    <tr><td>Expensive leased car:</td></tr>
    <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationCarDescription"]'>
      <tr>
        <td>Description</td>
        <td>
          <xsl:call-template name='valueOfItem'>
            <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationCarDescription"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationRetailPrice"]'>
    <tr>
      <td>Retail price</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationRetailPrice"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationLeasingCharges"]'>
    <tr>
      <td>Leasing charges</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationLeasingCharges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationMaintenanceElement"]'>
    <tr>
      <td>Maintenance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationMaintenanceElement"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationAmountAllowable"]'>
    <tr>
      <td>Amount allowable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationAmountAllowable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationAmountDisallowable"]'>
    <tr>
      <td>Amount disallowable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationAmountDisallowable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationTotal"]'>
    <tr>
      <td>Expensive leased car total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarComputationTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
 </xsl:for-each>


  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarDisallowance"]'>
    <tr>
      <td>Expensive leased car disallowance</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ExpensiveLeasedCarDisallowance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "FinanceLeasePayments"]'>
    <tr>
      <td>Finance lease payments</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "FinanceLeasePayments"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "FinanceLeaseAdjustments"]'>
    <tr>
      <td>Finance lease adjustments</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "FinanceLeaseAdjustments"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "UKDividendReceivable"]'>
    <tr>
      <td>UK dividend receivable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "UKDividendReceivable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
 

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "FrankedInvestmentIncome"]'>
    <tr>
      <td>Franked investment income</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "FrankedInvestmentIncome"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdjustmentsGeneralProvisions"]'>
    <tr>
      <td>Adjustments general provisions</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "AdjustmentsGeneralProvisions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
 
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsGeneralProvisions"]'>
    <tr>
      <td>General provisions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsGeneralProvisions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GeneralProvisionsIncreaseDecrease"]'>
    <tr>
      <td>General provisions increase/decrease</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GeneralProvisionsIncreaseDecrease"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GeneralProvisionsPerPL"]'>
    <tr>
      <td>General provisions per PL</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GeneralProvisionsPerPL"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "UtilisationOfGeneralProvisions"]'>
    <tr>
      <td>Utilisation of general provisions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "UtilisationOfGeneralProvisions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableUtilisationOfGeneralProvisions"]'>
    <tr>
      <td>Disallowable utilisation of general provisions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableUtilisationOfGeneralProvisions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableGiftsDonations"]'>
    <tr>
      <td>Disallowable gifts/donations</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableGiftsDonations"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableSubscriptionsAndDonations"]'>
    <tr>
      <td>Disallowable subscriptions and donations</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableSubscriptionsAndDonations"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GiftsDonations"]'>
    <tr>
      <td>Gifts/donations</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GiftsDonations"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GoodwillAmortisation"]'>
    <tr>
      <td>Goodwill amortisation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "GoodwillAmortisation"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "IntercompanyCharges"]'>
    <tr>
      <td>Intercompany charges</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "IntercompanyCharges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "InterestOnLateCorporationTax"]'>
    <tr>
      <td>Interest on late corporation tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "InterestOnLateCorporationTax"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "IntraGroupInterest"]'>
    <tr>
      <td>Intra group interest</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "IntraGroupInterest"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "InvestmentIncome"]'>
    <tr>
      <td>Investment income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "InvestmentIncome"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LeaseAmortisation"]'>
    <tr>
      <td>Lease amortisation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LeaseAmortisation"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ReliefForLeasePremiumsPaid"]'>
    <tr>
      <td>Relief for lease premiums paid</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ReliefForLeasePremiumsPaid"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableLegalAndProfessionalFees"]'>
    <tr>
      <td>Disallowable legal and professional fees</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DisallowableLegalAndProfessionalFees"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LegalAndProfessionalCharges"]'>
    <tr>
      <td>Legal and professional charges</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LegalAndProfessionalCharges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LossProfitOnDisposalOfFixedAssets"]'>
    <tr>
      <td>Loss/profit on disposal of fixed assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LossProfitOnDisposalOfFixedAssets"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LossProfitOnDisposalOfInvestments"]'>
    <tr>
      <td>Loss/profit on disposal of investments</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LossProfitOnDisposalOfInvestments"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ManagementCharges"]'>
    <tr>
      <td>Management charges</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ManagementCharges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradeDebitsCredits"]'>
    <tr>
      <td>Non trade debits/credits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradeDebitsCredits"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsNonTradingLoanRelationshipDebitsPerPL"]'>
    <tr>
      <td>Non trading loan relationship debits per PL</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsNonTradingLoanRelationshipDebitsPerPL"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradingLoanRelationshipDebitsPerPLInterestPayable"]'>
    <tr>
      <td>Non trading loan relationship debits per PL - interest payable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradingLoanRelationshipDebitsPerPLInterestPayable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsNonTradingLoanRelationshipCreditsPerPL"]'>
    <tr>
      <td>Non trading loan relationship credits per PL</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeAdjustmentsNonTradingLoanRelationshipCreditsPerPL"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradingLoanRelationshipCreditsPerPLInterestReceivable"]'>
    <tr>
      <td>Non trading loan relationship credits per PL - interest receivable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradingLoanRelationshipCreditsPerPLInterestReceivable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradeDebitsCreditsInterestPayable"]'>
    <tr>
      <td>Non trade debits/credits interest payable</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradeDebitsCreditsInterestPayable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradeDebitsCreditsInterestReceivable"]'>
    <tr>
      <td>Non trade debits/credits interest receivable</td> <!-- Overseas only -->
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NonTradeDebitsCreditsInterestReceivable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "PaymentsToEBT"]'>
    <tr>
      <td>Payments to eBT</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "PaymentsToEBT"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "PensionContributionsNotPaid"]'>
    <tr>
      <td>Pension contributions not paid</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "PensionContributionsNotPaid"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "PreTradingExpenditure"]'>
    <tr>
      <td>Pre-trading expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "PreTradingExpenditure"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RepairsRenewalsMaintenance"]'>
    <tr>
      <td>Repairs renewals maintenance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RepairsRenewalsMaintenance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RestructuringCosts"]'>
    <tr>
      <td>Restructuring costs</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RestructuringCosts"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Royalties"]'>
    <tr>
      <td>Royalties</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Royalties"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ScheduleAExpenses"]'>
    <tr>
      <td>Schedule A expenses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ScheduleAExpenses"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ScheduleAIncome"]'>
    <tr>
      <td>Schedule A income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ScheduleAIncome"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "SoftwareCharges"]'>
    <tr>
      <td>Software charges</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "SoftwareCharges"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Subscriptions"]'>
    <tr>
      <td>Subscriptions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Subscriptions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TelephoneAndTelex"]'>
    <tr>
      <td>Telephone and telex</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TelephoneAndTelex"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradeFairsExhibitions"]'>
    <tr>
      <td>Trade fairs exhibitions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradeFairsExhibitions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TravelAndSubsistence"]'>
    <tr>
      <td>Travel and subsistence</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TravelAndSubsistence"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Other"]'>
    <tr>
      <td>Other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "Other"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "OverseasDividendsReceivable"]'>
    <tr>
      <td>Overseas dividends receivable</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "OverseasDividendsReceivable"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RevenueInCapital"]'>
    <tr>
      <td>Revenue in capital</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RevenueInCapital"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeCapitalAllowances"] | $singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalAllowances"]'>
    <tr>
      <td>Description of trade capital allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeCapitalAllowances"] | $singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalAllowances"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalAllowancesTotal"]'>
    <tr>
      <td>Capital allowances total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "CapitalAllowancesTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
<!--   Losses/(Gains) (some trading losses in overseas) -->

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ProfitLossOfPeriod"]'>
    <tr>
      <td>Profit/loss of period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "ProfitLossOfPeriod"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeTradingLosses"]'>
    <tr>
      <td>Trading losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeTradingLosses"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesBF"]'>
    <tr>
      <td>Trading losses BF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesBF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesTotalArising"]'>
    <tr>
      <td>Trading losses total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesTotalArising"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesUsedAgainstTradingProfitsIndividualTradeOfThePeriod"]'>
    <tr>
      <td>Trading losses used against individual trade profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesUsedAgainstTradingProfitsIndividualTradeOfThePeriod"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesUsedAgainstTotalProfitsOfThePeriod"]'>
    <tr>
      <td>Trading losses used against total profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesUsedAgainstTotalProfitsOfThePeriod"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesCarriedBack"]'>
    <tr>
      <td>Trading losses carried back</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesCarriedBack"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesAvailableForGroupRelief"]'>
    <tr>
      <td>Trading losses available for group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesAvailableForGroupRelief"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesSurrenderedAsGroupRelief"]'>
    <tr>
      <td>Trading losses surrendered as group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesSurrenderedAsGroupRelief"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesCF"]'>
    <tr>
      <td>Trading losses CF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "TradingLossesCF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NetTradingProfitsIndividualTrade"]'>
    <tr>
      <td>Net trading profits for individual trade</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "NetTradingProfitsIndividualTrade"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
      <xsl:variable name='fromPMATemplate'>
        <xsl:call-template name='PMATemplate'>
          <xsl:with-param name='setOfPMAs' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"PMA")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade") ,"DescriptionOfTradePMA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromPMATemplate != ""'>
      <tr>
        <td><h5>Plant &amp; Machinery Allowance</h5></td></tr>
        <xsl:copy-of select='$fromPMATemplate'/>
      </xsl:if>

      <xsl:variable name='fromRDTemplate'>
        <xsl:call-template name='ResearchDevelopmentTemplate'>
          <xsl:with-param name='setOfRDs' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"RDA")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"DescriptionOfTrade"),"RDA")]  '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromRDTemplate != ""'>
      <tr>
        <td><h5>Research &amp; Development Allowance</h5></td>
      </tr><tr><td colspan="2">
        <xsl:copy-of select='$fromRDTemplate'/>
      </td></tr>
      </xsl:if>



      <xsl:variable name='fromKnowHowTemplate'>
        <xsl:call-template name='KnowHowAllowanceTemplate'>
          <xsl:with-param name='setOfKnow' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"KnowHowAllowance")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade") ,"DescriptionOfTradeKnowHowAllowance")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromKnowHowTemplate != ""'>
      <tr>
        <td><h5>Know How Allowance</h5></td></tr>
       <tr><td colspan='2'>
        <xsl:copy-of select='$fromKnowHowTemplate'/>
       </td></tr>
      </xsl:if>

      <xsl:variable name='fromMETemplate'>
        <xsl:call-template name='MineralExtractionTemplate'>
          <xsl:with-param name='setOfMEs' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"MineralExtractionAllowance")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"DescriptionOfTrade"),"MineralExtractionAllowance")]  '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromMETemplate != ""'>
      <tr>
        <td><h5>Mineral Extraction Allowance</h5></td></tr>
      <tr><td colspan="2">
        <xsl:copy-of select='$fromMETemplate'/>
        </td></tr>
      </xsl:if>

      <xsl:variable name='fromFCATemplate'>
        <xsl:call-template name='FCATemplate'>
          <xsl:with-param name='setOfFCA' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"FCA")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"DescriptionOfTrade") ,"FCA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromFCATemplate != ""'>
        <tr><td><h5>Flat Conversion Allowance</h5></td></tr>
        <xsl:copy-of select='$fromFCATemplate'/>
      </xsl:if>

      <xsl:variable name='fromIBATemplate'>
        <xsl:call-template name='IBATemplate'>
          <xsl:with-param name='setOfIBA' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"IBA")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"DescriptionOfTrade") ,"IBA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromIBATemplate != ""'>
        <tr><td><h5>Industrial Buildings Allowance</h5></td></tr>
        <xsl:copy-of select='$fromIBATemplate'/>
      </xsl:if>

      <xsl:variable name='fromABATemplate'>
        <xsl:call-template name='ABATemplate'>
          <xsl:with-param name='setOfABA' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"ABA")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade") ,"DescriptionOfTradeABA")]'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromABATemplate != ""'>
        <tr><td><h5>Agricultural Buildings Allowance</h5></td></tr>
        <xsl:copy-of select='$fromABATemplate'/>
      </xsl:if>

      <xsl:variable name='fromIARTemplate'>
        <xsl:call-template name='IARTemplate'>
          <xsl:with-param name='setOfIAR' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"IAR")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"DescriptionOfTrade"),"IAR")]  '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromIARTemplate != ""'>
      <tr></tr>
      <tr>
        <td><h5>Intangible Asset Relief</h5></td></tr>
      <tr><td colspan="2">
        <xsl:copy-of select='$fromIARTemplate'/>
        </td></tr>
      </xsl:if>

      <xsl:variable name='fromOCTemplate'>
        <xsl:call-template name='OtherChargesTemplate'>
          <xsl:with-param name='setOfOC' select='$singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"IndividualTrade"),"OtherChargesAllowances")] | $singleIndividualTradeTuple/*[starts-with(substring-after(name(.),"DescriptionOfTrade"),"OtherChargesAllowances")]  '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromOCTemplate != ""'>
       <tr><td><h5>Other Charges</h5></td></tr>
       <tr>
        <td>
        <xsl:copy-of select='$fromOCTemplate'/>
        </td>
        </tr>
      </xsl:if>


    <tr><td><h5>Other Trading Income</h5></td></tr>
   

  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeLandRemediation"]'>
    <tr>
      <td>Description of trade land remediation</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeLandRemediation"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LandRemediationQualifyingCapitalExpenditure"]'>
    <tr>
      <td>Land remediation qualifying capital expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LandRemediationQualifyingCapitalExpenditure"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LandRemediationEnhancedExpenditure"]'>
    <tr>
      <td>Land remediation enhanced expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "LandRemediationEnhancedExpenditure"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeResearchDevelopment"]'>
    <tr>
      <td>Description of trade research development</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradeResearchDevelopment"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RDQualifyingRevenueExpenditure"]'>
    <tr>
      <td>Research and development qualifying revenue expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RDQualifyingRevenueExpenditure"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RDEnhancedExpenditure"]'>
    <tr>
      <td>Research and development enhanced expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/*[substring-after(name(.),"IndividualTrade") = "RDEnhancedExpenditure"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
   


</xsl:template>
<xsl:template name="KnowHowAllowanceTemplate">
<xsl:param name="setOfKnow" />

  <xsl:if test='$setOfKnow[substring-after(name(.),"KnowHowAllowance") = ""]'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfKnow[substring-after(name(.),"KnowHowAllowance") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WDVBF']">
  <tr>
    <td>Written down value b/f</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select='$setOfKnow[substring-after(name(.),"KnowHowAllowance") = "WDVBF"]' />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WDVCF']">
  <tr>
    <td>Written down value c/f</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WDVCF']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'TransfersIn']">
  <tr>
    <td>Transfers in</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'TransfersIn']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Additions']">
  <tr>
    <td>Additions</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Additions']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingFor']">
  <tr>
    <td>Additions qualifying for an allowance</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingFor']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingForFYA100Percent']">
  <tr>
    <td>Additions qualifying for FYA at 100%</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingForFYA100Percent']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingForFYA40Percent']">
  <tr>
    <td>Additions qualifying for FYA at 40%</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingForFYA40Percent']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingForWDA25Percent']">
  <tr>
    <td>Additions qualifying for WDA at 25%</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsQualifyingForWDA25Percent']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsOnWhichFYADisclaimed']">
  <tr>
    <td>Additions on which FYA disclaimed</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsOnWhichFYADisclaimed']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsOnWhichFYANotClaimed']">
  <tr>
    <td>Additions on which FYA not claimed</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsOnWhichFYANotClaimed']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsTotal']">
  <tr>
    <td>Total additions</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AdditionsTotal']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Deductions']">
  <tr>
    <td>Deductions</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Deductions']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsDisposalProceeds']">
  <tr>
    <td>Deductions disposal proceeds</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsDisposalProceeds']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsTransfersOut']">
  <tr>
    <td>Deductions transfers out</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsTransfersOut']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsOther']">
  <tr>
    <td>Other deductions</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsOther']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsTotal']">
  <tr>
    <td>Total deductions</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DeductionsTotal']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Allowances']">
  <tr>
    <td>Allowances</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Allowances']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Claimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesClaimed']">
  <tr>
    <td>Allowances claimed</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Claimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesClaimed']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Waived'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesWaived']">
  <tr>
    <td>Allowances waived</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'Waived'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesWaived']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYearClaimed100Percent'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYearClaimed100Percent']">
  <tr>
    <td>First year allowance claimed at 100%</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYearClaimed100Percent'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYearClaimed100Percent']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYear100PercentNotClaimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYear100PercentNotClaimed']">
  <tr>
    <td>Firt year allowance at 100% not claimed</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYear100PercentNotClaimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYear100PercentNotClaimed']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYearClaimed40Percent'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYearClaimed40Percent']">
  <tr>
    <td>First year allowance claimed at 40%</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYearClaimed40Percent'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYearClaimed40Percent']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYear40PercentNotClaimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYear40PercentNotClaimed']">
  <tr>
    <td>First year allowance at 40% not claimed</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'FirstYear40PercentNotClaimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesFirstYear40PercentNotClaimed']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WritingDownClaimed25Percent'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesWritingDownClaimed25Percent']">
  <tr>
    <td>Writing down allowance claimed at 25%</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WritingDownClaimed25Percent'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesWritingDownClaimed25Percent']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WritingDown25PercentNotClaimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesWritingDown25PercentNotClaimed']">
  <tr>
    <td>Writing down allowance at 25% not claimed</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'WritingDown25PercentNotClaimed'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesWritingDown25PercentNotClaimed']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'BalancingCharge'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesBalancingCharge']">
  <tr>
    <td>Allowances balancing charge</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'BalancingCharge'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesBalancingCharge']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'BalancingAllowance'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesBalancingAllowance']">
  <tr>
    <td>Allowance balancing allowance</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'BalancingAllowance'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesBalancingAllowance']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DueToTransferor'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesDueToTransferor']">
  <tr>
    <td>Allowance due to transferor</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DueToTransferor'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesDueToTransferor']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>

 <xsl:if test="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DueToTransferee'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesDueToTransferee']">
  <tr>
    <td>Allowance due to transferee</td>
    <td>
      <xsl:call-template name="valueOfItem">
        <xsl:with-param name="item" select="$setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'DueToTransferee'] | $setOfKnow[substring-after(name(.),'KnowHowAllowance') = 'AllowancesDueToTransferee']" />
      </xsl:call-template>
    </td>
  </tr>
 </xsl:if>


</xsl:template>

<xsl:template name='MineralExtractionTemplate'>
<xsl:param name='setOfMEs'/>
<xsl:if test='$setOfMEs' >
  <table>
      <tr>
      
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescription"]'>
Asset description
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "WDVBF"] | $setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVBFTotal"]'>
WDV b/f
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "TransfersIn"]'>
Transfers in
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescriptionAdditions"]'>
Asset additions description
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsTotal"] | $setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAdditionsTotal"]'>
Additions total
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingFor"]'>
Additions qualifying for
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingForFYA100Percent"]'>
Additions qualifying for FYA 100 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingForFYA40Percent"]'>
Additions qualifying for FYA 40 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingForWDA25Percent"]'>
Additions qualifying for WDA 25 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescriptionDeductions"]'>
Asset deductions description
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsTotal"] | $setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryDeductionsTotal"] '>
Deductions total
</xsl:if></th>
</tr>

<xsl:for-each select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPool"]'>
 <tr>

 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescription"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "WDVBF"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "TransfersIn"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescriptionAdditions"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsTotal"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingFor"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingForFYA100Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingForFYA40Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "AdditionsQualifyingForWDA25Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescriptionDeductions"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsTotal"]'/></xsl:call-template>
 </td>

 </tr>
</xsl:for-each>


<!-- Totals -->

<xsl:if test='*[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVBFTotal"] |  *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAdditionsTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryDeductionsTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAllowancesTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryBalancingChargeTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVCFTotal"]'>
<tr><td><h5>Totals</h5></td>
 <td>
<xsl:if test='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVBFTotal"]'>
<xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVBFTotal"]'/></xsl:call-template> 
</xsl:if> </td>
 <td></td>
 <td></td>
 <td>
<xsl:if test='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAdditionsTotal"]'>
 <xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAdditionsTotal"]'/></xsl:call-template>
 </xsl:if>
  </td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
 <td><xsl:if test='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryDeductionsTotal"]'>
<xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryDeductionsTotal"]'/></xsl:call-template> 
</xsl:if> </td>
</tr>
</xsl:if>



 <tr> <!-- second row -->
   <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsDisposalProceeds"]'>
Deductions disposal proceeds
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsTransfersOut"]'>
Deductions transfers out
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsOther"]'>
Deductions other
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescriptionAllowances"]'>
Asset allowances description
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "Claimed"] | $setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAllowancesTotal"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesClaimed"]'>
Allowances claimed
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "Waived"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesWaived"]'>
Allowances waived
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearClaimed100Percent"]  | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearClaimed100Percent"]'>
First year claimed at 100 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearClaimed40Percent"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearClaimed40Percent"]'>
First year claimed at 40 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearWaived100Percent"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearWaived100Percent"]'>
First year waived at 100 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearWaived40Percent"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearWaived40Percent"]'>
First year waived at 40 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "WritingDownClaimed25Percent"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesWritingDownClaimed25Percent"]'>
Writing down claimed at 25 percent
</xsl:if></th>
</tr>

<xsl:for-each select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPool"]'>
 <tr>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsDisposalProceeds"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsTransfersOut"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "DeductionsOther"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPoolAssetDescriptionAllowances"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "Claimed"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesClaimed"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "Waived"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesWaived"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearClaimed100Percent"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearClaimed100Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearClaimed40Percent"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearClaimed40Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearWaived100Percent"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearWaived100Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "FirstYearWaived40Percent"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesFirstYearWaived40Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "WritingDownClaimed25Percent"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesWritingDownClaimed25Percent"]'/></xsl:call-template>
 </td>
</tr>
</xsl:for-each>

<xsl:if test='*[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVBFTotal"] |  *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAdditionsTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryDeductionsTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAllowancesTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryBalancingChargeTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVCFTotal"]'>
<tr><th><h5>Totals</h5></th>
 <td></td>
 <td></td>
 <td></td>

<td><xsl:if test='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAllowancesTotal"]'>
 <xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAllowancesTotal"]'/></xsl:call-template> 
</xsl:if> </td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>

</tr>
</xsl:if>

<tr> <!-- 3rd row -->
<th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "WritingDownWaived25Percent"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesWritingDownWaived25Percent"]'>
Writing down waived at 25 percent
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "BalancingCharge"] | $setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryBalancingChargeTotal"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesBalancingCharge"]'>
Balancing charge
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "BalancingAllowance"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesBalancingAllowance"]'>
Balancing allowance
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "DueToTransferor"] | $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesDueToTransferor"]'>
Due to transferor
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "DueToTransferee"]| $setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesDueToTransferee"]'>
Due to transferee
</xsl:if></th>
 <th width="10%"><xsl:if test='$setOfMEs/*[substring-after(name(.),"MineralExtractionAllowance") = "WDVCF"] | $setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVCFTotal"]'>
WDV c/f
</xsl:if></th>
</tr>

<xsl:for-each select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "IndividualAssetPool"]'>
 <tr>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "WritingDownWaived25Percent"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesWritingDownWaived25Percent"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "BalancingCharge"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesBalancingCharge"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "BalancingAllowance"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesBalancingAllowance"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "DueToTransferor"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesDueToTransferor"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "DueToTransferee"] | *[substring-after(name(.),"MineralExtractionAllowance") = "AllowancesDueToTransferee"]'/></xsl:call-template>
 </td>
 <td>
  <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='*[substring-after(name(.),"MineralExtractionAllowance") = "WDVCF"]'/></xsl:call-template>
 </td>
</tr>
</xsl:for-each>

<xsl:if test='*[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVBFTotal"] |  *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAdditionsTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryDeductionsTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryAllowancesTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryBalancingChargeTotal"] | *[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVCFTotal"]'>
<tr><th>Totals</th>
<td><xsl:if test='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryBalancingChargeTotal"]'>
 <xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryBalancingChargeTotal"]'/></xsl:call-template> 
</xsl:if></td> 
 <td></td>
 <td></td>
 <td></td>
 <td>
<xsl:if test='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVCFTotal"]'>
 <xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"MineralExtractionAllowance") = "SummaryWDVCFTotal"]'/></xsl:call-template> 
</xsl:if></td> 
</tr>
</xsl:if>

</table>

<tr>
  <td>Description</td>
  <td><xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"TradeMineralExtractionAllowance") = ""]'/></xsl:call-template> </td>
</tr>

<tr>
  <td>Summary description</td>
  <td><xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"TradeMineralExtractionAllowance") = "Summary"]'/></xsl:call-template> </td>
</tr>

<tr>
  <td>Summary description total</td>
  <td><xsl:call-template name='valueOfItem'>
 <xsl:with-param name='item' select='$setOfMEs[substring-after(name(.),"TradeMineralExtractionAllowance") = "SummaryTotal"]'/></xsl:call-template> </td>
</tr>

</xsl:if>
</xsl:template>
<xsl:template name='NonTradingCapitalAllowancesTemplate'>
<xsl:if test='//ct:NonTradingCapitalAllowances'>
<h3 style="page-break-before: always">Non-Trading Capital Allowances</h3>

  <table>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingCapitalAllowances'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Balancing charges</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingCapitalAllowancesBalancingCharges'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingCapitalAllowancesAllowances'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Excess over income</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingCapitalAllowancesExcessOverIncome'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>
</xsl:template>

<xsl:template name='NonTradingLoanRelationshipsEtcNetDebitsInCYTemplate'>
<xsl:if test='//ct:NonTradingLoanRelationshipsEtcNetDebitsInCY'>
<h3 style="page-break-before: always">Non-Trade Loan Relationship Debits</h3>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtcNetDebitsInCY'/></xsl:call-template></p>

<table>
    <tr>
      <td colspan="2">Interest payable</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYInterestPayable'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td colspan="2">Non-Trade FOREX debits</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYNonTradeFOREXDebits'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Intra-group income</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtcNetDebitsInCYIntragroupIncome'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>Interest payable</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYIntraGroupIncomeInterestPayable'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>Inter-company interest payable</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYIntraGroupIncomeInterCompanyInterestPayable'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>FOREX losses</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYIntraGroupIncomeFOREXLossesDebits'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Interest rate swap payments</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYIntraGroupIncomeInterestRateSwapPayments'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>Deficit on non-trading loan relationships brought back</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetDebitsInCYIntraGroupIncomeDeficitOnNonTradingLoanRelationshipsBroughtBack'/></xsl:call-template>
      </td>
    </tr>
</table>

<h3 style="page-break-before: always">Non-Trade loan relationship non-trading Deficits</h3>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtcNonTradingDeficits'/></xsl:call-template></p>

<table>
    <tr>
      <td>Deficits b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsBF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Arising this period</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsArisingThisPeriod'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Used against non-trade credits</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsUsedAgainstNonTradeCredits'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Used against total profits</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsUsedAgainstTotalProfits'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Available for surrender as group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsAvailableForSurrenderAsGroupRelief'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Group relief surrendered</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsGroupReliefSurrendered'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Deficits carried back</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsCarriedBack'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Deficits c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsDeficitsCF'/></xsl:call-template>
      </td>
    </tr>

</table>

</xsl:if>
</xsl:template>

<xsl:template name='NonTradingLoanRelationshipsTemplate'>
<xsl:if test='//ct:NonTradingLoanRelationshipsEtc'>
<h3 style="page-break-before: always">Non-Trading Loan Relationships</h3>

<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtc'/></xsl:call-template></p>

  <table>
    <tr>
      <td>Total</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsTotal'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Net credits in calendar year</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCY'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Non-Trade interest receivable</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtcNetCreditsInCYNonTradeInterestReceivable'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYInterestReceivableTotal'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Bank</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYInterestReceivableBank'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Building society</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYInterestReceivableBuildingSociety'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Non-Trade FOREX credits</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYNonTradeFOREXCredits'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Financial instrument credits</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYFinancialInstrumentCredit'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Financial instrument credit</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYInterestRateSwapReceipts'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Prior year adjustment</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYPriorYearAdjustment'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Partnership share</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtcNetCreditsInCYPartnershipShare'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYPartnershipShareTotal'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Interest credits</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYPartnershipShareInterestCredits'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>FOREX gains credit</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYPartnershipShareFOREXGainsCredits'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Other profits &amp; gains</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYOtherProfitsAndGains'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>- Intra-Group income</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsEtcNetCreditsInCYIntragroupIncome'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:NonTradingLoanRelationshipsNetCreditsInCYIntraGroupIncomeTotal'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>
</xsl:template>

<xsl:template name="OtherChargesTemplate">
 <xsl:param name='setOfOC'/>


  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = ""]'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WDVBF"]'>
    <tr> 
      <td>WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "TransfersIn"]'>
    <tr>
      <td>Transfers in</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "TransfersIn"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Additions"]'>
    <tr>
      <td>Additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Additions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsTotal"]'>
    <tr>
      <td>Additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingFor"]'>
    <tr>
      <td>Additions qualifying for</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingFor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingForFYA100Percent"]'>
    <tr>
      <td>Additions qualifying for FYA 100 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingForFYA100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingForFYA40Percent"]'>
    <tr>
      <td>Additions qualifying for FYA 40 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingForFYA40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingForWDA25Percent"]'>
    <tr>
      <td>Additions qualifying for WDA 25 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsQualifyingForWDA25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsOnWhichFYADisclaimed"]'>
    <tr>
      <td>Additions on which FYA disclaimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsOnWhichFYADisclaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsOnWhichFYANotClaimed"]'>
    <tr>
      <td>Additions on which FYA not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "AdditionsOnWhichFYANotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Deductions"]'>
    <tr>
      <td>Deductions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Deductions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsTotal"]'>
    <tr>
      <td>Deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsDisposalProceeds"]'>
    <tr>
      <td>Deductions disposal proceeds</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsDisposalProceeds"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsTransfersOut"]'>
    <tr>
      <td>Deductions transfers out</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsTransfersOut"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsOther"]'>
    <tr>
      <td>Deductions other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DeductionsOther"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Allowances"]'>
    <tr>
      <td>Allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Allowances"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Claimed"]'>
    <tr>
      <td>Claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Claimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Waived"]'>
    <tr>
      <td>Waived</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "Waived"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYearClaimed100Percent"]'>
    <tr>
      <td>First year claimed at 100 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYearClaimed100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYearClaimed40Percent"]'>
    <tr>
      <td>First year claimed at 40 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYearClaimed40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYear100PercentNotClaimed"]'>
    <tr>
      <td>First year at 100 percent not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYear100PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYear40PercentNotClaimed"]'>
    <tr>
      <td>First year at 40 percent not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "FirstYear40PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WritingDownClaimed25Percent"]'>
    <tr>
      <td>Writing down claimed at 25 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WritingDownClaimed25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WritingDown25PercentNotClaimed"]'>
    <tr>
      <td>Writing down at 25 percent not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WritingDown25PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "BalancingCharge"]'>
    <tr>
      <td>Balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "BalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "BalancingAllowance"]'>
    <tr>
      <td>Balancing allowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "BalancingAllowance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DueToTransferor"]'>
    <tr>
      <td>Due to transferor</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DueToTransferor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DueToTransferee"]'>
    <tr>
      <td>Due to transferee</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "DueToTransferee"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WDVCF"]'>
    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfOC[substring-after(name(.),"OtherChargesAllowances") = "WDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

</xsl:template>
<xsl:template name="OverseasDividendTemplate">
  <xsl:param name="OSDividend"/>


  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeCompanyName'>
    <tr>
      <td>Company name</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeCompanyName' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeReceived'>
    <tr>
      <td>Received</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeReceived' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeWithholdingTax'>
    <tr>
      <td>Withholding tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeWithholdingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeCreditableUnderlyingTax'>
    <tr>
      <td>Creditable underlying tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeCreditableUnderlyingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeGross'>
    <tr>
      <td>Gross</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeGross' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeTotal'>
    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeTotalReceived'>
    <tr>
      <td>Total received</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeTotalReceived' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeTotalWithholdingTax'>
    <tr>
      <td>Total withholding tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeTotalWithholdingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeTotalCreditableUnderlyingTax'>
    <tr>
      <td>Total creditable underlying tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeTotalCreditableUnderlyingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$OSDividend/ct:OverseasIncomeDividendIncomeTotalGross'>
    <tr>
      <td>Total gross</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$OSDividend/ct:OverseasIncomeDividendIncomeTotalGross' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:call-template name="PartnershipShare">
    <xsl:with-param name="setOfPS" select="$OSDividend/ct:OverseasIncomeDividendIncomePartnershipShare" />
  </xsl:call-template>


</xsl:template>

<xsl:template name="PartnershipShare">
 <xsl:param name="setOfPS" />
 <xsl:if test="$setOfPS" >
<table>
 <tr>

<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareCompanyName'>
Company name
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareReceived'>
Received
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareWithholdingTax'>
Withholding tax
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareCreditableUnderlyingTax'>
Creditable underlying tax
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareGross'>
Gross
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareTotal'>
Total
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareTotalReceived'>
Total received
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareTotalWithholdingTax'>
Total withholding tax
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareTotalCreditableUnderlyingTax'>
Total creditable underlying tax
</xsl:if></th>
<th><xsl:if test='$setOfPS/ct:OverseasIncomeDividendIncomePartnershipShareTotalGross'>
Total gross
</xsl:if></th>
</tr>


<xsl:for-each select="$setOfPS">
<tr>


<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareCompanyName'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareReceived'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareWithholdingTax'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareCreditableUnderlyingTax'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareGross'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareTotal'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareTotalReceived'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareTotalWithholdingTax'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareTotalCreditableUnderlyingTax'/></xsl:call-template>
</td>
<td>
	<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='./ct:OverseasIncomeDividendIncomePartnershipShareTotalGross'/></xsl:call-template>
</td>

</tr>
</xsl:for-each>
 
</table>
 </xsl:if>
</xsl:template>
<xsl:template name='OverseasIncomeIndividualTradeTemplate'>
<xsl:if test='//ct:OverseasIncomeIndividualTradeNetProfitLoss'>
<h4 style="page-break-before: always"></h4>

<table>
<tr>
<td>Net Profit/Loss</td>
<td>
<xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeNetProfitLoss'/></xsl:call-template>
</td>
</tr>
</table>

</xsl:if>

<xsl:if test='//ct:OverseasIncomeIndividualTradeTradingProfits'>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeTradingProfits'/></xsl:call-template></p>

  <table>
    <tr>
      <td>Trading Losses</td>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeTradingProfitsTradingLosses'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeTradingProfitsTradingLossesBF'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Brought Back</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeTradingProfitsTradingLossesBroughtBack'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>Total Arising</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeTradingProfitsTradingLossesTotalArising'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td></td>
      <td>c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:OverseasIncomeIndividualTradeTradingProfitsTradingLossesCF'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>
</xsl:template>

<xsl:template name="OverseasIncomeTemplate">
  <xsl:if test='//ct:OverseasIncome'>
    <tr>
      <td>Label:</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  

        <xsl:variable name='fromIndividualTradeTemplate'>
        <xsl:for-each select='//ct:OverseasIncomeIndividualTrade'>
          <xsl:call-template name='IndividualTradeTemplate'>
            <xsl:with-param name='singleIndividualTradeTuple' select='.'/>
          </xsl:call-template>
          <xsl:call-template name='ITprofitsLosses'>
            <xsl:with-param name='singleIndividualTradeTuple' select='.' />
          </xsl:call-template>
          <!-- <tr><td><hr/></td></tr> -->
        </xsl:for-each>
      </xsl:variable>
      <xsl:if test='$fromIndividualTradeTemplate != ""'>
        <h4 style="page-break-before: always">Individual trades</h4>
        <table>
          <xsl:copy-of select='$fromIndividualTradeTemplate'/>
        </table>
      </xsl:if>


    <xsl:variable name='fromOverseasDividendTemplate'>
      <xsl:for-each select='//ct:OverseasIncomeDividendIncome'>
        <xsl:call-template name='OverseasDividendTemplate'>
          <xsl:with-param name='OSDividend' select='.'/>
        </xsl:call-template>
        <!-- <tr><td><hr/></td></tr> -->
      </xsl:for-each>
    </xsl:variable>
    <xsl:if test='$fromOverseasDividendTemplate != ""'>
        <h4 style="page-break-before: always">Dividend Income</h4>
        <table>
          <xsl:copy-of select='$fromOverseasDividendTemplate'/>
        </table>
    </xsl:if>

    <xsl:variable name='fromOverseasIncomeIndividualTradeTemplate'>
      <xsl:call-template name='OverseasIncomeIndividualTradeTemplate'></xsl:call-template>
    </xsl:variable>
    <xsl:if test='$fromOverseasIncomeIndividualTradeTemplate != ""'>
      <h4 style="page-break-before: always">Trade</h4>
      <table>
        <xsl:copy-of select='$fromOverseasIncomeIndividualTradeTemplate' />
      </table>
    </xsl:if>



    <xsl:variable name='fromOverseasTradeTemplate'>
      <xsl:call-template name='OverseasTradeTemplate'></xsl:call-template>
    </xsl:variable>
    <xsl:if test='$fromOverseasTradeTemplate != ""'>
      <h4 style="page-break-before: always">Trade</h4>
      <table>
        <xsl:copy-of select='$fromOverseasTradeTemplate' />
      </table>
    </xsl:if>
     
    <xsl:variable name='fromOverseasProperty'>
      <xsl:call-template name='OverseasPropertyTemplate'/>
    </xsl:variable>
    <xsl:if test='$fromOverseasProperty != ""'>
        <h4 style="page-break-before: always">Overseas Property</h4>
        <table>
          <xsl:copy-of select='$fromOverseasProperty'/>
        </table>
    </xsl:if>

    <xsl:variable name='fromOverseas'>
      <xsl:call-template name='OtherOverseas'/>
    </xsl:variable>
    <xsl:if test='$fromOverseas!= ""'>
        <h4 style="page-break-before: always">Miscellaneous Overseas</h4>
        <table>
          <xsl:copy-of select='$fromOverseas'/>
        </table>
    </xsl:if>
 
  

</xsl:template>

<xsl:template name='ITprofitsLosses'>
<xsl:param name='singleIndividualTradeTuple' />
  <xsl:if test='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeNetProfitLoss'>
    <tr>
      <td>Net profit / loss</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeNetProfitLoss' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if> 

  <xsl:if test='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfits'>
    <tr>
      <td>Trading profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>  

  <xsl:if test='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfitsTradingLosses'>
    <tr>
      <td>Trading losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfitsTradingLosses' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>  

  <xsl:variable name='fromTradingLossesTemplate'>
    <xsl:call-template name='TradingLossesTemplate'>
      <xsl:with-param name='setOfTradingLosses' select='$singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfitsTradingLossesBF | $singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfitsTradingLossesBroughtBack | $singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfitsTradingLossesTotalArising | $singleIndividualTradeTuple/OverseasIncomeIndividualTradeTradingProfitsTradingLossesCF' />
    </xsl:call-template>
  </xsl:variable>
  <xsl:if test='$fromTradingLossesTemplate != ""'>
    <tr> 
    <td><h4 style="page-break-before: always">Trading losses</h4></td>
    </tr>
    <xsl:copy-of select='$fromTradingLossesTemplate'/>    
  </xsl:if>  

</xsl:template>



<xsl:template name="OtherOverseas">

  <xsl:if test='//ct:OverseasIncomeInterest'>
    <tr>
      <td>Interest</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeInterest' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeInterestTotal'>
    <tr>
      <td>Interest total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeInterestTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeInterestGrossIncome'>
    <tr>
      <td>Interest gross income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeInterestGrossIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeInterestWithholdingTax'>
    <tr>
      <td>Interest withholding tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeInterestWithholdingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeInterestIncomeTaxDeducted'>
    <tr>
      <td>Interest income tax deducted</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeInterestIncomeTaxDeducted' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeOtherOverseasIncome'>
    <tr>
      <td>Other overseas income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeOtherOverseasIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeOtherOverseasIncomeTotal'>
    <tr>
      <td>Other overseas income total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeOtherOverseasIncomeTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeOtherOverseasIncomeGrossIncome'>
    <tr>
      <td>Other overseas income gross income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeOtherOverseasIncomeGrossIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeOtherOverseasIncomeWithholdingTax'>
    <tr>
      <td>Other overseas income withholding tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeOtherOverseasIncomeWithholdingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeOtherOverseasIncomeIncomeTaxDeducted'>
    <tr>
      <td>Other overseas income income tax deducted</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeOtherOverseasIncomeIncomeTaxDeducted' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeTotalGrossIncome'>
    <tr>
      <td>Total gross income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeTotalGrossIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeNetIncomeReceived'>
    <tr>
      <td>Net income received</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeNetIncomeReceived' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomeIncomeTaxDeductedAtSource'>
    <tr>
      <td>Income tax deducted at source</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeIncomeTaxDeductedAtSource' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

</xsl:template>
<xsl:template name="OverseasTradeTemplate">
  <xsl:if test='//ct:OverseasIncomeTrade'>
    <tr>
      <td>Trade</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeTrade' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


 <xsl:if test='//ct:OverseasIncomeTradeNetProfitLoss'>
    <tr>
      <td>Net profit / loss</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeTradeNetProfitLoss' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:OverseasIncomeTradeTradingProfits'>
    <tr>
      <td>Trading profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeTradeTradingProfits' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:OverseasIncomeTradeTradingProfitsTradingLosses'>
    <tr>
      <td>Trading losses</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomeTradeTradingProfitsTradingLosses' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:variable name='fromTradingLossesTemplate'>
    <xsl:call-template name='TradingLossesTemplate'>
      <xsl:with-param name='setOfTradingLosses' select='//ct:OverseasIncomeTradeTradingProfitsTradingLossesBF | //ct:OverseasIncomeTradeTradingProfitsTradingLossesBroughtBack | //ct:OverseasIncomeTradeTradingProfitsTradingLossesTotalArising | //ct:OverseasIncomeTradeTradingProfitsTradingLossesCF' />
    </xsl:call-template>
  </xsl:variable>
  <xsl:if test='$fromTradingLossesTemplate != ""'>
    <h4 style="page-break-before: always">Trading Losses</h4>
    <xsl:copy-of select='$fromTradingLossesTemplate'/>    
  </xsl:if>  



</xsl:template>
<xsl:template name="OverseasPropertyTemplate">


  <xsl:if test='//ct:OverseasIncomePropertyBusiness'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusiness' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='//ct:OverseasIncomePropertyBusinessTotal'>
    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusinessTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomePropertyBusinessGrossIncome'>
    <tr>
      <td>Gross income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusinessGrossIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomePropertyBusinessWithholdingTax'>
    <tr>
      <td>Withholding tax</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusinessWithholdingTax' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomePropertyBusinessLoss'>
    <tr>
      <td>Loss</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusinessLoss' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomePropertyBusinessCapitalAllowances'>
    <tr>
      <td>Capital allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusinessCapitalAllowances' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:OverseasIncomePropertyBusinessCapitalAllowancesTotal'>
    <tr>
      <td>Capital allowances total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:OverseasIncomePropertyBusinessCapitalAllowancesTotal' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

      <xsl:variable name='fromPMATemplate'>
        <xsl:call-template name='PMATemplate'>
          <xsl:with-param name='setOfPMAs' select='//ct:*[starts-with(substring-after(name(.),"PropertyBusiness"),"PMA")] '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromPMATemplate != ""'>
      <tr>
        <td><h5>Plant &amp; Machinery Allowance</h5></td></tr>
      <tr><td colspan="2">
        <xsl:copy-of select='$fromPMATemplate'/>
        </td>
      </tr>
      </xsl:if>
      
      <xsl:variable name='fromIBATemplate'>
        <xsl:call-template name='IBATemplate'>
          <xsl:with-param name='setOfIBA' select='//ct:*[starts-with(substring-after(name(.),"PropertyBusiness"),"IBA")] '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromIBATemplate != ""'>
        <tr><td><h5>Industrial Buildings Allowance</h5></td></tr>
        <xsl:copy-of select='$fromIBATemplate'/>
      </xsl:if>
      
      <xsl:variable name='fromIARTemplate'>
        <xsl:call-template name='IARTemplate'>
          <xsl:with-param name='setOfIAR' select='//ct:*[starts-with(substring-after(name(.),"PropertyBusiness"),"IAR")] '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromIARTemplate != ""'>
      <tr></tr>
      <tr>
        <td><h5>Intangible Asset Relief</h5></td></tr>
      <tr><td>
        <xsl:copy-of select='$fromIARTemplate'/>
        </td></tr>
      </xsl:if>


</xsl:template>
<xsl:template name='PMATemplate'>
<xsl:param name='setOfPMAs'/>
<xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = ""]'>
    <tr>
      <td>label</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "TradingProfitsIndividualTradeDescriptionOfTradePMA"]'>
    <tr>
      <td>Description of trade PMA</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "TradingProfitsIndividualTradeDescriptionOfTradePMA"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPool"]'>
    <tr>
      <td>General pool</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPool"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolWDVBF"]'>
    <tr>
      <td>General pool WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolWDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolTransfersIn"]'>
    <tr>
      <td>General pool transfers in</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolTransfersIn"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditions"]'>
    <tr>
      <td>description of trade PMA general pool additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsTotal"]'>
    <tr>
      <td>General pool additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingFor"]'>
    <tr>
      <td>General pool additions qualifying for</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingFor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingForFYA100Percent"]'>
    <tr>
      <td>General pool additions qualifying for FYA 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingForFYA100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingForFYA40Percent"]'>
    <tr>
      <td>General pool additions qualifying for FYA 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingForFYA40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingForWDA25Percent"]'>
    <tr>
      <td>General pool additions qualifying for WDA 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsQualifyingForWDA25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsOnWhichFYADisclaimed"]'>
    <tr>
      <td>General pool additions on which FYA disclaimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsOnWhichFYADisclaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsOnWhichFYANotClaimed"]'>
    <tr>
      <td>General pool additions on which FYA not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAdditionsOnWhichFYANotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductions"]'>
    <tr>
      <td>Description of trade PMA general pool deductions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsTotal"]'>
    <tr>
      <td>General pool deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsDisposalProceeds"]'>
    <tr>
      <td>General pool deductions disposal proceeds</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsDisposalProceeds"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsTransfersOut"]'>
    <tr>
      <td>General pool deductions transfers out</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsTransfersOut"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsOther"]'>
    <tr>
      <td>General pool deductions other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolDeductionsOther"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowances"]'>
    <tr>
      <td>Description of trade PMA general pool allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowances"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesClaimed"]'>
    <tr>
      <td>General pool allowances claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesWaived"]'>
    <tr>
      <td>General pool allowances waived</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesWaived"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYearClaimed100Percent"]'>
    <tr>
      <td>General pool allowances first year claimed 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYearClaimed100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYearClaimed40Percent"]'>
    <tr>
      <td>General pool allowances first year claimed 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYearClaimed40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYear100PercentNotClaimed"]'>
    <tr>
      <td>General pool allowances first year 100% not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYear100PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYear40PercentNotClaimed"]'>
    <tr>
      <td>General pool allowances first year 40% not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesFirstYear40PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesWritingDownClaimed25Percent"]'>
    <tr>
      <td>General pool allowances writing down claimed 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesWritingDownClaimed25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesWritingDown25PercentNotClaimed"]'>
    <tr>
      <td>General pool allowances writing down 25% not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesWritingDown25PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesBalancingCharge"]'>
    <tr>
      <td>General pool allowances balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesBalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesBalancingAllowance"]'>
    <tr>
      <td>General pool allowances balancing allowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesBalancingAllowance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesDueToTransferor"]'>
    <tr>
      <td>General pool allowances due to transferor</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesDueToTransferor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesDueToTransferee"]'>
    <tr>
      <td>General pool allowances due to transferee</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolAllowancesDueToTransferee"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolWDVCF"]'>
    <tr>
      <td>General pool WDV CF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "GeneralPoolWDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssets"]'>
    <tr>
      <td>Short life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssets"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:for-each select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsIndividualAssetPool"]'>
    <tr><td><h5>Short Life Assets: Individual Asset Pool</h5></td></tr>
      <xsl:call-template name='ShortLifeAssetsTupleTemplate'>
        <xsl:with-param name='singleIndividualAssetPoolTuple' select='.'/>
      </xsl:call-template>
    <!-- <tr><td colspan="2"><hr/></td></tr> -->
  </xsl:for-each>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummary"]'>
  <tr><td><h5>Short Life Assets Summary</h5></td></tr>
    <tr>
     <td>Summary</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummary"]' />
        </xsl:call-template>
      </td>
     </tr>
  </xsl:if>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryTotal"]'>
    <tr>
     <td>Summary total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryTotal"]' />
        </xsl:call-template>
      </td>
     </tr>
  </xsl:if>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryWDVBFTotal"]'>
    <tr>
      <td>Short life assets summary WDV b/f total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryWDVBFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryAdditionsTotal"]'>
    <tr>
      <td>Short life assets summary additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryAdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryDeductionsTotal"]'>
    <tr>
      <td>Short life assets summary deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryDeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryAllowancesTotal"]'>
    <tr>
      <td>Short life assets summary allowances total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryAllowancesTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryBalancingChargeTotal"]'>
    <tr>
      <td>Short life assets summary balancing charge total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryBalancingChargeTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryWDVCFTotal"]'>
    <tr>
      <td>Short life assets summary WDV CF total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "ShortLifeAssetsSummaryWDVCFTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = ""]'>
    <tr>
      <td></td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssets"]'>
    <tr><td colspan="2"><h5>Long Life Assets</h5></td></tr>
    <tr>
      <td>Label</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssets"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsWDVBF"]'>
    <tr>
      <td>Long life assets WDV BF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsWDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsTransfersIn"]'>
    <tr>
      <td>Long life assets transfers in</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsTransfersIn"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditions"]'>
    <tr>
      <td>Trading profits individual trade description of trade PMA long life assets additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsTotal"]'>
    <tr>
      <td>Long life assets additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingFor"]'>
    <tr>
      <td>Long life assets additions qualifying</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingFor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingForFYA100Percent"]'>
    <tr>
      <td>Long life assets additions qualifying for FYA 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingForFYA100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingForFYA40Percent"]'>
    <tr>
      <td>Long life assets additions qualifying for FYA 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingForFYA40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingForWDA25Percent"]'>
    <tr>
      <td>Long life assets additions qualifying for WDA 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsQualifyingForWDA25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsOnWhichFYADisclaimed"]'>
    <tr>
      <td>Long life assets additions on which FYA disclaimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsOnWhichFYADisclaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsOnWhichFYANotClaimed"]'>
    <tr>
      <td>Long life assets additions on which FYA not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAdditionsOnWhichFYANotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductions"]'>
    <tr>
      <td>Trading profits individual trade description of trade PMA long life assets deductions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsTotal"]'>
    <tr>
      <td>Long life assets deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsDisposalProceeds"]'>
    <tr>
      <td>Long life assets deductions disposal proceeds</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsDisposalProceeds"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsTransfersOut"]'>
    <tr>
      <td>Long life assets deductions transfers out</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsTransfersOut"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsOther"]'>
    <tr>
      <td>Long life assets deductions other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsDeductionsOther"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowances"]'>
    <tr>
      <td>Trading profits individual trade description of trade PMA long life assets allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowances"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesClaimed"]'>
    <tr>
      <td>Long life assets allowances claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesWaived"]'>
    <tr>
      <td>Long life assets allowances waived</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesWaived"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYearClaimed100Percent"]'>
    <tr>
      <td>Long life assets allowances first year claimed at 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYearClaimed100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYearClaimed40Percent"]'>
    <tr>
      <td>Long life assets allowances first year claimed at 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYearClaimed40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYear100PercentNotClaimed"]'>
    <tr>
      <td>Long life assets allowances first year at 100% not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYear100PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYear40PercentNotClaimed"]'>
    <tr>
      <td>Long life assets allowances first year at 40% not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesFirstYear40PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesWritingDownClaimed25Percent"]'>
    <tr>
      <td>Long life assets allowances writing down claimed at 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesWritingDownClaimed25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesWritingDown25PercentNotClaimed"]'>
    <tr>
      <td>Long life assets allowances writing down at 25% not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesWritingDown25PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesBalancingCharge"]'>
    <tr>
      <td>Long life assets allowances balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesBalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesBalancingAllowance"]'>
    <tr>
      <td>Long life assets allowances balancing allowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesBalancingAllowance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesDueToTransferor"]'>
    <tr>
      <td>Long life assets allowances due to transferor</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesDueToTransferor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesDueToTransferee"]'>
    <tr>
      <td>Long life assets allowances due to transferee</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsAllowancesDueToTransferee"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsWDVCF"]'>
    <tr>
      <td>Long life assets WDV CF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMA") = "LongLifeAssetsWDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:variable name='fromExpensiveCarsTemplate'>
    <xsl:call-template name='ExpensiveCarsTemplate'>
      <xsl:with-param name='setOfExpensiveCarsTuples' select='$setOfPMAs[substring(substring-after(name(.),"PMA"), 1, string-length("ExpensiveCars")) = "ExpensiveCars"]'/>
    </xsl:call-template>
  </xsl:variable>
  <xsl:if test='$fromExpensiveCarsTemplate != ""'>
  <tr><td colspan="3">
        <xsl:copy-of select='$fromExpensiveCarsTemplate'/>
        </td></tr>
  </xsl:if>
  <xsl:if test='ct:TradingProfitsIndividualTradeDescriptionOfTradePMAExpensiveCars | ct:OverseasIncomeIndividualTradePMAExpensiveCars | ct:DeductionsManagementExpensesPMAExpensiveCars'>
    <tr><td>Description</td>
    <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='ct:TradingProfitsIndividualTradeDescriptionOfTradePMAExpensiveCars | ct:OverseasIncomeIndividualTradePMAExpensiveCars| ct:DeductionsManagementExpensesPMAExpensiveCars'/></xsl:call-template></td>
    </tr>
  </xsl:if>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMAExpensiveCars") = "Summary"]'>
    <tr><td>Summary</td>
    <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMAExpensiveCars") = "Summary"]'/></xsl:call-template></td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"PMAExpensiveCars") = "SummaryTotal"]'>
    <tr><td>Summary total</td>
    <td><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"PMAExpensiveCars") = "SummaryTotal"]'/></xsl:call-template></td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradePMA"]'>
    <tr>
      <td>comments</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"IndividualTrade") = "DescriptionOfTradePMA"]' />
        </xsl:call-template>
      </td> 
    </tr>
  </xsl:if>

  <xsl:if test='$setOfPMAs[substring-after(name(.),"IndividualTrade") = "PMAOtherAssets"]'>
    <tr>
      <td>Other assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"IndividualTrade") = "PMAOtherAssets"]' />
        </xsl:call-template>
      </td> 
    </tr>
  </xsl:if>
  <xsl:if test='$setOfPMAs[substring-after(name(.),"IndividualTrade") = "PMAOtherAssetsTotalAllowances"]'>
    <tr>
      <td>Other assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfPMAs[substring-after(name(.),"IndividualTrade") = "PMAOtherAssetsTotalAllowances"]' />
        </xsl:call-template>
      </td> 
    </tr>
  </xsl:if>
</xsl:template>
 
<xsl:template name="PMATotals">


  <xsl:if test='//ct:TradingProfitsPMA'>
    <tr>
      <td>Label:</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMA' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  
  <xsl:if test='//ct:TradingProfitsPMAOtherAssets'>
    <tr>
      <td>Other assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAOtherAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAOtherAssetsTotalWDVBF'>
    <tr>
      <td>Other assets total WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAOtherAssetsTotalWDVBF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAOtherAssetsTotalAllowances'>
    <tr>
      <td>Other assets total allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAOtherAssetsTotalAllowances' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAOtherAssetsTotalWDVCF'>
    <tr>
      <td>Other assets total WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAOtherAssetsTotalWDVCF' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAExpensiveCars'>
    <tr>
      <td>Expensive cars</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAExpensiveCars' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAExpensiveCarsBalancingCharge'>
    <tr>
      <td>Expensive cars balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAExpensiveCarsBalancingCharge' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAExpensiveCarsTotalAllowances'>
    <tr>
      <td>Expensive cars total allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAExpensiveCarsTotalAllowances' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMALongLifeAssets'>
    <tr>
      <td>Long life assets</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMALongLifeAssets' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMALongLifeAssetsBalancingCharge'>
    <tr>
      <td>Long life assets balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMALongLifeAssetsBalancingCharge' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMALongLifeAssetsTotalAllowances'>
    <tr>
      <td>Long life assets total allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMALongLifeAssetsTotalAllowances' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAGeneralPool'>
    <tr>
      <td>General pool</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAGeneralPool' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMAGeneralPoolBalancingCharge'>
    <tr>
      <td>General pool balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMAGeneralPoolBalancingCharge' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMASpecialLeasing'>
    <tr>
      <td>Special leasing</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMASpecialLeasing' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMASpecialLeasingReliefAgainstTotalIncome'>
    <tr>
      <td>Special leasing relief against total income</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMASpecialLeasingReliefAgainstTotalIncome' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='//ct:TradingProfitsPMASpecialLeasingReliefAgainstTotalIncomeThisPeriod'>
    <tr>
      <td>Special leasing relief against total income this period</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='//ct:TradingProfitsPMASpecialLeasingReliefAgainstTotalIncomeThisPeriod' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>

</xsl:template>
<xsl:template name='ResearchDevelopmentTemplate'>
<xsl:param name='setOfRDs'/>


  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "llowance"] | $setOfRDs[substring-after(name(.),"RDA") = ""]'>
    <tr>
      <td>Label</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "llowance"]  | $setOfRDs[substring-after(name(.),"RDA") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWDVBF"] | $setOfRDs[substring-after(name(.),"RDA") = "WDVBF"]'>
    <tr>
      <td>WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWDVBF"] | $setOfRDs[substring-after(name(.),"RDA") = "WDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesTransfersIn"] | $setOfRDs[substring-after(name(.),"RDA") = "TransfersIn"]'>
    <tr>
      <td>Transfers in</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesTransfersIn"] | $setOfRDs[substring-after(name(.),"RDA") = "TransfersIn"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "llowanceAdditions"]'>
    <tr>
      <td>Additions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "llowanceAdditions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsTotal"]'>
    <tr>
      <td>Additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingFor"]'>
    <tr>
      <td>Additions qualifying for</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingFor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingForFYA100Percent"]'>
    <tr>
      <td>Additions qualifying for FYA 100 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingForFYA100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingForFYA40Percent"]'>
    <tr>
      <td>Additions qualifying for FYA 40 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingForFYA40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingForWDA25Percent"]'>
    <tr>
      <td>Additions qualifying for WDA 25 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsQualifyingForWDA25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsOnWhichFYADisclaimed"]'>
    <tr>
      <td>Additions on which FYA disclaimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsOnWhichFYADisclaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsOnWhichFYANotClaimed"]'>
    <tr>
      <td>Additions on which FYA not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AdditionsOnWhichFYANotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "llowanceDeductions"]'>
    <tr>
      <td>Deductions</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "llowanceDeductions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsTotal"]'>
    <tr>
      <td>Deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsDisposalProceeds"]'>
    <tr>
      <td>Deductions disposal proceeds</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsDisposalProceeds"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsTransfersOut"]'>
    <tr>
      <td>Deductions transfers out</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsTransfersOut"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsOther"]'>
    <tr>
      <td>Deductions other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "DeductionsOther"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "llowanceAllowances"]'>
    <tr>
      <td>Allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "llowanceAllowances"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesClaimed"]'>
    <tr>
      <td>Claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWaived"]'>
    <tr>
      <td>Waived</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWaived"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYearClaimed100Percent"]'>
    <tr>
      <td>First year claimed at 100 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYearClaimed100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYearClaimed40Percent"]'>
    <tr>
      <td>First year claimed at 40 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYearClaimed40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYear100PercentNotClaimed"]'>
    <tr>
      <td>First year at 100 percent not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYear100PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYear40PercentNotClaimed"]'>
    <tr>
      <td>First year at 40 percent not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesFirstYear40PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWritingDownClaimed25Percent"]'>
    <tr>
      <td>Writing down claimed at 25 percent</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWritingDownClaimed25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWritingDown25PercentNotClaimed"]'>
    <tr>
      <td>Writing down at 25 percent not claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWritingDown25PercentNotClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesBalancingCharge"]'>
    <tr>
      <td>Balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesBalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesBalancingAllowance"]'>
    <tr>
      <td>Balancing allowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesBalancingAllowance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesDueToTransferor"]'>
    <tr>
      <td>Due to transferor</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesDueToTransferor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesDueToTransferee"]'>
    <tr>
      <td>Due to transferee</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesDueToTransferee"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWDVCF"] | $setOfRDs[substring-after(name(.),"RDA") = "WDVCF"]'>
    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfRDs[substring-after(name(.),"RDA") = "AllowancesWDVCF"]| $setOfRDs[substring-after(name(.),"RDA") = "WDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>


</xsl:template>
<xsl:template name='ShortLifeAssetsTupleTemplate'>
<xsl:param name='singleIndividualAssetPoolTuple'/>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AssetDescription"] | $singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescription"]'>
    <tr>
      <td>Asset description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AssetDescription"]  | $singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescription"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "WDVBF"]'>
    <tr>
      <td>WDV b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "WDVBF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "TransfersIn"]'>
    <tr>
      <td>Transfers in</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "TransfersIn"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescriptionAdditions"]'>
    <tr>
      <td>Asset additions description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescriptionAdditions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsTotal"]'>
    <tr>
      <td>Additions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingFor"]'>
    <tr>
      <td>Additions qualifying for</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingFor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingForFYA100Percent"]'>
    <tr>
      <td>Additions qualifying for FYA 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingForFYA100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingForFYA40Percent"]'>
    <tr>
      <td>Additions qualifying for FYA 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingForFYA40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingForWDA25Percent"]'>
    <tr>
      <td>Additions qualifying for WDA 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AdditionsQualifyingForWDA25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescriptionDeductions"]'>
    <tr>
      <td>Asset deductions description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescriptionDeductions"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsDisposalProceeds"]'>
    <tr>
      <td>Deductions disposal proceeds</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsDisposalProceeds"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsTransfersOut"]'>
    <tr>
      <td>Deductions transfers out</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsTransfersOut"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsOther"]'>
    <tr>
      <td>Deductions other</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsOther"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsTotal"]'>
    <tr>
      <td>Deductions total</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "DeductionsTotal"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescriptionAllowances"]'>
    <tr>
      <td>Asset allowances description</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "IndividualAssetPoolAssetDescriptionAllowances"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesClaimed"]'>
    <tr>
      <td>Allowances claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesClaimed"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesWaived"]'>
    <tr>
      <td>Allowances waived</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesWaived"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearClaimed100Percent"]'>
    <tr>
      <td>Allowances first year claimed 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearClaimed100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearClaimed40Percent"]'>
    <tr>
      <td>Allowances first year claimed 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearClaimed40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearWaived100Percent"]'>
    <tr>
      <td>Allowances first year waived 100%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearWaived100Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearWaived40Percent"]'>
    <tr>
      <td>Allowances first year waived 40%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesFirstYearWaived40Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesWritingDownClaimed25Percent"]'>
    <tr>
      <td>Allowances writing down claimed 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesWritingDownClaimed25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesWritingDownWaived25Percent"]'>
    <tr>
      <td>Allowances writing down waived 25%</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesWritingDownWaived25Percent"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesBalancingCharge"]'>
    <tr>
      <td>Balancing charge</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesBalancingCharge"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesBalancingAllowance"]'>
    <tr>
      <td>Balancing allowance</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesBalancingAllowance"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesDueToTransferor"]'>
    <tr>
      <td>Allowances due to transferor</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesDueToTransferor"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesDueToTransferee"]'>
    <tr>
      <td>Allowances due to transferee</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "AllowancesDueToTransferee"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "WDVCF"]'>
    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$singleIndividualAssetPoolTuple/*[substring-after(name(.),"ShortLifeAssets") = "WDVCF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>
<xsl:template name='TradingLossesTemplate'>
<xsl:param name='setOfTradingLosses'/>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = ""]'>
    <tr>
      <td>label</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = ""]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "BF"]'>
    <tr>
      <td>BF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "BF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "BroughtBack"]'>
    <tr>
      <td>Brought back</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "BroughtBack"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "TotalArising"]'>
    <tr>
      <td>Total arising</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "TotalArising"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "UsedAgainstTradingProfitsOfThePeriod"]'>
    <tr>
      <td>Used against trading profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "UsedAgainstTradingProfitsOfThePeriod"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "UsedAgainstTotalProfitsOfThePeriod"]'>
    <tr>
      <td>Used against total profits</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "UsedAgainstTotalProfitsOfThePeriod"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "CarriedBack"]'>
    <tr>
      <td>Carried back</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "CarriedBack"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "AvailableForGroupRelief"]'>
    <tr>
      <td>Available for group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "AvailableForGroupRelief"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "SurrenderedAsGroupRelief"]'>
    <tr>
      <td>Surrendered as group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "SurrenderedAsGroupRelief"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "CF"]'>
    <tr>
      <td>CF</td>
      <td>
        <xsl:call-template name='valueOfItem'>
          <xsl:with-param name='item' select='$setOfTradingLosses[substring-after(name(.),"TradingLosses") = "CF"]' />
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>
<xsl:template name='TradingProfitsCT600Template'>
<xsl:if test='//ct:TradingProfitsIBA'>
<h4 style="page-break-before: always">Industrial Buildings Allowance</h4>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsIBA'/></xsl:call-template></p>

<table>
    <tr>
      <td>Balancing charge</td>
      <td>CT600 Box 90</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsIBABalancingCharge'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Total allowances</td>
      <td>CT600 Box 91</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsIBATotalAllowances'/></xsl:call-template>
      </td>
    </tr>
</table>

</xsl:if>

<xsl:if test='//ct:TradingProfitsIBA'>
<h4 style="page-break-before: always">Other Charges Allowance</h4>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsOtherChargesAllowances'/></xsl:call-template></p>

<table>
    <tr>
      <td>Balancing charge</td>
      <td>CT600 Box 92</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsOtherChargesAllowancesBalancingCharge'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Total allowances</td>
      <td>CT600 Box 93</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsOtherChargesAllowancesTotalAllowances'/></xsl:call-template>
      </td>
    </tr>
</table>

</xsl:if>

<xsl:if test='//ct:TradingProfitsRDAllowance'>
<h4 style="page-break-before: always">Research &amp; Development Allowance</h4>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsRDAllowance'/></xsl:call-template></p>

<table>
    <tr>
      <td>Enhanced expenditure</td>
      <td>CT600 Box 151</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsRDAEnhancedExpenditure'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Enhanced expenditure of an SME</td>
      <td>CT600 Box 169</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsRDAEnhancedExpenditureOfAnSME'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Vaccine research expenditure</td>
      <td>CT600 Box 168</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsRDAVaccinesResearchExpenditure'/></xsl:call-template>
      </td>
    </tr>
</table>
</xsl:if>

<xsl:if test='//ct:TradingProfitsProfitLossOfPeriod'>
<h4 style="page-break-before: always">Loss of Period</h4>

<table>
    <tr>
      <td>Loss</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfitsProfitLossOfPeriod'/></xsl:call-template>
      </td>
    </tr>
</table>
</xsl:if>
</xsl:template>

    <xsl:template name='TradingProfitsTemplate'>

<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:TradingProfits'/></xsl:call-template></p>


      <xsl:variable name='fromIndividualTradeTemplate'>
        <xsl:for-each select='//ct:TradingProfitsIndividualTrade'>
          <xsl:call-template name='IndividualTradeTemplate'>
            <xsl:with-param name='singleIndividualTradeTuple' select='.'/>
          </xsl:call-template>
          <!-- <tr><td><hr/></td></tr> -->
        </xsl:for-each>
      </xsl:variable>
      <xsl:if test='$fromIndividualTradeTemplate != ""'>
        <h4 style="page-break-before: always">Individual trades</h4>
        <table>
          <xsl:copy-of select='$fromIndividualTradeTemplate'/>
        </table>
      </xsl:if>


     
        <xsl:variable name='PMATotals'>
          <xsl:call-template name="PMATotals"/>
        </xsl:variable>
        <xsl:if test='$PMATotals != ""'>
        <h4 style="page-break-before: always">Plant and machinery allowances</h4>
        <table>
          <xsl:copy-of select="$PMATotals"/>
        </table>
        </xsl:if> 

<!-- CT600 boxes -->
        <xsl:variable name='fromTradingProfitsCT600Template'>
          <xsl:call-template name='TradingProfitsCT600Template'></xsl:call-template>
        </xsl:variable>
        <xsl:if test='$fromTradingProfitsCT600Template != ""'>
          <xsl:copy-of select='$fromTradingProfitsCT600Template' />
        </xsl:if>
<!-- end -->

      
      <xsl:if test='//ct:TradingProfitsProfitLossOfPeriod'>
        <xsl:variable name='ProfitLoss'>
          <xsl:call-template name='valueOfItem'>
            <xsl:with-param name='item' select='//ct:TradingProfitsProfitLossOfPeriod' />
          </xsl:call-template>
        </xsl:variable>
        <xsl:value-of select='concat("Profit/loss of period: CT600 Box 3:  ",$ProfitLoss)'/>
      </xsl:if>
      <xsl:variable name='fromTradingLossesTemplate'>
        <xsl:call-template name='TradingLossesTemplate'>
          <xsl:with-param name='setOfTradingLosses' select='//ct:TradingProfitsTradingLossesTotalArising |
            //ct:TradingProfitsTradingLossesUsedAgainstTradingProfitsOfThePeriod |
            //ct:TradingProfitsTradingLossesUsedAgainstTotalProfitsOfThePeriod |
            //ct:TradingProfitsTradingLossesCarriedBack |
            //ct:TradingProfitsTradingLossesAvailableForGroupRelief |
            //ct:TradingProfitsTradingLossesSurrenderedAsGroupRelief |
            //ct:TradingProfitsTradingLosses |
            //ct:TradingProfitsTradingLossesCF |
            //ct:TradingProfitsTradingLossesBF | 
            //ct:TradingProfitsTradingLossesBroughtBack'/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromTradingLossesTemplate != ""'>
        <h4 style="page-break-before: always">Trading losses</h4>
        <table>
          <xsl:copy-of select='$fromTradingLossesTemplate'/>
        </table>
      </xsl:if>
      <xsl:if test='//ct:TradingProfitsNetTradingProfits'>
        <xsl:variable name='TradingProfits'>
          <xsl:call-template name='valueOfItem'>
            <xsl:with-param name='item' select='//ct:TradingProfitsNetTradingProfits' />
          </xsl:call-template>
        </xsl:variable>
        <p><xsl:value-of select='concat("Net trading profits: CT600 Box 3:  ",$TradingProfits)'/></p>
      </xsl:if>
    </xsl:template>
<xsl:template name="contextDisplay">

<!-- nonNumericContexts -->

<hr />
<xsl:if test="//xbrli:nonNumericContext">
<table>
<tr>
  <th colspan="6"><h3 style="page-break-before: always">nonNumericContext information</h3></th>
</tr>
<tr>
  <th>context id</th>
  <th>scheme</th>
  <th>identifier</th>
  <th colspan="2">period</th>
  <th>business segment</th>
  <th>scenario information</th>
</tr>
<xsl:for-each select="//xbrli:nonNumericContext">
<xsl:variable name="id" select="./@id" />
<tr>
  <td>
     <xsl:element name="a">
       <xsl:attribute name="name"><value-of select="$id" /></xsl:attribute>
     </xsl:element>
     <xsl:value-of select="$id" /></td>
  <td><xsl:value-of select="./xbrli:entity/xbrli:identifier/@xbrli:scheme" /></td>
  <td><xsl:value-of select="./xbrli:entity/xbrli:identifier" /></td>
      <xsl:if test="./xbrli:period/xbrli:instant">
        <td>
        instant: <xsl:value-of select="./xbrli:period/xbrli:instant" />
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:forever">
        <td>
        forever
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:startDate">
        <td>
        start date: <xsl:value-of select="./xbrli:period/xbrli:startDate" />
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:duration">
        <td>
        duration: <xsl:value-of select="./xbrli:period/xbrli:duration" />
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:endDate">
        <td>
        end date: <xsl:value-of select="./xbrli:period/xbrli:endDate" />
        </td>
      </xsl:if>
  <td><xsl:value-of select="./xbrli:entity/xbrli:segment" /></td>
  <td><xsl:value-of select="./xbrli:scenario" /></td>
</tr>
</xsl:for-each>
</table>
</xsl:if>
<hr />
<!-- numericContexts : these will need support for the exchange rate
items added when these have been defined -->
<xsl:if test="//xbrli:numericContext">
<table>
<tr>
  <th colspan="7"><h3 style="page-break-before: always">numericContext information</h3></th>
</tr>
<tr>
  <th>context id</th>
  <th>scheme</th>
  <th>identifier</th>
  <th colspan="2">period</th>
  <th colspan="2">unit</th>
  <th>business segment</th>
  <th>scenario information</th>
</tr>
<xsl:for-each select="//xbrli:numericContext">
<xsl:variable name="id" select="./@id" />
<tr>
  <td>
     <xsl:element name="a">
       <xsl:attribute name="name"><xsl:value-of select="$id" /></xsl:attribute>
     </xsl:element>
     <xsl:value-of select="$id" /></td>
  <td><xsl:value-of select="./xbrli:entity/xbrli:identifier/@xbrli:scheme" /></td>
  <td><xsl:value-of select="./xbrli:entity/xbrli:identifier" /></td>
      <xsl:if test="./xbrli:period/xbrli:instant">
        <td>
        instant: <xsl:value-of select="./xbrli:period/xbrli:instant" />
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:forever">
        <td>
        forever
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:startDate">
        <td>
        start date: <xsl:value-of select="./xbrli:period/xbrli:startDate" />
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:duration">
        <td>
        duration: <xsl:value-of select="./xbrli:period/xbrli:duration" />
        </td>
      </xsl:if>
      <xsl:if test="./xbrli:period/xbrli:endDate">
        <td>
        end date: <xsl:value-of select="./xbrli:period/xbrli:endDate" />
        </td>
      </xsl:if>
  <td>
    <xsl:choose>
     <xsl:when test="./xbrli:unit/xbrli:operator">
    <xsl:for-each select="./xbrli:unit/xbrli:operator/xbrli:measure">
      <xsl:value-of select="." />,
    </xsl:for-each>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="./xbrli:unit/xbrli:measure" />
      </xsl:otherwise>
    </xsl:choose>
  </td>
  <td><xsl:value-of select="./xbrli:unit/xbrli:operator/@xbrli:name" /></td>
  <td><xsl:value-of select="./xbrli:entity/xbrli:segment" /></td>
  <td><xsl:value-of select="./xbrli:scenario" /></td>
</tr>
</xsl:for-each>
</table>
</xsl:if>

</xsl:template><xsl:template name='DeductionsAllSchedulesCasesTemplate'>
<xsl:if test='//ct:DeductionsAllSchedulesCases'>
<h3>All Schedules</h3>

<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCases'/></xsl:call-template></p>

<xsl:if test='//ct:DeductionsAllSchedulesCasesPMA'>
<h4>Plant &amp; Machinery Allowance</h4>

  <table>

    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMA'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMAWDVCF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>General pool WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMAGeneralPoolWDVCF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Short life assets WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMAShortLifeAssetsWDVCF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Other assets WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMAOtherAssetsWDVCF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Long life WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMALongLifeAssetsWDVCF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Expensive cars WDV c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesPMAExpensiveCarsWDVCF'/></xsl:call-template>
      </td>
    </tr>
  </table>
</xsl:if>

<xsl:if test='//ct:DeductionsAllSchedulesCasesPMA'>
<h4>Industrial Buildings Allowance</h4>

  <table>

    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesIBA'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Residue c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesIBAResidueCF'/></xsl:call-template>
      </td>
    </tr>
  </table>
  
 </xsl:if>

<xsl:if test='//ct:DeductionsAllSchedulesCasesABA'>
<h4>Agricultural Buildings Allowance</h4>

  <table>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesABA'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Residue c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsAllSchedulesCasesABAResidueCF'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>

 </xsl:if>
</xsl:template>

<xsl:template name='DeductionsManagementExpensesTemplate'>
<xsl:if test='//ct:DeductionsManagementExpenses'>
<h3>Management Expenses</h3>

  <table>

    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpenses'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Relief</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesRelief'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Expenses b/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesBF'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Arising this period</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesArisingThisPeriod'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Used this period</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesUsedThisPeriod'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Excess</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesExcess'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Available for group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesAvailableForGroupRelief'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Surrendered as group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesSurrenderedAsGroupRelief'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Expenses c/f</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesCF'/></xsl:call-template>
      </td>
    </tr>

      <xsl:variable name='fromPMATemplate'>
        <xsl:call-template name='PMATemplate'>
          <xsl:with-param name='setOfPMAs' select='//ct:*[starts-with(substring-after(name(.),"ManagementExpenses"),"PMA")] '/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:if test='$fromPMATemplate != ""'>
      <tr>
        <td><h5>Plant &amp; Machinery Allowance</h5></td></tr>
      <tr><td colspan="2">
        <xsl:copy-of select='$fromPMATemplate'/>
        </td>
      </tr>
      </xsl:if>

    <tr>
      <td>Expensive Cars</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesPMAExpensiveCars'/></xsl:call-template>
      </td>
    </tr>
    <tr>
      <td>Total Capital Allowances</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsManagementExpensesTotalCapitalAllowances'/></xsl:call-template>
      </td>
    </tr>


  </table>
 </xsl:if>
</xsl:template>

<xsl:template name='DeductionsTemplate'>
<xsl:if test='//ct:Deductions'>
<h3>Deductions</h3>
<p><xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:Deductions'/></xsl:call-template></p>

<table>
    <tr>
      <td>Losses b/f against certain investment income</td>
      <td>CT600 Box 17</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsLossesBFAgainstCertainInvestmentIncome'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td colspan="2">Interest distribution under S468L</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsInterestDistributionsUnderS468L'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>Claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsInterestDistributionsUnderS468LClaimed'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>Excess</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsInterestDistributionsUnderS468LExcess'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td colspan="2">Group relief</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsGroupRelief'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td></td>
      <td>Claimed</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:DeductionsGroupReliefClaimed'/></xsl:call-template>
      </td>
    </tr>

</table>

</xsl:if>
</xsl:template>

<xsl:template name='LandRemediationTemplate'>
  <xsl:if test='//ct:LandRemediation'>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:LandRemediation'/></xsl:call-template>
      </td>
    </tr>
  </xsl:if>

  <xsl:if test="//ct:LandRemediationEnhancedExpenditure">
    <tr>
      <td>Expenditure</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:LandRemediationEnhancedExpenditure'/></xsl:call-template>
      </td>
    </tr>
  </xsl:if>
  <xsl:if test="//ct:LandRemediationEnhancedExpenditureTotal">

    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//ct:LandRemediationEnhancedExpenditureTotal'/></xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>

<xsl:template name='TradingProfitsIndividualTradeDescriptionOfTradeCapitalAllowancesTemplate'>
<xsl:if test='//TradingProfitsIndividualTradeDescriptionOfTradeCapitalAllowances'>
<h3>Capital Allowances Total</h3>

  <table>
    <tr>
      <td>Description</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//TradingProfitsIndividualTradeDescriptionOfTradeCapitalAllowances'/></xsl:call-template>
      </td>
    </tr>

    <tr>
      <td>Total</td>
      <td>
        <xsl:call-template name='valueOfItem'><xsl:with-param name='item' select='//TradingProfitsIndividualTradeCapitalAllowancesTotal'/></xsl:call-template>
      </td>
    </tr>
  </table>
 </xsl:if>
</xsl:template>

<!-- assistant templates to use throughout -->
<!-- If more than one of the element exists, display result as table with contexts -->
<xsl:template name='valueOfItem'>
  <xsl:param name='item'/>
  <xsl:choose>
    <xsl:when test='count($item) > 1'>
      <table>
        <xsl:for-each select='$item'>
          <tr>
            <td>
              <xsl:element name="a">
                <xsl:attribute name="href">#<xsl:value-of select='@nonNumericContext'/><xsl:value-of select='@numericContext'/></xsl:attribute>
                <xsl:value-of select='@nonNumericContext'/>
                <xsl:value-of select='@numericContext'/>
              </xsl:element>
            </td>
            <td>
              <xsl:value-of select='.'/>
            </td>
           </tr>
        </xsl:for-each>
      </table>
    </xsl:when>
    <xsl:otherwise> 
      <xsl:value-of select='$item'/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
